GNU bug report logs - #6755
24.0.50; Customize buffer is too wide. Put doc string on separate line.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: "Drew Adams" <drew.adams@HIDDEN>; dated Thu, 29 Jul 2010 16:51:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 6755 <at> debbugs.gnu.org:


Received: (at 6755) by debbugs.gnu.org; 5 Jul 2011 13:37:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 05 09:37:10 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Qe5oH-0007CG-Ot
	for submit <at> debbugs.gnu.org; Tue, 05 Jul 2011 09:37:10 -0400
Received: from hermes.netfonds.no ([80.91.224.195])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <larsi@HIDDEN>) id 1Qe5oC-0007BS-5g
	for 6755 <at> debbugs.gnu.org; Tue, 05 Jul 2011 09:37:02 -0400
Received: from cm-84.215.51.58.getinternet.no ([84.215.51.58]
	helo=quimbies.gnus.org)
	by hermes.netfonds.no with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.72) (envelope-from <larsi@HIDDEN>)
	id 1Qe5o1-0000Nq-1W; Tue, 05 Jul 2011 15:36:49 +0200
From: Lars Magne Ingebrigtsen <larsi@HIDDEN>
To: "Drew Adams" <drew.adams@HIDDEN>
Subject: Re: bug#6755: 24.0.50;
	Customize buffer is too wide. Put doc string on separate line.
In-Reply-To: <75CF15637AB140EB9125E7B88FCBD6A7@HIDDEN> (Drew Adams's
	message of "Mon, 4 Jul 2011 09:21:12 -0700")
Date: Tue, 05 Jul 2011 15:36:38 +0200
Message-ID: <m3mxgsaly1.fsf@HIDDEN>
References: <B156F81215FA47938EF931D3BE8C0DA1@HIDDEN>
	<m3ei27o65i.fsf@HIDDEN>
	<46569E22228A496BA90A29AC86C3F361@HIDDEN>
	<m3tyb3l8mw.fsf@HIDDEN> <m3aacvl7dj.fsf@HIDDEN>
	<65A5490160E3453C8FAB24DCA44BDD1F@HIDDEN>
	<m3pqlqxmha.fsf@HIDDEN>
	<75CF15637AB140EB9125E7B88FCBD6A7@HIDDEN>
User-Agent: Gnus/5.110018 (No Gnus v0.18) Emacs/24.0.50 (gnu/linux)
X-Now-Playing: Joanna Newsom's _Have One On Me (2)_: "Go Long"
X-Hashcash: 1:23:110705:6755 <at> debbugs.gnu.org::nbrR8fXTR540hkUi:00000000000000000000000000000000000000000NwzR
X-Hashcash: 1:23:110705:drew.adams@HIDDEN::TW9vGbq+ESAoWL3q:0000000000000000000000000000000000000000VlnP
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1Qe5o1-0000Nq-1W
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1310477809.16653@GwEznnalK4PxcViB5gy+yw
X-Spam-Status: No
X-Spam-Score: -2.8 (--)
X-Debbugs-Envelope-To: 6755
Cc: 6755 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.8 (--)

"Drew Adams" <drew.adams@HIDDEN> writes:

>> Starting with a newline didn't look very nice.  Most of the option
>> values are short, and moving them away from the button made the
>> interface less understandable.
>> 
>> I think the right solution is to output the string where it 
>> is now, but to fill it if it's too long.
>
> Why not just start it on a new line if it would wrap?

That would work, too, but not be as nice-looking, and would be as
difficult (or easy) to implement as filling it where it is.

In either case, it's beyond me.  Somebody else who understands the
widget machinery will have to handle this.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6755; Package emacs. Full text available.

Message received at 6755 <at> debbugs.gnu.org:


Received: (at 6755) by debbugs.gnu.org; 4 Jul 2011 16:21:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 04 12:21:42 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Qdlu2-0006L3-0A
	for submit <at> debbugs.gnu.org; Mon, 04 Jul 2011 12:21:42 -0400
Received: from acsinet15.oracle.com ([141.146.126.227])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <drew.adams@HIDDEN>) id 1Qdlu0-0006Ks-AU
	for 6755 <at> debbugs.gnu.org; Mon, 04 Jul 2011 12:21:41 -0400
Received: from rtcsinet22.oracle.com (rtcsinet22.oracle.com [66.248.204.30])
	by acsinet15.oracle.com (Switch-3.4.4/Switch-3.4.4) with ESMTP id
	p64GLWK2030666
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
	Mon, 4 Jul 2011 16:21:34 GMT
Received: from acsmt357.oracle.com (acsmt357.oracle.com [141.146.40.157])
	by rtcsinet22.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id
	p64GLV52007247
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Mon, 4 Jul 2011 16:21:31 GMT
Received: from abhmt105.oracle.com (abhmt105.oracle.com [141.146.116.57])
	by acsmt357.oracle.com (8.12.11.20060308/8.12.11) with ESMTP id
	p64GLPiE032125; Mon, 4 Jul 2011 11:21:25 -0500
Received: from dradamslap1 (/10.159.32.87)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Mon, 04 Jul 2011 09:21:25 -0700
From: "Drew Adams" <drew.adams@HIDDEN>
To: "'Lars Magne Ingebrigtsen'" <larsi@HIDDEN>
References: <B156F81215FA47938EF931D3BE8C0DA1@HIDDEN><m3ei27o65i.fsf@HIDDEN><46569E22228A496BA90A29AC86C3F361@HIDDEN><m3tyb3l8mw.fsf@HIDDEN>
	<m3aacvl7dj.fsf@HIDDEN><65A5490160E3453C8FAB24DCA44BDD1F@HIDDEN>
	<m3pqlqxmha.fsf@HIDDEN>
Subject: RE: bug#6755: 24.0.50;
	Customize buffer is too wide. Put doc string on separate line.
Date: Mon, 4 Jul 2011 09:21:12 -0700
Message-ID: <75CF15637AB140EB9125E7B88FCBD6A7@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
In-Reply-To: <m3pqlqxmha.fsf@HIDDEN>
Thread-Index: Acw6RViR9uifSgQoRsWW34q0NnJ9ywAIMR/g
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.6109
X-Source-IP: rtcsinet22.oracle.com [66.248.204.30]
X-CT-RefId: str=0001.0A090209.4E11E88E.014D:SCFSTAT5015188, ss=1, re=-4.000,
	fgs=0
X-Spam-Score: -4.4 (----)
X-Debbugs-Envelope-To: 6755
Cc: 6755 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.4 (----)

> Starting with a newline didn't look very nice.  Most of the option
> values are short, and moving them away from the button made the
> interface less understandable.
> 
> I think the right solution is to output the string where it 
> is now, but to fill it if it's too long.

Why not just start it on a new line if it would wrap?

IOW, instead of just filling, if it would wrap then start it on a new line.

(You could also then fill it, after starting on a new line, but I doubt that
:tag string will be more than 70 chars.  Still, it wouldn't hurt to do that.)





Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6755; Package emacs. Full text available.

Message received at 6755 <at> debbugs.gnu.org:


Received: (at 6755) by debbugs.gnu.org; 4 Jul 2011 12:24:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 04 08:24:39 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QdiCc-00056d-FA
	for submit <at> debbugs.gnu.org; Mon, 04 Jul 2011 08:24:38 -0400
Received: from hermes.netfonds.no ([80.91.224.195])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <larsi@HIDDEN>) id 1QdiCZ-00056C-V6
	for 6755 <at> debbugs.gnu.org; Mon, 04 Jul 2011 08:24:36 -0400
Received: from cm-84.215.51.58.getinternet.no ([84.215.51.58]
	helo=quimbies.gnus.org)
	by hermes.netfonds.no with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.72) (envelope-from <larsi@HIDDEN>)
	id 1QdiCO-0008TP-K8; Mon, 04 Jul 2011 14:24:24 +0200
From: Lars Magne Ingebrigtsen <larsi@HIDDEN>
To: "Drew Adams" <drew.adams@HIDDEN>
Subject: Re: bug#6755: 24.0.50;
	Customize buffer is too wide. Put doc string on separate line.
In-Reply-To: <65A5490160E3453C8FAB24DCA44BDD1F@HIDDEN> (Drew Adams's
	message of "Sun, 3 Jul 2011 21:48:28 -0700")
Date: Mon, 04 Jul 2011 14:24:17 +0200
Message-ID: <m3pqlqxmha.fsf@HIDDEN>
References: <B156F81215FA47938EF931D3BE8C0DA1@HIDDEN>
	<m3ei27o65i.fsf@HIDDEN>
	<46569E22228A496BA90A29AC86C3F361@HIDDEN>
	<m3tyb3l8mw.fsf@HIDDEN> <m3aacvl7dj.fsf@HIDDEN>
	<65A5490160E3453C8FAB24DCA44BDD1F@HIDDEN>
User-Agent: Gnus/5.110018 (No Gnus v0.18) Emacs/24.0.50 (gnu/linux)
X-Now-Playing: Joanna Newsom's _Have One On Me (2)_: "Go Long"
X-Hashcash: 1:23:110704:6755 <at> debbugs.gnu.org::BAierqk+jNkUsYja:000000000000000000000000000000000000000003lM6
X-Hashcash: 1:23:110704:drew.adams@HIDDEN::WXQtW9wHSNqCbGg1:0000000000000000000000000000000000000001LBom
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1QdiCO-0008TP-K8
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1310387064.91938@JXtfTSpMBJeAvLil05PLKg
X-Spam-Status: No
X-Spam-Score: -2.8 (--)
X-Debbugs-Envelope-To: 6755
Cc: 6755 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.8 (--)

"Drew Adams" <drew.adams@HIDDEN> writes:

>> So now the question is how the text should be formatted.  Perhaps
>> folding it after inserting it is the right way?  Anybody know 
>> how?  :-)
>> (I mean, without breaking the widget machinery...)
>
> Not sure if this is what you are asking, but just make sure it starts
> on a new line.  That would take care of this problem and similar.
> IOW, start with a newline.

Starting with a newline didn't look very nice.  Most of the option
values are short, and moving them away from the button made the
interface less understandable.

I think the right solution is to output the string where it is now, but
to fill it if it's too long.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6755; Package emacs. Full text available.

Message received at 6755 <at> debbugs.gnu.org:


Received: (at 6755) by debbugs.gnu.org; 4 Jul 2011 04:48:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 04 00:48:58 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Qdb5e-0007gp-AK
	for submit <at> debbugs.gnu.org; Mon, 04 Jul 2011 00:48:58 -0400
Received: from acsinet15.oracle.com ([141.146.126.227])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <drew.adams@HIDDEN>) id 1Qdb5b-0007gc-US
	for 6755 <at> debbugs.gnu.org; Mon, 04 Jul 2011 00:48:56 -0400
Received: from rtcsinet22.oracle.com (rtcsinet22.oracle.com [66.248.204.30])
	by acsinet15.oracle.com (Switch-3.4.4/Switch-3.4.4) with ESMTP id
	p644mlRn029730
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
	Mon, 4 Jul 2011 04:48:49 GMT
Received: from acsmt356.oracle.com (acsmt356.oracle.com [141.146.40.156])
	by rtcsinet22.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id
	p644mkeK027382
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Mon, 4 Jul 2011 04:48:47 GMT
Received: from abhmt111.oracle.com (abhmt111.oracle.com [141.146.116.63])
	by acsmt356.oracle.com (8.12.11.20060308/8.12.11) with ESMTP id
	p644mfgg002404; Sun, 3 Jul 2011 23:48:41 -0500
Received: from dradamslap1 (/10.159.32.87)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Sun, 03 Jul 2011 21:48:40 -0700
From: "Drew Adams" <drew.adams@HIDDEN>
To: "'Lars Magne Ingebrigtsen'" <larsi@HIDDEN>
References: <B156F81215FA47938EF931D3BE8C0DA1@HIDDEN><m3ei27o65i.fsf@HIDDEN><46569E22228A496BA90A29AC86C3F361@HIDDEN><m3tyb3l8mw.fsf@HIDDEN>
	<m3aacvl7dj.fsf@HIDDEN>
Subject: RE: bug#6755: 24.0.50;
	Customize buffer is too wide. Put doc string on separate line.
Date: Sun, 3 Jul 2011 21:48:28 -0700
Message-ID: <65A5490160E3453C8FAB24DCA44BDD1F@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
In-Reply-To: <m3aacvl7dj.fsf@HIDDEN>
Thread-Index: Acw5lJl9TQIXNcTKRuu9PMapRD5vXwAcN2bw
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.6109
X-Source-IP: rtcsinet22.oracle.com [66.248.204.30]
X-CT-RefId: str=0001.0A090208.4E114632.0006:SCFSTAT5015188, ss=1, re=-4.000,
	fgs=0
X-Spam-Score: -4.4 (----)
X-Debbugs-Envelope-To: 6755
Cc: 6755 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.4 (----)

> So now the question is how the text should be formatted.  Perhaps
> folding it after inserting it is the right way?  Anybody know 
> how?  :-)
> (I mean, without breaking the widget machinery...)

Not sure if this is what you are asking, but just make sure it starts on a new
line.  That would take care of this problem and similar.  IOW, start with a
newline.





Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6755; Package emacs. Full text available.

Message received at 6755 <at> debbugs.gnu.org:


Received: (at 6755) by debbugs.gnu.org; 3 Jul 2011 15:25:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 03 11:25:42 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QdOYH-0002Lz-Rc
	for submit <at> debbugs.gnu.org; Sun, 03 Jul 2011 11:25:42 -0400
Received: from hermes.netfonds.no ([80.91.224.195])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <larsi@HIDDEN>) id 1QdOYH-0002Lo-0S
	for 6755 <at> debbugs.gnu.org; Sun, 03 Jul 2011 11:25:41 -0400
Received: from cm-84.215.51.58.getinternet.no ([84.215.51.58]
	helo=quimbies.gnus.org)
	by hermes.netfonds.no with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.72) (envelope-from <larsi@HIDDEN>)
	id 1QdOY1-0001tV-IX; Sun, 03 Jul 2011 17:25:25 +0200
From: Lars Magne Ingebrigtsen <larsi@HIDDEN>
To: "Drew Adams" <drew.adams@HIDDEN>
Subject: Re: bug#6755: 24.0.50;
	Customize buffer is too wide. Put doc string on separate line.
In-Reply-To: <m3tyb3l8mw.fsf@HIDDEN> (Lars Magne Ingebrigtsen's
	message of "Sun, 03 Jul 2011 16:51:51 +0200")
Date: Sun, 03 Jul 2011 17:25:23 +0200
Message-ID: <m3zkkvjsik.fsf@HIDDEN>
References: <B156F81215FA47938EF931D3BE8C0DA1@HIDDEN>
	<m3ei27o65i.fsf@HIDDEN>
	<46569E22228A496BA90A29AC86C3F361@HIDDEN>
	<m3tyb3l8mw.fsf@HIDDEN>
User-Agent: Gnus/5.110018 (No Gnus v0.18) Emacs/24.0.50 (gnu/linux)
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAFVBMVEWQk40dHBsiIiMRDhIW
	FRZOT08aGBc2UqMtAAACVElEQVQ4jV2UTZObMAyG3Z3xvSYJ50Vg7olZ7sFezo4b5VxY0P//CZVt
	YNtqMhnjh1d6hT+EAkWklCppGYlo4uECpVIiThH/aHHjQjTGAUAbAVGaJhdjiX9KvE0MNrKMjgUM
	yBgzTAJAqR3uYUdikOZLRfw+1+gzmkpRJDDRYt1o+y8zu0RKobZMznbOWWNuTQKKa1SRnHnSXRkY
	SKl2ULJJ25nOOntro0CJoiiSwHXGOBaYvsoKlQQVK8wW5QaSqUq5gQtcI+hS9Qw0nBsuYTIav0EI
	TcHFE5pNf/RxQVWNztpUojv1hwIxnJ+dOaJfMriIgG/Atu4n4+7R9Qa8lCj0ua8/8RThLVYRUcDh
	Q30y5g72WpkPdhwXykcgf9i7MwMEh/aT3+BPokUCz1ujg9XYDC2DnsF7yoQNF8VQA3QwsDFewSxA
	OAHcdPPx4IQM7iJnEhoABTZo1xe7MoZTZYFujNY+6NDhF4Mrg2hKSijUoC9eyyfUDKbsSiICgBeS
	JVh33GAEyiN/qwKiNEjQob51cTNw5zJEAXifbA8PBnkFMfCOCIhcDDU3/jlmhboEBaBlBCLoXx2O
	+5pX3ARK4ZM9NIeinIazxtyorLFZj10y3Z3226dBaL+BKgA34PFFa9q7abfPsCnY12PNiiIdzF0h
	ENt1PlIRzTuQgX5f/gKEG8H2P7BuJd54+A+gDbwSKDMoaSJ651QokQ6gY+f8OEv8Kf0jgnUH+QSX
	NHsss4LTRBBvE5YAvQfaUkVQZkE8LXO7gejqQule4eCLgW8gxzUc7/Y/7M7vaG7dqwMAAAAASUVO
	RK5CYII=
X-Now-Playing: Oneohtrix Point Never's _Returnal_: "Pelham Island Road"
X-Hashcash: 1:23:110703:6755 <at> debbugs.gnu.org::CBliL10m2tNeMbdC:00000000000000000000000000000000000000000JW8p
X-Hashcash: 1:23:110703:drew.adams@HIDDEN::CYuFS5bKsLPV4MsH:00000000000000000000000000000000000000013gG1
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1QdOY1-0001tV-IX
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1310311526.27918@oaSbC1Q26LJqi47dCEUhow
X-Spam-Status: No
X-Spam-Score: -2.8 (--)
X-Debbugs-Envelope-To: 6755
Cc: 6755 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.8 (--)

Actually, I give up on this one.  I have no idea how the wid-* machinery
is supposed to work.

`widget-create-child-value' is called from all over the place, and calls
`(widget-apply widget :create)', and *that* function mysteriously
inserts text into the buffer.

So I have no idea how all this is supposed to fit together, so I'm
punting on this bug to somebody who understands the widget library.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6755; Package emacs. Full text available.

Message received at 6755 <at> debbugs.gnu.org:


Received: (at 6755) by debbugs.gnu.org; 3 Jul 2011 15:19:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 03 11:19:27 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QdOSF-0002De-Ai
	for submit <at> debbugs.gnu.org; Sun, 03 Jul 2011 11:19:27 -0400
Received: from hermes.netfonds.no ([80.91.224.195])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <larsi@HIDDEN>) id 1QdOSD-0002DR-26
	for 6755 <at> debbugs.gnu.org; Sun, 03 Jul 2011 11:19:26 -0400
Received: from cm-84.215.51.58.getinternet.no ([84.215.51.58]
	helo=quimbies.gnus.org)
	by hermes.netfonds.no with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.72) (envelope-from <larsi@HIDDEN>)
	id 1QdORy-0001nv-F3; Sun, 03 Jul 2011 17:19:10 +0200
From: Lars Magne Ingebrigtsen <larsi@HIDDEN>
To: "Drew Adams" <drew.adams@HIDDEN>
Subject: Re: bug#6755: 24.0.50;
	Customize buffer is too wide. Put doc string on separate line.
In-Reply-To: <m3tyb3l8mw.fsf@HIDDEN> (Lars Magne Ingebrigtsen's
	message of "Sun, 03 Jul 2011 16:51:51 +0200")
Date: Sun, 03 Jul 2011 17:19:04 +0200
Message-ID: <m3aacvl7dj.fsf@HIDDEN>
References: <B156F81215FA47938EF931D3BE8C0DA1@HIDDEN>
	<m3ei27o65i.fsf@HIDDEN>
	<46569E22228A496BA90A29AC86C3F361@HIDDEN>
	<m3tyb3l8mw.fsf@HIDDEN>
User-Agent: Gnus/5.110018 (No Gnus v0.18) Emacs/24.0.50 (gnu/linux)
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAFVBMVEWQk40dHBsiIiMRDhIW
	FRZOT08aGBc2UqMtAAACVElEQVQ4jV2UTZObMAyG3Z3xvSYJ50Vg7olZ7sFezo4b5VxY0P//CZVt
	YNtqMhnjh1d6hT+EAkWklCppGYlo4uECpVIiThH/aHHjQjTGAUAbAVGaJhdjiX9KvE0MNrKMjgUM
	yBgzTAJAqR3uYUdikOZLRfw+1+gzmkpRJDDRYt1o+y8zu0RKobZMznbOWWNuTQKKa1SRnHnSXRkY
	SKl2ULJJ25nOOntro0CJoiiSwHXGOBaYvsoKlQQVK8wW5QaSqUq5gQtcI+hS9Qw0nBsuYTIav0EI
	TcHFE5pNf/RxQVWNztpUojv1hwIxnJ+dOaJfMriIgG/Atu4n4+7R9Qa8lCj0ua8/8RThLVYRUcDh
	Q30y5g72WpkPdhwXykcgf9i7MwMEh/aT3+BPokUCz1ujg9XYDC2DnsF7yoQNF8VQA3QwsDFewSxA
	OAHcdPPx4IQM7iJnEhoABTZo1xe7MoZTZYFujNY+6NDhF4Mrg2hKSijUoC9eyyfUDKbsSiICgBeS
	JVh33GAEyiN/qwKiNEjQob51cTNw5zJEAXifbA8PBnkFMfCOCIhcDDU3/jlmhboEBaBlBCLoXx2O
	+5pX3ARK4ZM9NIeinIazxtyorLFZj10y3Z3226dBaL+BKgA34PFFa9q7abfPsCnY12PNiiIdzF0h
	ENt1PlIRzTuQgX5f/gKEG8H2P7BuJd54+A+gDbwSKDMoaSJ651QokQ6gY+f8OEv8Kf0jgnUH+QSX
	NHsss4LTRBBvE5YAvQfaUkVQZkE8LXO7gejqQule4eCLgW8gxzUc7/Y/7M7vaG7dqwMAAAAASUVO
	RK5CYII=
X-Now-Playing: Oneohtrix Point Never's _Returnal_: "Pelham Island Road"
X-Hashcash: 1:23:110703:6755 <at> debbugs.gnu.org::T3Y7Fo0yK4DYk60m:00000000000000000000000000000000000000000VbYr
X-Hashcash: 1:23:110703:drew.adams@HIDDEN::wVOo7TV+TEYbC1a0:00000000000000000000000000000000000000019Cjt
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1QdORy-0001nv-F3
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1310311150.68679@Lpyk+5vKZr3ZF0/upu5CiA
X-Spam-Status: No
X-Spam-Score: -2.8 (--)
X-Debbugs-Envelope-To: 6755
Cc: 6755 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.8 (--)

Lars Magne Ingebrigtsen <larsi@HIDDEN> writes:

>> (defcustom icicle-incremental-completion-flag t
>>   "..."
>>   :type 
>>   '(choice
>>     (const 
>>      :tag
>>      "Do not update `*Completions*' incrementally"                
>>      nil)
>>     (const 
>>      :tag
>>      "Update `*Completions*' incrementally if already displayed"  
>>      t)
>>     (other 
>>      :tag
>>      "Update `*Completions*' incrementally always"                
>>      always))
>>   :group 'Icicles-Completions-Display)
>
> Thanks.

The widget code is really involved, but I think I've finally figured out
what's inserting the string in question:

(defun widget-create-child-value (parent type value)
  "Create widget of TYPE with value VALUE."
  (let ((widget (widget-copy type)))
    (widget-put widget :value (widget-apply widget :value-to-internal value))
    (widget-put widget :parent parent)
    (unless (widget-get widget :indent)
      (widget-put widget :indent (+ (or (widget-get parent :indent) 0)
				    (or (widget-get widget :extra-offset) 0)
				    (widget-get parent :offset))))
    (widget-apply widget :create)
    widget))

So now the question is how the text should be formatted.  Perhaps
folding it after inserting it is the right way?  Anybody know how?  :-)
(I mean, without breaking the widget machinery...)


-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6755; Package emacs. Full text available.

Message received at 6755 <at> debbugs.gnu.org:


Received: (at 6755) by debbugs.gnu.org; 3 Jul 2011 15:12:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 03 11:12:33 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QdOLY-00023r-Vm
	for submit <at> debbugs.gnu.org; Sun, 03 Jul 2011 11:12:33 -0400
Received: from acsinet15.oracle.com ([141.146.126.227])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <drew.adams@HIDDEN>) id 1QdOLX-00023d-2N
	for 6755 <at> debbugs.gnu.org; Sun, 03 Jul 2011 11:12:31 -0400
Received: from rtcsinet21.oracle.com (rtcsinet21.oracle.com [66.248.204.29])
	by acsinet15.oracle.com (Switch-3.4.4/Switch-3.4.4) with ESMTP id
	p63FCNcd023688
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
	Sun, 3 Jul 2011 15:12:25 GMT
Received: from acsmt358.oracle.com (acsmt358.oracle.com [141.146.40.158])
	by rtcsinet21.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id
	p63FCLMi018109
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Sun, 3 Jul 2011 15:12:22 GMT
Received: from abhmt118.oracle.com (abhmt118.oracle.com [141.146.116.70])
	by acsmt358.oracle.com (8.12.11.20060308/8.12.11) with ESMTP id
	p63FCGp1023820; Sun, 3 Jul 2011 10:12:16 -0500
Received: from dradamslap1 (/10.159.33.69)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Sun, 03 Jul 2011 08:12:15 -0700
From: "Drew Adams" <drew.adams@HIDDEN>
To: "'Lars Magne Ingebrigtsen'" <larsi@HIDDEN>
References: <B156F81215FA47938EF931D3BE8C0DA1@HIDDEN><m3ei27o65i.fsf@HIDDEN><46569E22228A496BA90A29AC86C3F361@HIDDEN>
	<m3tyb3l8mw.fsf@HIDDEN>
Subject: RE: 24.0.50;
	Customize buffer is too wide. Put doc string on separate line.
Date: Sun, 3 Jul 2011 08:12:05 -0700
Message-ID: <EB2030E15E9E41E7A923B3BAADD0C8BE@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
In-Reply-To: <m3tyb3l8mw.fsf@HIDDEN>
Thread-Index: Acw5kMuNsc9B5s6LRv6JUBCWOgGIWQAAmtRg
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.6109
X-Source-IP: rtcsinet21.oracle.com [66.248.204.29]
X-CT-RefId: str=0001.0A090209.4E1086D9.003C:SCFSTAT5015188, ss=1, re=-4.000,
	fgs=0
X-Spam-Score: -4.4 (----)
X-Debbugs-Envelope-To: 6755
Cc: 6755 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.4 (----)

> I never fix bugs "blind" if I can help it.  I need to 
> reproduce the bug so that I can test that I've really fixed
> it after I think I've fixed it.

You are of course 100% right in doing that.

I meant only that I thought that in this case the bug was communicated by the
screenshots and you would be able to figure out the cause and fix from that
info.





Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6755; Package emacs. Full text available.

Message received at 6755 <at> debbugs.gnu.org:


Received: (at 6755) by debbugs.gnu.org; 3 Jul 2011 14:52:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 03 10:52:13 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QdO1t-0000nF-8r
	for submit <at> debbugs.gnu.org; Sun, 03 Jul 2011 10:52:13 -0400
Received: from hermes.netfonds.no ([80.91.224.195])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <larsi@HIDDEN>) id 1QdO1q-0000n0-HW
	for 6755 <at> debbugs.gnu.org; Sun, 03 Jul 2011 10:52:11 -0400
Received: from cm-84.215.51.58.getinternet.no ([84.215.51.58]
	helo=quimbies.gnus.org)
	by hermes.netfonds.no with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.72) (envelope-from <larsi@HIDDEN>)
	id 1QdO1e-0001OY-Iv; Sun, 03 Jul 2011 16:51:58 +0200
From: Lars Magne Ingebrigtsen <larsi@HIDDEN>
To: "Drew Adams" <drew.adams@HIDDEN>
Subject: Re: 24.0.50;
	Customize buffer is too wide. Put doc string on separate line.
In-Reply-To: <46569E22228A496BA90A29AC86C3F361@HIDDEN> (Drew Adams's
	message of "Sun, 3 Jul 2011 07:13:16 -0700")
Date: Sun, 03 Jul 2011 16:51:51 +0200
Message-ID: <m3tyb3l8mw.fsf@HIDDEN>
References: <B156F81215FA47938EF931D3BE8C0DA1@HIDDEN>
	<m3ei27o65i.fsf@HIDDEN>
	<46569E22228A496BA90A29AC86C3F361@HIDDEN>
User-Agent: Gnus/5.110018 (No Gnus v0.18) Emacs/24.0.50 (gnu/linux)
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAFVBMVEUIAwdeR0QMBgqchnwX
	DRI2HyMFAgUgBoQYAAACaklEQVQ4jVWUQZPaMAyFVZfmbkzuXq3pPTXci1B6bkLcc4bp+P//hD45
	YXZrIBB/fk+y5EDMqul24SQ0yrSoyqiSWImTst4vfJA4yq1XjFGYkwHVfMEPl/itF3P4+QIp+1N0
	nePkhSMnboCFzzmcItWOaZojuRRBDKRbzqaoRI/ZLMVAdMrvQx6IDNyPji0dgI6YDEQD9euRo2MV
	xKhY9z6E4SfRSvTlB4KrBWngcX1kiQ7atw3wDkJ/N4C7JMCi7BgxifLplgUJxjSzA+cGVufyYgDp
	4EKIbYgIO8nLmGdH7qwcibdBWMFZNM/Qn/mISKiKZQW7ZOAIIN+EnGtOaso3gHA0lzPtVugOrrdB
	9H40U2x/jWYOBbpxv+JjVgDkWlTrp+rjqlNoRbI6stusSinhUiYLjlRWajFEhSbv88U+1rFmb80F
	8N4PxftwQqmh2KYxKOThNPYSZps3oBsCyP1t5rBIig67wBRR2sBwSmMuHR2UnLnX6nZQJp/7VYug
	sguOC8WDGMgDsjre+gVHIwqccEK4AWR2Yj93z1q7teuq7WZTXHE0l/q3q5212rrdwOALXOpTF6yt
	Nl4K3//G3Vj6Wle44b0DHDdWbL8Xqc3qA6AmuOK7+az7zm3ehxAABouwpkWXTeGtlHj1iyXstCwf
	oPfTlkNdD1rKJwVGMbB2qNS4gbAJsM4U3TPt/dgE/QsgLTyHBjafHt0vTQHkoNjnN/CrroIo1SV6
	DOE/oNrMYDXsEpsvf+qo340k8vmToMy1LCZ5KvlXjAYWAlirnd3H5xClSLHO41GnEcuwHxy09gR0
	OFnJ/l/+AUpwyYHv+V2mAAAAAElFTkSuQmCC
X-Now-Playing: Colder's _Heat_: "Fade Away"
X-Hashcash: 1:23:110703:drew.adams@HIDDEN::RbGS6I6j4btwu8tp:00000000000000000000000000000000000000008ZPx
X-Hashcash: 1:23:110703:6755 <at> debbugs.gnu.org::shymH9pqFNN2dnna:00000000000000000000000000000000000000000luSC
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1QdO1e-0001OY-Iv
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1310309519.34814@KScIpYl49SXgHVvmp7dtbg
X-Spam-Status: No
X-Spam-Score: -2.8 (--)
X-Debbugs-Envelope-To: 6755
Cc: 6755 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.8 (--)

"Drew Adams" <drew.adams@HIDDEN> writes:

> Yes, the same example.  Here is the defcustom:
>
> (defcustom icicle-incremental-completion-flag t
>   "..."
>   :type 
>   '(choice
>     (const 
>      :tag
>      "Do not update `*Completions*' incrementally"                
>      nil)
>     (const 
>      :tag
>      "Update `*Completions*' incrementally if already displayed"  
>      t)
>     (other 
>      :tag
>      "Update `*Completions*' incrementally always"                
>      always))
>   :group 'Icicles-Completions-Display)

Thanks.

> But _any_ defcustom with a longish :tag in the choice will do.
> The :tag string here is only 57 chars wide.
> We should be able to display :tag strings up to, say, 70 chars.
>
> You do not need to "reproduce the bug" - you can see what it is.

I never fix bugs "blind" if I can help it.  I need to reproduce the bug
so that I can test that I've really fixed it after I think I've fixed
it.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6755; Package emacs. Full text available.

Message received at 6755 <at> debbugs.gnu.org:


Received: (at 6755) by debbugs.gnu.org; 3 Jul 2011 14:13:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 03 10:13:45 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QdNQe-0008Km-Ob
	for submit <at> debbugs.gnu.org; Sun, 03 Jul 2011 10:13:45 -0400
Received: from rcsinet15.oracle.com ([148.87.113.117])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <drew.adams@HIDDEN>) id 1QdNQc-0008KZ-ES
	for 6755 <at> debbugs.gnu.org; Sun, 03 Jul 2011 10:13:43 -0400
Received: from rtcsinet22.oracle.com (rtcsinet22.oracle.com [66.248.204.30])
	by rcsinet15.oracle.com (Switch-3.4.4/Switch-3.4.4) with ESMTP id
	p63EDYX2019972
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
	Sun, 3 Jul 2011 14:13:36 GMT
Received: from acsmt357.oracle.com (acsmt357.oracle.com [141.146.40.157])
	by rtcsinet22.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id
	p63EDXH4002630
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Sun, 3 Jul 2011 14:13:33 GMT
Received: from abhmt119.oracle.com (abhmt119.oracle.com [141.146.116.71])
	by acsmt357.oracle.com (8.12.11.20060308/8.12.11) with ESMTP id
	p63EDRd1002615; Sun, 3 Jul 2011 09:13:27 -0500
Received: from dradamslap1 (/10.159.33.69)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Sun, 03 Jul 2011 07:13:27 -0700
From: "Drew Adams" <drew.adams@HIDDEN>
To: "'Lars Magne Ingebrigtsen'" <larsi@HIDDEN>
References: <B156F81215FA47938EF931D3BE8C0DA1@HIDDEN>
	<m3ei27o65i.fsf@HIDDEN>
Subject: RE: 24.0.50;
	Customize buffer is too wide. Put doc string on separate line.
Date: Sun, 3 Jul 2011 07:13:16 -0700
Message-ID: <46569E22228A496BA90A29AC86C3F361@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
In-Reply-To: <m3ei27o65i.fsf@HIDDEN>
Thread-Index: Acw5hEyRLogsRIzUTvyShkOaA4LxQQABYzTw
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.6109
X-Source-IP: rtcsinet22.oracle.com [66.248.204.30]
X-CT-RefId: str=0001.0A090205.4E107910.00AC:SCFSTAT5015188, ss=1, re=-4.000,
	fgs=0
X-Spam-Score: -4.4 (----)
X-Debbugs-Envelope-To: 6755
Cc: 6755 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.4 (----)

> I've tried this with a few `choice' defcustoms, but they all displayed
> properly.  And the one you included in the screenshots is not 
> available in Emacs 24, so I can't reproduce the bug.
> 
> Do you have an example that shows this behaviour for a defcustom in
> Emacs 24?

Yes, the same example.  Here is the defcustom:

(defcustom icicle-incremental-completion-flag t
  "..."
  :type 
  '(choice
    (const 
     :tag
     "Do not update `*Completions*' incrementally"                
     nil)
    (const 
     :tag
     "Update `*Completions*' incrementally if already displayed"  
     t)
    (other 
     :tag
     "Update `*Completions*' incrementally always"                
     always))
  :group 'Icicles-Completions-Display)

But _any_ defcustom with a longish :tag in the choice will do.
The :tag string here is only 57 chars wide.
We should be able to display :tag strings up to, say, 70 chars.

You do not need to "reproduce the bug" - you can see what it is.
The :tag string should be shown on a new line, at least when its
length is greater than, say, `(- 70 current-column)', modulo
perhaps some fuzz.





Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6755; Package emacs. Full text available.

Message received at 6755 <at> debbugs.gnu.org:


Received: (at 6755) by debbugs.gnu.org; 3 Jul 2011 13:22:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 03 09:22:46 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QdMdK-0006A7-67
	for submit <at> debbugs.gnu.org; Sun, 03 Jul 2011 09:22:46 -0400
Received: from hermes.netfonds.no ([80.91.224.195])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <larsi@HIDDEN>) id 1QdMdI-00069r-0M
	for 6755 <at> debbugs.gnu.org; Sun, 03 Jul 2011 09:22:45 -0400
Received: from cm-84.215.51.58.getinternet.no ([84.215.51.58]
	helo=quimbies.gnus.org)
	by hermes.netfonds.no with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.72) (envelope-from <larsi@HIDDEN>)
	id 1QdMd6-0008P7-I7; Sun, 03 Jul 2011 15:22:32 +0200
From: Lars Magne Ingebrigtsen <larsi@HIDDEN>
To: "Drew Adams" <drew.adams@HIDDEN>
Subject: Re: 24.0.50;
	Customize buffer is too wide. Put doc string on separate line.
In-Reply-To: <B156F81215FA47938EF931D3BE8C0DA1@HIDDEN> (Drew Adams's
	message of "Thu, 29 Jul 2010 09:29:24 -0700")
Date: Sun, 03 Jul 2011 15:17:13 +0200
Message-ID: <m3ei27o65i.fsf@HIDDEN>
References: <B156F81215FA47938EF931D3BE8C0DA1@HIDDEN>
User-Agent: Gnus/5.110018 (No Gnus v0.18) Emacs/24.0.50 (gnu/linux)
X-Now-Playing: Beth Sorrentino's _Nine Songs,
	One Story_: "Famous Blue Raincoat"
X-Hashcash: 1:23:110703:6755 <at> debbugs.gnu.org::pl+kx5CltfHFYeb9:000000000000000000000000000000000000000007B7d
X-Hashcash: 1:23:110703:drew.adams@HIDDEN::ksh/oJIjRJMgk33Y:00000000000000000000000000000000000000009iTb
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1QdMd6-0008P7-I7
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1310304152.81418@xjwG5debh0Pmh6sUydKXZA
X-Spam-Status: No
X-Spam-Score: -2.8 (--)
X-Debbugs-Envelope-To: 6755
Cc: 6755 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.8 (--)

"Drew Adams" <drew.adams@HIDDEN> writes:

> See attached screenshots.  The first is what actually exists.  The *FIXED*
> screenshot shows the kind of thing you should see instead.
>
> The first line of the doc string should be on a separate line.  It
> should not be on the same line as the Value Menu button.  Otherwise, the buffer
> text is much too wide.

I've tried this with a few `choice' defcustoms, but they all displayed
properly.  And the one you included in the screenshots is not available
in Emacs 24, so I can't reproduce the bug.

Do you have an example that shows this behaviour for a defcustom in
Emacs 24?

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6755; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Jul 2010 16:50:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 29 12:50:03 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OeWJ0-0004wG-TH
	for submit <at> debbugs.gnu.org; Thu, 29 Jul 2010 12:50:03 -0400
Received: from mx10.gnu.org ([199.232.76.166])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <drew.adams@HIDDEN>) id 1OeVzB-0004lj-5Z
	for submit <at> debbugs.gnu.org; Thu, 29 Jul 2010 12:29:34 -0400
Received: from lists.gnu.org ([199.232.76.165]:33217)
	by monty-python.gnu.org with esmtps
	(TLS-1.0:DHE_RSA_AES_256_CBC_SHA1:32) (Exim 4.60)
	(envelope-from <drew.adams@HIDDEN>) id 1OeVzO-0005Yp-BX
	for submit <at> debbugs.gnu.org; Thu, 29 Jul 2010 12:29:46 -0400
Received: from [140.186.70.92] (port=41086 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1OeVzL-000312-88
	for bug-gnu-emacs@HIDDEN; Thu, 29 Jul 2010 12:29:45 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-4.2 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_MED,
	T_RP_MATCHES_RCVD, UNPARSEABLE_RELAY autolearn=unavailable version=3.3.1
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.69)
	(envelope-from <drew.adams@HIDDEN>) id 1OeVzJ-0002A1-To
	for bug-gnu-emacs@HIDDEN; Thu, 29 Jul 2010 12:29:43 -0400
Received: from rcsinet10.oracle.com ([148.87.113.121]:42308)
	by eggs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <drew.adams@HIDDEN>) id 1OeVzI-00029O-LL
	for bug-gnu-emacs@HIDDEN; Thu, 29 Jul 2010 12:29:41 -0400
Received: from acsinet15.oracle.com (acsinet15.oracle.com [141.146.126.227])
	by rcsinet10.oracle.com (Switch-3.4.2/Switch-3.4.2) with ESMTP id
	o6TGTZXW015680
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK)
	for <bug-gnu-emacs@HIDDEN>; Thu, 29 Jul 2010 16:29:37 GMT
Received: from acsmt355.oracle.com (acsmt355.oracle.com [141.146.40.155])
	by acsinet15.oracle.com (Switch-3.4.2/Switch-3.4.1) with ESMTP id
	o6SFkJGP021586
	for <bug-gnu-emacs@HIDDEN>; Thu, 29 Jul 2010 16:29:29 GMT
Received: from abhmt021.oracle.com by acsmt353.oracle.com
	with ESMTP id 449298581280420966; Thu, 29 Jul 2010 09:29:26 -0700
Received: from dradamslap1 (/130.35.178.194)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Thu, 29 Jul 2010 09:29:23 -0700
From: "Drew Adams" <drew.adams@HIDDEN>
To: <bug-gnu-emacs@HIDDEN>
Subject: 24.0.50;
	Customize buffer is too wide. Put doc string on separate line.
Date: Thu, 29 Jul 2010 09:29:24 -0700
Message-ID: <B156F81215FA47938EF931D3BE8C0DA1@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed;
	boundary="----=_NextPart_000_000E_01CB2F00.8909FDF0"
X-Mailer: Microsoft Office Outlook 11
Thread-Index: AcsvOzS9IuirfutvR3SCxF3jxb0UGA==
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.5931
X-Source-IP: acsmt355.oracle.com [141.146.40.155]
X-Auth-Type: Internal IP
X-CT-RefId: str=0001.0A090201.4C51AC6A.01A7:SCFMA4539814, ss=1, pt=DBB_65837,
	fgs=0
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6,
	seldom 2.4 (older, 4)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 29 Jul 2010 12:50:01 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org

This is a multi-part message in MIME format.

------=_NextPart_000_000E_01CB2F00.8909FDF0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit

emacs -Q
 
See attached screenshots.  The first is what actually exists.  The *FIXED*
screenshot shows the kind of thing you should see instead.
 
The first line of the doc string should be on a separate line.  It
should not be on the same line as the Value Menu button.  Otherwise, the buffer
text is much too wide.

Just as for *Info* *Help* and similar buffers, Emacs should make
a reasonable effort to keep the buffer text width within 70, or
at most 80, chars.
 
We go to great trouble to ensure that doc string text width is
reasonable, but Customize currently defeats that effort by simply
appending the doc string to existing text and buttons in the buffer.

This bug has consequences for any code that tries to fit the window or frame
width to the (max) width of the buffer text.
 

In GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600)
 of 2010-07-19 on 3249CTO
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.4) --no-opt --cflags -Ic:/xpm/include'
 

------=_NextPart_000_000E_01CB2F00.8909FDF0
Content-Type: image/png;
	name="bug-emacs-customize-doc-string-FIXED.png"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
	filename="bug-emacs-customize-doc-string-FIXED.png"

iVBORw0KGgoAAAANSUhEUgAAArAAAAKWCAIAAAA+0z3KAAAgAElEQVR4nOyde3RV1Z3Hv/vsc+77
JjchoQnECCICWuhIljzVOtSu0XF8EI0GOnVqpVofq5aig61LTSwz44NKFyO6iq8ZlxIItiKg1hGt
iJVqGUjVSkQ0KiSIJpDHfZzH3vs3f5x7k3uTGxDB0IHzWb91c+4+5/z2b+/92+f87u88wta8/hGy
uOQ/9jPGAZDjBwDO0it8AXAGP4fOISR0zjgnSRAKmgYNUBkVQoOHx5DCj7YBHscZzD7aFngcT1D2
IY4DMmet5f6xAR9sAZ8CAFuDT4cNQAACDgMAgwAdAKDDIVif0asTszWx3oBg9t3dAIyRJ7NwMBLQ
/AEACHLoAYQICCAoAYDrAKANftJXatBVHh5fBwfwRg+PrwPvKOcxxPQ7yikFKcD1vs/BSDn9S7ot
AOhMoKdb2u+8h+44bZ3urkoHBLPv7mZF5XooLAxpBKIRHwPgxgR+PwD4dOhZMYpPTy/Yg9vh4eHh
4eHhcZiITEbAPQu7X4WZKQz0PxFrAkrv+2pZOWutzI7xhAJg7U1iVwu9PhFuQHDJ7e0oLAM3WXER
AMqEIpqhM00HM3RDt4g4aQB0jSwiP2MA3EK3BICfMZJgjAS8n2weHh7HLMqmo22Cx3GE5mPKJvIT
J02yvvQUS0nmEOMOpFSOTiThcBgSAszgAIgkWCZYEAq6BtKRNNM3A+gMAMwU9nfCDtJrYzIBQYij
sLivfj0AXWNcI03TjHSkwbSskCMXUoKJrASClINt6eHh4eHh4XFYKAcAFCkQEwRASQVFACAz0Sqp
nAVJAJgUJAGI9GacwXIQN/HJx7TnMobJG1E2EqwLgWh6Z78BpGMCAG5YkF6lGf0NAgAwpcjJBATC
u7zmMcR4AaiHh8cxzcD7VhRBEkj1O98DoL4jYta1BDcCEAIABEFlboy1CU4SAHa1MEzeCACFQRb2
kT8E5AkIehVS1o0NTCkAJBUjRm5NKmO08vJpHh4eHh7HIIZGV53pu/OK2IjiQbPmebn2ofbHX7cd
xQ5LybL2x18zHQUIMjR11bf9d36vZMSwQ1Ry98ePr+9wBMF2wByYSYgE9scZTl6BgpEDAgIDOh8Y
ELiQVAAycYACsqKQfikLD48hgLyklMfQ4rncccw15wT+tbrkoeecjm5KmGTacATZApoG2wEAqQDA
dMhdNm2kLKc01PXYzcUP/D61/FXzCCh52QLUNX/vf+CSRFfjQ6qzQyUTZJkkHHJsaBqEDYCkBEC2
CQBSKtsUZipeUHrivz228Jno8sY9AMAcdJrQOvD5dg5fLaJh6H6NaZTODXCAQ9MY08pYfCLtnYrd
U1nbRLVnlN0RcVIOWIoFSBIU4H4CUAQ3DBASIE88GULx8BhiPK87ftmyeMQ9jXZFCasoZUURFgmx
WESLRVgszGJRVhhhRVEWDSEWZpEQC/rgNxjX0NljP7/xg+W3nHz/+p4joGRtN4AtSyo6H71H/0aF
/o0KXljEwhGtIMajMS0a49GYFinkhUU8HNWiMS0UYYGg5vODc7O7c/uG56+oX3B/4xeQCo4BxwJL
IdHOEbkc0TB8PvIF4dN60wM6aIa+axp9OpLHywpZSZExdnTk78ZFZp6in1GUTHze06rCimkAAxGQ
NUGIgXniyRCKd3T2GGo8lzt+qbu8cPUmcUIpM3RmO3AkFAHECAwEuMckMLg/k4kpBSnJsa29e1vv
umZsfWPXEVCyqgsO6ubG4i+u1stOYIZBtg3hgBQIICK4R0cGAgNIKRBBKZLSdpy2vXunzb+1/pE2
cA6HYAWg7c8EBJEYAkH4dWh+kA6uG1DnGx+erO0vLw+eXlVWeWJBUXEgEvaFI76RFdELLhhz9mnB
3f/74U67oO9GB3eCeBcLPIaeox6ReHLciebJcSt1NdEVf3CKo5qQiJuUMGHZsGwybZg2UialLMRT
ZDpIWkjZsAQJQUJYVqLj5n8+qf7pxBFQsiIOorq5sfhzK7TCYkhByTilEmRZZFlkmWSaZKaUmVLJ
ONkmmUnYKXIsJYQlxL6UdeqPbq5/uAPQ4TiwAT2B+F43Q1AAvw8+Dq5D08C1mb7WU4xOTWPVl47/
zrknjR5dNG7CsFGjioaXhUMhIxTylw4PtW3f3fV5fDcVpg/KlPXp4eHh4eFxLFJXE214VUSCzHIQ
TyFpwrQoZcG0KWUiaVHSRNykpIWkBUvAEVBKkbSdVMf8uSfVr+4ZqOT+a/wXTNEvmq7PnqlfepZ+
+beNK84x5s4yvjfLuPJc4wffNZatc3KUNHSnA4LnG7RwhGyLkvHIrNmFtdf1rF8J01RmSllJSiXJ
jJOZrPjvjVqkIPXWK0oph2if6Uy4en79I58DSAcEvBvxvRwF16I4BOgI+OHj0Hi5L3GmfzfnCIeN
WHFg1OiiZNLZ/t4X7e3J7m7LtmVPj71t256mbXtjlGxT0Tj5gOyAILimcXgdNx94N+u+m8po88Ml
/1kTrauJ1lWK+s1H4QWHVy4Y0TTfaFmd+sthKKmqLW27I1ZXE62ric7p18ahsiEX4+4lZS+dh/Uv
2nu+YqXBNY3DG2YcSMMhVff/jQM2/2v320PqfODIuFBwTePwBrdRaQkE30xu6DpkY7IV9p/yxzbC
fajKk+NR6q6IPvWKCAeZI2HbsG3YTkYEbAe2hK1gKzgKkhgRA4iUbSXa5889qb6hZ6CSC6Yc5DGB
ZetFrpJ0QNCz7iktFIZ0yLILa68DEPmHS7vXPknChmOTsMmxT1j5JgDfSRO6Vy4jwJbUkbL6BwSs
HYl2DQDIDyMEAEwDMJbv1zXSNObz85aP9jdt+8zn0y1LfrBj3/vb2998o3XN75r/5/cfCUf5dJxi
dIIYiLn7Vs0ppSVBtGJHsIPu9VW5TZlZTIujWPVasHxRuHz54mHyPvXxIc2+KxeMoCXRqkPaJz8f
G5te/cr/CaeqtnRLNe75/rJw+aLwdzax6lK6/iApkXyWH5YN+TGbjK1NB3w95MEqTR1UwyFV97fC
l/WcvM0/bL/9shyw878uF3rhmXD5oozcc9dTz/iSBzdmIFW1+ab8MY/uyXEsgOWQ7cC24QgISUJC
KJIKQpEkCCJHsbTI9J33iojA+pwnV8lB6a8kAzmWsm2ybHKcvbf+i1s44qG1kAJKQooTVv3ZLdx1
8XgoyUgBKn3nn+YDABnoXc6d+FIDUGYkNMZsW8V7bMtW27bu2bqlbcKppePHlyQSTleXadpC1xnT
GBjKeILrevo9iEw7baSBkYGLR+LC88eDPjO2NmkIrrkpgE/f/cFPX8OoS5Nn/dMtv/jitqZt6aPP
lyJYPRWwD/ck9MSv2vRJTzd8dQXB26uNHf/19F0bIKp+mBw2Zu6qOM7xH/Ak0d/yw7bhq3BUKv3b
4HA85/D99ojwdbpQ6azkWT/MyGw79FV05JvyHh7HPqadflZQKkiCcj8JMpNKkIAAHMBxXyCUuf8+
rxIANb80L749dd7PU7NuSc78WfKMmxKTbkxOuD459sdJDFSi+pSQZSrLJOFAys9uqnELRz62gUhW
NLzpft110VhIB9IBSUbEeq/uuwn+DBzRK1EQhmEg7EOAg/PpgTYIOWZs7MyzKidPLj/11NJI1KcU
KkfFYrHAJ590JuKOUpCKABDobVFO0KAYGP3lT2LypYFxO9t3FIfeuH35sp0V4rKxK6bp625bvuzT
M6zxYwgcCMny06QRWtNY0lBJ9ZsJ4FW1JW13hINv2hu6/HcvGf7S1W4m09eyGnOWFF1dABSdOO8n
Y+90t68saH642E3knt5mrtzFUVnQ/HBBBQ+8dEdRXU10Dhebv1ncdkehu/zAu+zKBWVN86N3XDd1
x1sVvLbEXdUr7jbZatMl4H0yM9IwTX/jkWcbUxdZJWGA7ykO1U0r6Hht3W/D0/76eHrHuppoXU0w
05Acy1tmlPTa0ASepxUIrWksqa30NcwvytLDAe7an9ksW/RzzwueKT599EnZWl5ByOq9GXz9i/K7
WQ1vAseADfbAqK3xj9+X0XDgTsipbswzg1ibrxZ3uHnw8uKXro7WDRjHrCE40Dgit98yhXn7rX//
128mtxtzrc1tfu5w5/PbfAN3ULOzdjlQ7f2bZhxBF8oSo7bGP35n879viDklw/qXZ4z5fp6+cudp
39w5vc38+So5ucafM+Wzu9ETT445qasJL3/eDgcYACJIBSlJAZJIMkhAMiYYJKAYU8z9tUxKOFai
Y8Hc0fWrzYFKZs/UGzc6gyn5yQXGr59zcpSs7AbT6uYUdK1ezoNhEKCIpCSSPeufiv7jHAAF1Ve7
p/nW6vEMCqQYAxgcqfYlrfHzFtQ/2gEC/AqKg1vo3qXBF4Hmgy8AxiF1ELcdmjZ95PU3Tjn77BPH
ji2OxQKWJfa09Wzd0trRkSwri4BIKiL3kQhiADgDdAbiqNCoNXXftb9b++H+caecJkdVnV7Jga73
t0OOqlKcoU8AAPteDr3fAs7AAPTwbaunXBZdONK+78JF4fJF85a+tWPTi7fdvGctgJ2bppcvCl+y
NER28+IQGv8YLF80fWn7xTeVrv0WgwZAXzjpnakzVk5f2j6uumhFdxuf8eD0pe3jquV9/s4nft15
bwuAFmPTy02rO/mMB8NuHngngOb7blgW8PNeteEbm8dVF609tTPLWlaVaQiFi9OFrfJ9YNwpuvu/
0XcsXe4mYOe9oC9crN9bJm/Ntfzpa97ptYGPCudpBQeAi4e9Ne1bK8Plyxfv1Bcu7r7KYpn+gfbB
b/z7svuQpXMz6ejOv6axaCH2TT15Ubh80by3k7WprU9mNZzn20DjWfFhllV5OyG3usGsHbyWqUn+
0xf9Fz4z7xc549hX18HGMb+FyFgyqaHPkqS4dX6u5zS3PPGrL/RJvWPUfdXgP/erTsj4beVklb2i
Mty8OIRVWQM3yV2hL5z0ztTpDRmzW/n0XrP3u1v095DhuVVmaU43bcIX/Zrw9I96XWgDH9SSgV2R
r4Xnz068PYUaS2lJOG+eP09fzSzYUq0/e+eD4fJF814A0D6Bve4vQM6U79ddHh7HIo6AacN2IGT6
FTyEzHN+HNAAzogz4lAapMYEYyLzrqG8SoADKQEGKMm8ShjCIcuEY0MKkAIRI2r78Xm9tbTVTmQa
MUYaUxokI8FIQEkAMHQYLJ0kEAkYBbnpPc6gs27yV44qYICQ6oOd+x55ZNtvV29/5eWWP76+e+Or
n7zX3K4IpIgBYCwJP7ghlQ/kAzh2yUuu/+vtn8jbfrZv4tLPWPJjgAEKGEbhfnFWb9UawJG+LsKa
PiXAd8u6OVdMueHRzd/88+hhhGg6uxGeap5zw4S5ZeMQX/ebP2D0nD9tDjwLXDh5k79TA7Dj+a3v
fj7sLVYI/B97Vx5eVXXtf2vvc+6QmwGSSyBhCARJQpgJMoYYRq2IBCFMtkWoBBC0ts+vz1ehXLSC
T6UD6CvSl7YPRVCEyiBoERRqqRRikTEEtBCBMCTBzOeeYe/3x82dyA285/P76IOsb/1x2Fl3rd/6
rXW4++6z7744dWitDfd+SnGAOz3uQ1s9+ZdGCOAiZXp97oLJWwqeust4afw769Gt50NxAbf1FR22
AOMHHbNfDQXcNJHGFKih8dclRZfp9bkLCj/SStB6wl27bfVhyOszOwUw9Btij5DFVQYAp8uP1iVo
ufkbjhpAXGbtbg6+9pfXlD4/n7YJTaargXdohqHOCcC25f9xDIO03AWFa/nTpV8qoYlHNggWIhRV
8yQEqtYM2htE2fnnJZ98CZZbGH1fZn67CLFuVseBAyIhrPQjqXcHkTTs4Tyc/x7dMLyVeWRRXdmi
//wO/DYhfciVoJK/3DFK6HjWMHs6aretCSlc1if2aj/sq24/7NdtFIC926azCB2StsfmDSE/xHNj
aoOP2yuvSyHQQmH2QSTNUhGaha8W/j0EA35x8rPDLDAeoKIJVzOH2IHz29ZUWj0WFJ4xAPepkkt0
oiTsltfOhdHYoi16+ylgWNBNaQlpCQgBEOD7TiIHcYJCpAAKSYWEAovDABkSpiQAEZ00vjU14wRo
4gQAbACkYQhTl8KSwiLfGgBD8ur3/TZI3nCUMTAmiQTBImHAMkiYACBsIDsA6DYoLgAccU8g3g5V
QRSBcTBKUA1WfqlTSmxcrP3sP74+fuyKauPR0arTqTqdisKZlDBNKYQEUCLanpduMILFQAoYwe62
OvS27C6rQ2+ztbusFfcMdFUcLHq7tq9lZ2ABVac9pGScKV62O95o507uYSvI8O5fe3zPlcwtQivo
lTRhutMzhG8tSrros6wsLVwnLnTsOHqsY2L78797uuzzjCGWvdHJ8k/bzM2PpgNFvzk3yOgd4xnI
S3bse7tmlNVd8QzkJTs+2Hh52Ig8W3Zs+dYVVw53TZeMZU2J2TmKtv50+eM73ObgSSPGOSa2tw2d
mbPoB/GeybYMAGeKl2+D0c7tAxwhkZ62VQP5/td3bjQGzZvooANFq0+kmfEutFIXjuZ0YP9rh+6a
PNsVQC4ZHz2mEYN7bq+8pllsi5s0r1XGmeJlf07W27mTe9gLMvT9aw99xPtadibbDjZSB1vRoRwy
+HyapYXrROLk1IKM6m0r/rY7YbIZw8CYbNvbsgeD0oyekQyC9GbO6pp3QxJCw13o2Hmqr4LhaK/l
3j2nRzNRzhQv+7Sn1tENu3v0fZEIv1kdK4bkTujUFGFzvPXPnxbsHDksSi5UT735QcrYDdttmY8O
wv61n11v4ye2ub4d883aT8+eP57fuEOaIT9u0rxW31YLXX/rfTqwfvD9Rupgo0MHGRj3xZrSTTTh
am+3/nN6xNHZS+uV9P5D7AUZ1dtWfLzHMc6KD7vlw/vzNlV56xeuW/RWqWeybdUWw2knxggE30lC
AiQAwSAYLIJJZJFvJwFZkoSQpq4btRVPf7fz0k1WUydT71Hf2mc25+SHY5WX3rfCnZgQzDPVUfXm
KrI7iTHfowkpZdLKd31TgUsFOdHjZwFwjZtZv2U1SQvSkkLounmtwUif+/TSNzQwC6RAEkQlGqoY
AAgFAKBCIXDbF6JN2RXt9bVHDh680LNX4tz5WdnDO7ZvH+uM4hIgBrtdcUZxIvJKfhrtADAibiey
gVR+nbJDcgswflxb8oaPq4FfUGSk8uB6gco/26UqOauHrCxHe9ub2Se5GvzgQio/XiaA2IzMBNEq
1Ak1zpoYZ4FlbSXs2v/hlkjlLNt5KI9h367pv4fV7/tGK5/b8pdH/Ty49Xr2cR+2RsCXUAKkp7FA
IjMHq8D5LZsgXa5AdFI5UwJgwpAzNYjhRDNZNMdJU2L9NAZ8ssOXBBCX3t0tW0U0oGYMgiBvTkJI
OGqmgocv3jCK31szsW5SxxPnI70qdN1C8pDDMPxBJYPkWckcqN5WeFCkPpI2xA3wpjZB3e/v21oe
On78fGPhrCgOGaDOD0ByyEjXYQahNsHox26cWgCe3+FNkFxPRWgWLNymybhk/SJxdfhN/d/PYfwr
U8w3Yg7lsS2e9UtOuKWLhzu5M/SWz0ha9BYqoJvSa0jdlKbAO4ucmxc7t/7MsdPj/NDj3LfU+bfn
nGAAa3xkIAiGhC7I8B3cF8kJfN8jkLLxPHYCcQo4AZo4AaAQAGnq0vBKU5eWKYWV9OvNvj9emj8K
kJd/MAgARcW23fglQZAUsAyydGn6f6yY7KHfLeBwP45oFTYHFILTDqAOUdGqFatVHjt29Vplvdvt
Sk2NT09LSO0a36FjrMtl0w3zWqVX160i0fkLliSJwJgkBsakYP7F5EaVwGlmFjzQs8+J4vU1iQB/
4XnHwjq5/gJNy+MZVL59o/N8u7Y//J6SHaPtX3tiT9SATT/m68/0O69EzRjJsP+9NX/p0vNeV7ZR
WrhOXuiUcrGWZoyMTq86sfqLzD5T1V+k6y/Ne/dj14C5k110oGj1iXSjV4xnAJXs2Lfx2nAznQeu
RzzIs2PKt64oP5zb88RPFPdXJ4fcu+ty0gStayLAymppxsjo8Yn6s5UztLE5R387fF/p0NJ2bYKJ
VKM6iT86KcXxYd2fEI1BtsMPUknhhoV7OhnZ3R8byXzRzfiY5f+qToi5+pO8fUcTskKRC7DRoxox
7GyXMa1pFlrfSXPjMs4UL9uTYLRLTO7OC9J9nGQ9/GPH4flq30tyw4Xr6GWjR/Fss7TwDXmBd+yb
xx9Ma3hvS6fz0QGeg0EPO9P7RDCgaXk8o7K0cJ08FN9p+o1JCA3XqdPUPB4BbXm/3vnNRPEbN0t4
l+iFfiYj1nHV2ewp45q8Kim20flHCUb7xORMP5Lo/r2G8Ub+u6QkZfKCdEfFwZNv8eFTpvDsGGfF
waK3tf75+Y3pX+iSIjlDo/r79lTx+vpEcP7CC46Fmvxlib/9zmb2neEvXLS//YrTzT5+2NXDre7+
9qOc+eNYo0GbmBd+6u8Q96DJs5y+6EUJkchPiu07MJiC5MFqvp/kb6FQJF5/C11PRZblDKRGoXSB
h49Xlhauk+K+zhG4yhr4/r1UsnpNp/E7l63Yt6mo3uq3UHezEA8t2qK3v3ry+MubdKeNOCMCHh6p
oon85mPTlGRKMgUZJgxDWprXrKlYPLPz0u0yopM39lhCQhCEb1MhyAR8Tn40Wlm+wwxzstmAZJ58
29d/eJnsTuIcoORXt/mil80fS1JAWCSths2rXBPnA3BN+5f6dcthGppuVTSY6Y8tXrreBJMgBgVA
Haovc8QvQLQKF0MUg6IQcUZ0kVonKTWJTlNKqqvTq2v06mqdIFNT49PSE1JSWv29qOxwXfx+tYcA
B+eSS3CSQgFnxMR1Rz2WldD2quqXf5TiyeOePJ4do2179r/21fddX1e7ZEzao3PbevJ4dgyAuv1r
T+7JzPrZTGVVHveMZAkXzj3w/b9eatPnTw51yZiujz7ReckgbN9mLTpXufKJuxfn84J02vpc4eM7
XGZO9mNjGA4UrS5OE32il2T5/kceJrsz/3W2f0Jwlc3P/Lc0QlybR5/KeWZuW08en6GIV4vEq+cq
lzzca3E+94ykwuf2bfzwK9mlI0ISOfKZdTYm5sUnYzx53DOAtry0aezz50T6g1Zq9MJcljYoa9Gs
GF+Cs9NXveXtbgzt/WG9EUS+V/YY2Yjh8+RurzTNYkBO/mSecaZ42cfxZnt3UndekKbtX3t8T0y/
XkN5XjJO/2H55rJhIjYIiTEaNZJnm6WFb8qLXTq+te1C/0d6v/Qw9+TxxL1XRy5dqTiDiX+ekbYh
gsEwJZ3n9UxpW3r2rYoOr9yQhPBwnaY+GBFt3/UfRICRPyNoTAxUKyMQ3jtlYe4N61g6dGVFU4TN
ItllBvlf85r1dV8+e/qAxfm8Ym8NS7O7z3y2+lTfYPpGWLkj9+2lPisr/vftR8Mfuz9ih/RU29+E
/N3fUgsJR7CIoXSF3qp2P5hfH+ngaMrV6X5T7mdpA7KeeSrnmadynnlquHpa7K675SfJ3gKF4Nd9
8mnRO0c9eezFjbpdJcZARDNHR5gQvLLHsiRMCUPAMMnUhaHpVm35kkc6L92CiE4eHqF8d4T6vVx1
Zq46O1edk6vMH6E8Pkr50WgFwLId1vVOiHkmKdd+9yKpduIMRErrNmpKt7KC0ZAWhEnCJGHCMurf
+ZVr0hPaB2u9f31P6KbXa5Q3WBkLlyx9QwNxWBZ0FQ01qLtASDmCDq3QyokYDrtCxElViJPKrWyc
HhRXnpDgaN3a4XLZVJULIetqvP8o0z64lFDEu0qQZREA334CuuH2Yir+rf3EFf+/ephjss0YNy6+
6/j0eIhVojlmjolPbLv2Mt9A3D3eUdkSCFr6RkJeaA1+xkgGaj6x7dqLzLl6RqPbxvHgdbmy+zWl
qof+UJ4MAwMAIuSFQSQxERJhB5+3fYWw0El0chGwck2/5cEE9YfyGvkIQ57B/RhE6J8CrlCsbt7E
O07S7s7wkwYfEl9cv1molCu7X1PgJ8rnITQpBBMXkQ3Cnd+EhNBwzaKNFCXMGNeRE4h18zpGRNg8
kgj8A4CVeQ+daAzUPLc379v/UftNXXTkV812yM3J/5ZaKEQi1eJ6ML62CeVqgeeJy5557zAA6LGh
bOL4nbvt60dGvE1ubxFGyyHtd67INazN1NrW0RTthMMGhRNAgqTvw71BpIO8ErqEbkIzSdelrllW
TbW8Uiz2jaAC8S04mWXBtOTrti+Ht+FxrckZzewO4orvh4wIAhAkDRI6mV6ydJg6dE3quunVq+ut
UzUy75Sg8bUwTEgD1YD3DM4fIiT/HV0SfBMCctgZkVQ4cQInrsj2sqqLVZZoXYuSXiGpmpxlPOGs
vV0lj5MWAFj+Z74IOWtJmnfY3eKfEPTZMtH3/toiLRImt0WH9HuADn0HW58/OfFihi+jtJ1/dC3J
aDqraJEWuY3FepXiJlbGuli0g+wqFE5EsEAgWAwmwQDpErog3YJuQteloVuiphoVJ+VfxvIF8v/u
hGZZAOTv+anBcTw6ljmjyWYnrhAjiEY3JE0mDFg6mTp8JxkbuqkbVQ3iVC3yz0gaXwsAhokqA/pJ
fPU5R8w8tI6CQ4WdkaJIgEkJhUGCEatlUV+xxGJ7p6O21GOO1NP2jmWqu4E54DvmWIIB0jcnYMGz
k4jRnaVxWJANHChafTpTtHXdejx3mOKGS1P/FBJDC3OAA0WrT3W33N/oRMB/ArlUgu1fV61Y0HHJ
OFqSg4RDxc5peyku02z//3WK0yIt8g1kzlD5x4+uVNVowtRM0zB0Tfc2eDXNq3u9muZt0HTN8DZ4
TU03NM3UdFPTRUMDtKqUuOonp9/17I5vwcnSHYBAQQ6u7Xxdq67STKGbpmYYmqZrmtfr9Xo1r1fz
6l7dq3m9XlPzGl6vqelmgy6qDNQlpmTOfnLpOwYEIAS8AlY5vi4NWyEAV0jljEgqHABx4kyCcfLt
8fZvcJbBvdMRVgjuuOUBn4SuGLdIizSV20hs9DYAACAASURBVKVDwp6hRHro0CItcnvLnAHa/Gxj
2qIjFy7XKKqdSDAIIUHEQWRJssAskJBMWJYlIMClaaQkGO+++N/s3XtYE2e6APB3ZgIkyDVQ0GIr
ICJed1vdSr1wHFBbwBs+bW3rEehR21rQbrWwrBd6kapbQS3isZVVj/a0bte11boGFJVWrVKLVmit
iEFQQC4JJAQJ5DIz54+BEELAXAA99f098/AMk8n7fd9c3/lmkkz89IIou1BoZ5Bd54S7LwlBx73+
rGbztJsXV77cVFPt6CDgCIIlSGBZ/kFFgmMojiFYhuRYhmGBZSiO1TIcO3hY2KdH1uUH7j5DgY7r
7CG4fYlPCDzBYxCfEACjB0pAOXAAAIQDOLEAjhTZcY7v+Fo7pvuXMgNwHAUA7d94gNBAYRjq/jMh
hFBfcCDY1/6k/WypdV19dxvZD75u2/eTo44j7QryL/W+AoGOI0EPDiT7Wqj+s+Uu1gVpYD442LLv
FKFjiM5nCEwTArINnAAE/LHVAQQECEjgBJRjx7mfMj7sOrKkaTGcjiI4PQBwmBKgAYUJARpgzIOu
AHqU6AEEFOgZYDggGGBZ4Cjo+CoiYFnQAwg6+ukFxm/Ug44DBwIEAtAD8A/Ddv91RdMeAgDwAFDJ
wZEiCIIviHUQ8jMTVHsJHCUAhgLKkCJwwHT5KUbTfxFC6PdHgwkBGkAOAECBztxWx+jbs1PDiwQL
JAmM0YUSywJJAssCf0Of5YAkQMcBBcAAOAqBcTaXELQpgP+qM8Lwx7zOOwb8GEF0jiA0sDhzN7AQ
6j94mEMDrB+PcW2e0KwHQTVUFhEw5Gcnv0Huz3irZIqqLN3934wQQgih3wXvuCHQXAd3fwZVZbcH
ARBCCCH06MGEACGEEEKYECCEEELIxoRAmh0+M1va11Xp38gPudwUb98Qb9+QhNyu4w9cf6+RR3aN
I4TQQ6bXhECaHe4b4t05pOTYf/g2jbkgs3s4QynWFyfNWmAIHp5V3ls1bC3Cmtp0aWzPJ/jTCXGl
qT+UyOtKdj5vPN6HVSnPnGm82O+3fOxnsmDxxI8QQg83ClzfFLg5Cv2cNeq2VVFdvxS+8cr+wslH
i/dtTkpMTkpMTpoxQjwhLnaCuPHK/uMwJ3aC2IYCTWMunCTu+upxmPPnZe/wwa0sSJq1IPRoZEF7
8FGX5ryaIYqOe8bTfDX4yHyLbGiIJYwbG+OUsfbKFLNlSU9n7CXnbJoxwmS8L3lOik1MTkpMjnHK
7aiS+SXTvQm2rWuTN/YUx55tCSGEkH0+PuIK2hZorgWNyspbBt0v+3q50LcqLB9nSkZxZynlmcsz
ioszQi29lj29bQOk7loW1P5vxM4fVsPRU1JpdvjMlISZxpfpRpFXpHR2FRg6QjrqkLmiy8V9Z/eD
DRe70rLikMAg4wXYPn46YUpGMRxZ7BviPXNBeOd4ttRk8XZWKSXHzsp01qprq81OAbvbbr5Eo23G
zDpCCCE0oO6XEBRnhBrfMujy2umEKWVJdSXyuhL5D5FHllt8njCO2XFGHLWfj7N6fOd8ASt3rR4/
fnVBXcmZxID7h5Xeuj4+MirIaEpQ4KjispsAUFw6cleJvK5Evn/+V3EpOcaR3x7e0Zb2OhSsL128
4jRfzxvRHe/KyJZKs1/fEPx5XYm8ruTzkLKb1jY2rjT17Qhzc0Ts/KG9MvK8r890jgdu675426u0
OdK2ypjq3mpzywEA7Gy7IdXrZZsxXUcIIYQGlJW3DPgO3tlw7DjMmazYt3ffp+lZH6dnfbz3Yl2d
738kWdDRbRIzdoJYejqjcPLGD43uEfDxrb03YWbmckn6reAl4guFI1b9eYIYAIKI2+m5RMzCSdAx
M/+uyYp9HXUQi1W5qwt9logvGGoF5bnHYc6fA6XpWzekV41LmhEZZVmXfpdbBqq/Lr8yxdA04wob
19wwLj2dYbJ4jaskVl6ytjLdl5LRkm9vdQxxtPtysL/t/K0Ks9sMH382HOu+jvAuAkII9TPjWwb3
SwhMTrHGJ+zZcMwkXbCk8J5ixtqdEIiVl5K+VBifSKSnMwrF8cbnYCiXpP/kvaRbQmBynt6rmMKf
qLqcpF9YnJSYnERs942KS68aZ2H2YwgiVl5KKvQ2E7aHhKCnbKy9IYHR1lamp6XdS6s7p9jXdjBa
s72kmCbrCBMChBDqZ3Y8Q2AsKHBUccY2+2/3BgWOKs6RSAEApLk5xSavFlveHx7xznr4sLMX+nTC
lAyYN8P4HgLk5n1luK1gHNmoLdLcnOKXZkZ2Dy/NTsgqB4jYWZeTOr70prU30nPzvho/fIRRuWYa
a6z3xWtnZboV0d7qnpZDnxQHlm0zxusIIYTQQLHni4kidv6w+npciNXPmnV5LmFBpjRi5/7gD6eE
ePuGvH4jeLzxnEHLkl46stjiD8gFJX5dMC+nI3gC7O94+KDzRj58nrcsyDjyJ2UmbQndEPz5DnM3
+4MCYUOkt2+It2/kkXkZKy08Y5kUHbRs9/rSxb7mGmuq18VrW2V6LqKj1T0sh74prtdGdV9HCCGE
BtAj8ONG0uzw5bAbzzEPM1xHCCH0IOCPGyGEEEKoi0eghwAhhBBC5mAPAUIIIYS6wIQAIYQQQpgQ
IIQQQsjkGYLWfwY+6PoghBBCaIAQkSrDMwQEDPlZ5DfI9RlvlUxRtl34oOuGEEIIoQHit8QFWmRQ
cR7UctOEoLS09EFXDyGEEEL97tixY1t/e8+QEOAzBAghhBDChwoRQgghhAkBQgghhAATAoQQQggB
JgQIIYQQAkwIEEIIIQSYECCEEEIIMCFACCGEEGBCgBBCCCHAhAAhhBBCwP+40SP11cV0OG35zPln
8vuvJr8DNE0DQH4+LqUHgF/4PFwFluinzbV72I0fbSi5UVpTUwsAvr6+gQHDPtzwUd8WilCfMPnq
YksTAuOjTy8e8gMTHU5fKPjS2VlkycznLlxe8WYa5gQ9oWlaVzOl9WexW9Sxh3y9/w503wFPnDgx
c+ZMnU63bt26LVu2mLxqzxoZ4J3dkuLsL4um6ZPHD/kM9svNzUlZu6E/Kj9ndnRO7okxY0Zlbt86
ZsxYkUjEMHqFQnnlypWUNetu3pROmzr1+7NnDfPjXoMeOJOEgALXNx3cHJ38nDXqtrefFzQ0NHR/
D03Tv/zyS0ZGRlpa2vvmrFmzJjY2ViaTJSUlxcfHD3SbLEOH03fvXtXq7lk4/7AnHh/zhxELX1wS
Hxffn/WygkQiuWmTESNGWF4KTdP7LaCXTdMXCpdnVxWX1PNTHtpVz5NIJD0th15eehjQNN3SUrt2
7buGQSotS0lZc+DAgYsXL7a1tQ0e7LV7944dO7bwr744e+yzYTG2rY4B3tlpmr548eKuXbvee++9
1G7Wr1+/du3aCRMmREZG2llWfHz8jFnRr8UvChoe9EJM9IxZ0T0F5Ld/S4oz9A3Ex8dfL7pyvVTa
UF+zfPkbfn5DSYpiWAYAhEKnAP+A2LjYpUvi3036i4ebW05ubnx8/P+LXQb97pWWll6UTQedGpR3
QKe2qIeApmm1Wi0S9XZhXVBQ4Ozs7ODgMHr0aNsyX7MXCn2YRPPdA4Z/29raeppT3drKjzSrml9Z
mPKQdBJIJJKIiAidTldTU/PEE0/wE1mWBQCCIDiO48cNCIKorq728/PT6XQXLlyIioqypBSaps9d
v3dX3VT4j51r5tMkRXEsy6rVQFJAURzL6lrVg6Ne0NdN0RU6J/1TkbW/MCJi5ryl7wqc3d6a96z9
60sikVhY1T6MbHOhEonEktnsbBGfENy50X5x+VtJ+d4Dx/6dc27lypUcx02bNi3rk02vLnx+9Eh/
Hx8xABw7tCN50zmbd8MB2NmNi9NoNHK53LD18lsyx3EAwDAMx3E3b96Miorqk0MBTdPVlRVVlbcm
TQ43G5CmaY7jkpOTt2zZYkmJNE3n5+fHx8zbPtpj9jtJXNh8taNQr9MzLEsAQZIkQRB8s5iqW7Jl
M/6nWputIL/JOWF4r/2NQshmNv7aodkDBL/T8juwRqPx8PB4/PHHs7OzLexyNBYeTh/P/aKqpth4
2PRx8rtJidaG6kWjQmEY1K2tJkNdXT0/NKua+UGusLQ7YWCwLNvS0qLRaFQqlaJDU1NTY2OjUqls
amoyTJTJZPX19TqdTqVS1dbWWlVKG3fvdlmFrL6xqeCc4uQR5clvG89IGs+dkuccufv9qcFRL2ir
Jrf9KHorW5a1vzAl7E/OItfqurpTp/Lsb6CF51fbIoeFhZmNL5FInnvuOZuLDg0NnduzOXPmTJs2
rU/aJW9QyhuUJTcqdv398DffnlEqla+++mpiYuKoUaPC6OjP9nxdUPhryY2KhkalVtNjsmuJ/t7Z
TVAUtXHjxrS0tL179woEgtTU1O+++06n05EkKRAIHBwcOs6pNqJp2lDJ8ePHe4of62VOjuMuX748
efJky+MnLZy7fax4TuY+vdfj8vR3FI1KhUKhUDQ2qZStbWqGZTjgAEC3+Q03RyLOz/EVVzZm1kz7
lxtCfc7GTxnwxwWWZQx/FYpGoVDo7u4+Y8aMbdu2Wbu5OzsPGjdutKyhjB/q5dJ6uXTMWH+tRmtb
Dc1qVjU7i0RiT09+cBaJjAdfXx/D4Ormev5cUR8W3Vc4jqMoSqfTsSzLXz/xl1ZarZbjOIZhSJLU
6/UAQBAESZIcx/GHcmuKIFiGFToJa+8xMq2jTOugIAYpdYRS4Dzu/a2a8mc1PwlX7JHtO3J1WyQ9
1HeYm5uHwMmFIO39xAp/YrYzSC9cXV19fHy6Tx8+fLg9YX18fHQ90+v1Li4u9sQ38Pby8Pby+Pv+
bz/YsO3w4cO5ubl37949e/bsjz/+OGjQILH30LPnr7Ic5yX2gK59RXbq853dBEEQaWlpmzZtSkxM
dHR03Lp16+zZs8VisbOzs0gkEgqFQqHQ5uA0Tf9S9FN+fj6fFuzI/ESrbWtSNPz1L6vMVrusrKyy
sjImJsbCa/eXxwbe1JBzP/2HrlnVlHNQIb1e88XOyqqqy4WXv/8u/7drvzY0yHVarfabPVB9iyDB
zZGI93NQ6vQEPkOAHj5WH8S7Hh0MmJaWFicnJwB47LHHpk+ffuDAAcsPE0uXxWZmfQQArerWlhZ1
a2ubRqPV6XS+g71CxgQu+s+XrK1kL4RC4e3bd/jB0CVgMlwruVV+u6b8do3NpZhtu/3XBBzHEQRB
UVRAQEBAQEBgYGBgYCA/HhwcHBgYGBwcHBAQMHLkyJEjRwYHB1MUBR3XdpbTsywnYAe5UpNS0yZu
2DLxo/SJaelPf5j+TNpWjTRUfc179SHlvqNFeXl5YWnp87dt9/J2cXQScozenqbx2YBWq+XHefYE
NMvT09MkrEQiCQkJ4cu1WU1NTUVFRUVFxZ07dwBAoVBUVFQAQEVFhUKhsCeyMZXqnrxBGTb1jx+k
rtqavmFj2rr3U5N3fPK3zO2bD36xp1FeFTb1jyRBKJTNrHUrvEf9sbOblZ2dvW7duqNHj4pEogMH
DkgkEoZh8vPzDx486OLiYk9CAADFV4tcRWRhwff1ddVPP/XUpQtnAIAOe9ZkNpqmGxoagoKCLM8G
AOBf127JDmQwbep7544rb92QVVZd3vvf4RGzFi2OX/p6wnORc6eFTd+bldm8Z6PT9PkOw0aSJDwm
JPcMd+yjVYRQX7IiIeh2dOi8YuBYVqvVeXh4EATh4uLy1FNPxcbGgsWnQEbPTJr0tLSsqKFRKZcr
G+RKhaJJpWppblaPHTciKOiJ8PBw2hwbG23k2vVb588V8cO167fkint9cpuAvyIxnsL/a3+dWesv
/qxNCCgAVtOlFI7jSJJsK5nUetkp+YvK3V9eOXnypKen5+DBg728vAQCAUmSjB0JgUQimTVrFn9W
5tdsaGjouHHj+jYnYBhGLBb7+fkZTxw+fDjHcU1NTfZEHjJkiL+/v7+//5NPPgkAnp6e/v7+AODv
7+/p6WlPZGNubi7eXh5zo8Ji5tL/FTv3rddfNB7eWLIgdOLYkJH+nh6u9pdl2Nnz8vKio2e4u7t5
eHjMn//8yZMnWYaxZ2c3a9WqVZmZmbGxsY6OjgkJCa+88oqXl9eCBQsSEhKcnJz45MM2+fn5i+KW
Xrt2raWl+U659LdrVwKGhwwLCAaAv32UaqgzTdN6vd7Lyys/P9+qC/fY114TTI9RF+Q1FV2svXPn
V3nrigotXy7v0KHDazelby7TqH+7KoqOpcQ+AgrGrlxLkiTeNUAPG0sfKuQ4jmH0HAccx7b3QnMc
f8HK/8MybH19fUvLvarq6tqa2qKi4pZmWfbeLy3Zu5Yui805ceja9UKdTqdp01IUKXAQcCzHshzD
MAzDioRuIqG7g6MDSRBOTk6OTg4UJVAqG2ZFvGz53kuH0we/2jxs2JO3b98xTDx/rmjqtD8Yz2ZI
CHKOn4+MnmrzJw+NP53cJx8Zl0gk06dPb2pqam5uHjp06H3n1+v1tbW1bm5uMpmssrLS8ocKT/xy
96erNxRX/71o0SJ+XU+cOFFd/ExrsfDtw6r//eZqVlaWu7u7t7e3u7t7a2vr/7F35VFNXet+J5CE
DJCJUUFAiqIMKkWLtlqhghVbrXawigJqlTqWDopTvWq9t9fbehdtV9+9Ld4+eX2vD7WIXhUUUVRU
UHAAZDKMAkkYEpKcnJNzcqb3x5aUqtUk0NX3B7+11+FkJ9mbnazvnG//ft/3paCgwGvKq5cunj/7
w9+cWN1gbuARoCh68+bN4YoxbGlpCQkJaWpqamxshGMWFBTMnz8fw7D6+vro6GgnxiwoKFiwYEFV
VRVN05GRkQ0NDZBLl8vlhYWFz3y7/V8KimrvVRRYyV+8ruKLN2/dbai4VUdRtK1zYlgwh8Pp0bQ2
tBhsnQ59KYON/fjxvC+++Mu6danR0REoit24cTc392Rm5o6EOQk6nc45Y398OpqmT5w4weFwXnjh
hcbGxhkzZly/fl2r1Y4fP37MmDFyubyqqur5558fxkTKnm61WOxedbustPRq5s59AIDKysqYmBhH
p/jL/s8O5xz28fFVNze2f7JE19r8Ri0BnvSBx8XF/RCpWJSWyvFQWOPfMtLsa68vaGxsGlENRvDH
4glph65iniBA/JS0w5ycnD179tA0Bb0BYPMIGBZwAMuwLMMyLEPRFMswMplMIZfL5TKGwosvltqT
V5Odnb1+w+q71XdoGqBmlMBJK0HiOIGhOOAAvoBHM1acMKHmftRiMBh6evs0GnVHa1trcdF1+/N2
cnJy3np7jkwmHbwdRDDM2+tXezgMf3hnalI9CB03pvD0FefSDgdnFuXk5MDOodi/SqUKCgrCcRxF
0eDgYLdnQSQS9fT0CAQCFEVNJpOdaXU5OTnJ6z7pUmu771emp6f7+fn5+vru27dvecLSP+XV/Vde
VVFRUWhoaGRk5MSJEwMDA8eOHVtUVCT2e65F1dBcVe5oGlVBQcHUqVOhtPE4+Hy+XC4vLS0dlpzA
srKysLAwlmUJgoA8AYIgo0aNQhCkoaHBuSlUKtX48eOVSqWPjw8AwNPTUyaTCYXCwsLC2NjYmJiY
sN/G6NGj4Yf5zFlycnJ27vwEN2tEIjdbO5Rzcv2m7d9n/2tr5jZbW7n6/ZWr0jd+sM2WJbhkyZJp
06Y5ZCY2Y9+y5YPU1HcSE+d4eYVote0SiUgqdT9z5kxi4jzAAQAAJ4z98ekyMzPd3d19fX1pmpZK
pWazWSaTBQQEuLm5ubq69vf3m0ymQ4cODSVDL+3XiIiI2rpli59/oLvYLftfh/Pz81955RUnbDP7
0KEPNm+iGUpnNJkiZ2p0ppN36584Tlpa2lf/+H7pxgz+/BScYQkcb6ivu1dbP5J2OII/Fo+kHTog
GUBpgIV/oFbADhxZhqZpkVCoVCrlMpmbm9DLy1vA59s5stlsISlG32toa+3Ys/s/1qfvW7v6T+mr
96xP37c6dVfyO1uWL9m64t3MlORtK5ZmpiRvX7lix5pVn2Z+/CUAID4+Pj4+3plPAgAAgI+vN5QJ
bA32Yyjm9JiPwLY7GfpuAOoFPB7P/rc4EVTI4AzNZWQyGRiIYVwY5zVh8Zf/ebSqqKhIoVBApYDP
53MHAglZlmUZ+qmjPhlJSUkVFRVtbW26x2CxWAAAIpEIDFP2QVJSUktLi1KplEqlBQUF165di46O
xjCss7NziCSELYYAANDW1tba2goA8PX1ffq73N0d4/bb2tT3mx7YmsGIvPbaa89814QJExyaBYJh
GIamS0tvTJ/+vJ/fxLq6MhTFzGZs1KjRxcWlvb29XA5HoVA4YeyDAU2Dx+MdOXLk4MGDR48eRRAk
KysrOzvbZDIdPXr03Llz/f39PT09YDjkNhtKSkpkcgWO41Onz87Pz1+0aJFz42g0Wj7flaYpF66L
i4uLdeqsp7y4gubzX5zHMDRFUYSVEEvEzk06ghH8fnAB7u+7SuxiCEgrAV2BXwSDgUwk8FBxZBiG
oShKIOAzDN2sqi8qvmyPC5yTk7Nh05rKW5VXLlUWFhTs/PTDj7ds+GTrpqe0j7dszPjw/U2b127Y
8N6mzRtSU9OSkp5xcYQMAcMyaq0ew62wwacwFHskOBwAUFPdOHbs6OKiMqcLEw0XNwChUqkCAwMJ
grBarXw+H38WMAxDEEQgEFgsFocYgrfSP9Z0a8ieVi8vr66uruzs7MY2LDs7e+HChRRFsSyL47hO
p+vu7tZoNK2trfX19SLf5/TtdXV3K53Y8YSGhlZUVDweTE6SJEEQEonE3d29p6dnWEiC69evjxs3
zs3NzWg0KhQKHo9HkmRtba3Tg0OGQCQSyWQy6ELJZDK5XN7U1BQWFtbZ2dnb2wv3uDKZTK/Xq9Vq
hULR3NwMABAKhXYyE5Ah4NB6pUJqa3//5qctW7fl5uYWFxeXl5dXVVXFxMQAAMrKyvLy8mJjY7Oy
sliWDQgI2Lt3r6MMAWklaIb+4ouDycmLSJLQaLrMZhRBUKXSOz//9MIFC8RiMY/Ho2naUWO3AWoT
e/fuff3111mW9ff3h/KWv7+/j4+PVquFDlN3d7fZbD558uTn+3etSF09XFvqtLS08PBw6A2kr0kL
DgrI3LbD0cF//PHHLZ98BACwWHCcsFAUdezY8d8a5Kef/nfH9m04bjGbEb2u/+ixo+3tnSMMwQj+
WAyJIYB8AEVTFEWxA4QBO8gVIEkr9A2kHh5wb2c3aAyz3L3d6Omp7NRUa7rrntjU2lrYOrpqOrru
dXbda++srrp3CSfs3dC3tmsKz1x9pF2+dPvxNtpXCQCIiY5wZBW/wuA9zbDsb2BCNkmSMjugUCiA
UwwBl8fyOQBotVOmTImOjjYYDI2NjbGxsQkJCYmJibNnz4ZkeHR0dHR0NMzYpmiGpkin15WUlNTe
3g6lnOoBIAjCMIzFYhGLh20vlZSUdPr0aaFQGBYWZjabGYYpKysbeoxCXV1dTU1NTU0NAKChoQEy
BAAAf3//kJCQkJAQGGOoUChgimNISAj8dhzCg87uwQwBDB149913MzIyMjIy0tPT4cumT5+ekZEB
AMjIyJg+/dFYejvBMAxN0bNmvVBefru5uR7DLCiKyeXewcFh8fEv4ThOEITVSjhr7A+9gd7uzoMH
9h34676lS5cmJycvX748OTk5OTl52bJlK1asSElJSU1NTU1NfdBa9/n+XSGhE4rOHBuiHQ0OSYbe
QObWrQpP3ymTp2zf8oGjg/v4ePX3G1iWdeXxeDyBl5e3UvmbMaQrli/lcrk0zRC4FcPQK1fKhrKQ
EYzg94BDDMHD/TS8wcCbk61myEB9MQYMcAZadfvxk4V2MgQbN63+6X+OnTyRz3WljSbN4InYQYAP
aZqmKIYiKZwgSCtVdaf+zOnLy5eveOYsb709x8dHOXVq+DNb2Pgxnr7eJEnW1TQnJjpzw3j84jLE
SqWQIbBYLDwer7u7u7u7u2cQtFptT08PrEcEodFoXFxcBAKB0WhEUdR+hmDx2g+7OtUuSs+Lp48X
FhaWlJSUl5ffunXrxo0bxZdKL5wvunDhQtEATpw4wRHK3H3G3Km+09FQ7fQCQ0NDKysrRSKRwWBI
SkpSqVQGg0Eul7u4uEgkkra2tuEqLRwaGlpYWBgWFubi4lJZWQl7nB5tcAzB4DACyBBUV1er1Wo/
P7/a2loEQQAAQqHQxhMAABxiCACpG8wQ3Km6n5K2ZvPmzXl5eQsWLMjMzKytrS0vL4esgI0nAAA4
xRBYGYYhCCon579lMg8+ny+VKr29A2JjZ6pULUuWvCOTydzc3GBMsUPGDga8AQAAC7gvxyW8s2TZ
E2sk2zA7LvGlWfHh4ZEhoRM3rHsvInKS01WZt2QdX//R9lnz3jmbl3PkyJGSkpI1a9euXr0qIjIq
YLRv+IRxDpEQd+7cDg4KHBsczOFyXF24bkKhsL5y1c59j4/w3nvvfb4w3jtmOmJG+vsNfbq+3Nyj
AIARhmAEfyycZwgomqJoiqZpyApQFEXTNDzSNE1R5ECmEs2yDAtY2hFRmWGYWxWN3t7ebR23aZqm
IAsxcLRaSZKkSJIiCBLHrRaMwFCLGcUw1KLV9lVXNfJcnxyV9kTYChE+pfX1m6+W3LB/zEcwOG5g
sFgwxP0N9Lp4PJ5IJHJ3d5dIJGKxWCwWSyQSiUTi4eHhPgCJRKJQKMRi8cNLtkOzkCxB0AKZv3Dc
LM/Jc+VRiYpJr8qj5iomzZVOjPONma+ISlBEJXhOniuNmBMy6y3PCTNcXbgUMaQ6BACApKQk294a
7tobGhqgfDPsKC0tNZlMw5UT+EgMATwBAERFRU2ZMgUAEB4ebmMFbDyBo6ipa79d3XSzshY2fb8R
APD1118fOnQIAHDgwAFIFUBWwMYTOAeKpmiGnjfv1bffXnr16s3167cvX56+e/dnH32YAQB4Y9Hi
6upqmqadM3YAwNUrF7/88m+ISW+1cC6qGgAAIABJREFUEiRptVoJqxXHLRiOoyRpJUmrBUMRUz9i
6jcadGp1V2935+HDh9ta79+9Ve7ciqA3kLLwJcbc5y6Trd75LewvKSlZuXLVc6Hjps2YPWfOnMG5
iM/EZ5/9eduOXQRJurq4SgV82fFvVyqo1X7CR0ZYt27dV/NfnDw50vLz91hfD2klbldWOreKEYzg
d4UDDgG0f5qiaJoe0AhIeKQHHAUAWJqBHgINHLkNtbd1pKQss1pxgrDiuBXHCdxitVhw3GLFMAuG
4ThOoKgFMZlR1GIymc0ohphQBME6HmjzjxefOjWcCeswtLBL+wSyxB48HkU4XD4BvLXD+nddXV1q
tVqn0yEIYjQaTSaTXq+H4Xi9vb1arba9vZ2maYFA4LBkQAIGMHoTpjdh53O/vfxz9r1L+V2111tu
X+qoKrl3taDmyqnqK/+uOHvk3Okjedl/Ry3kKE8ZYIahpuRg9h6e83g8FEWHPnLBIAAACIJoaWmB
VYMeecpRsCxrq0MAAAgKCgoODoZPdXZ2Njc3w4gBeKLX6wEAbW1tsNMhRE4MjI56blpMOGwKuRQA
kJubm5WVlZWVBQDIGkBZWRkA4LvvvoP9TgCas6uLS3xcXPraTd/985/ffP3ViuXJEZEPFbQVKWmV
lZVW0uqEsQMA2h90tre1S6WKa9euq1RNFy5cvH+/qeTS5ebm1gsXLt6/rzp1+kz7g67Sq2XNLa13
7941mQyVlRVFRRfq7zc5sZy4uLj9hwpWLX656Nz5y7caAdeVpn7xX0tKSsaMGcOybNjEybPjZjvk
E6hUTYZ+PXnlFLV7mauhRzYl9vP0ZT9EKfcsXTx//rw333zz5/27zm5fN2/NOrxHrcv7vm/VzL7i
k/v2/xWMVCocwf8/OCAZoGbEViuXYWhbQQL2oVrwMNfA1tfR1nzi1Fk7JYP5rycsXPDGvYZLpJXE
cStuIQjCarEQFpyA57iFgJ4BhloQE2o2Y7iF6Ovtv3mzurW545l6ARiQDAQCweByyFdLqx486IYN
wTCuKw9GGmIodr+xbfz4IEclg9/KKbAFGDp9FbBJBgAAvV7v4+MTEhLi4+Pj5eXl6enp5eUll8ul
UqlUKuVyuTDwEOZx9fX1YRhmv2TwdvqHDzo6AEvdL81fnDD94w82zk+YPS9+ZuLL0+fOfnHmtEkx
UeOnRY334NO9OqOrZzCCYlGTo6+WFKibG4dOgQ7+P1UqVUBAAIZhQw8qhD+Qo1Kp4MOkpKTQ0NDB
D+G5o78MqVKpfHx8+I/F2EPJwMPDQ6FQ2IgBhUIBfybAFuHhkGRwo6z0QVdvR4emS93bpe795h9H
Pt29OyIiIjY2FkoDsQOAv30VExPjtGSAmhGGYTgcDpfL4XI5HC6Hz+OLREKJWDxqlN/162UcDufY
z3mToiIDAvw5HI79xg6nmDs3obund9rU58cEBHh5eYWEhHh6eo0NDlYoFcFBQQq5PCwsTKlUjAkY
7alUBgUGisTuublHPNzd+XyXs+cuOBq9+F1e6aJXYn7KP1/V0Dx7TmJDQ5NR31NTXmwbJy0tbeLE
8G3bt8sVnn06Y6C/7/vrNtqj8TXU3svcsWtVSzEP0XMAw+ULhDPmhs+KX7L3QOaunZlbt85PTnHn
Mtj5o8Z/HzZpOkxWsOnEFR31cFL7VzGCEfweGIJk8JAJoBiGhmwBwzw80gwNS+sP1DCkaYpiHGER
cYwQivgoajEazUYjYjKhBgOCmFCjATEYEEO/qa+vX6cz6PoMfb39Op2hX280GEwadc+5wmtnzxbZ
OcsTqxC+NHPSSzMnhUWEhP8fe+ce1dSVLvDv5EXCQ4iACj6qtY5RZq5ScvuY0Vbb2rm2FQgttRZL
mFvFzrS1tssWll29K176IK0dZ6avO/bOGmNXx96xatLi2w5WpCKC+ALDQ8JDEJGHkAgkOefs+8eB
cAjnhHNiENru38pSch57f/v79nfynW+fs/e8O6PUQ6adt9tFz1romaGMb5fYAr1ggi2KoiZNmiSV
Sq1Wa1lZWVlZmcvlcjqdbrfb5XKp1WqXy0UQBE3TEolE/OSGiBkb6nE4Hl72W6VK+fbbhnVr9evW
6js72ltamro62jrbr2vv+0379TaJTO4m+1QyRPWNSm5fqVRevHjxFp/789z6e5UzPCEhlscee6yg
oODAMJi958+fZ6wDAOXl5Z4MQUdHhx8ZAs0vZrAzBGFhIQCwfv36NWvWAEBWVhY7PXDy5Em/0wMw
4OwASKVSRkZGzpg+fdasO2bNvGPGjGmpqU+++OLvmcPWrH3B4XC4nE5Rzg4AUqkMEP3axqz1619M
W/W0LmmFLvkJXfKKlOTEFF1Sii5Rl/REcuLjT6Ykpz6VkqJL0qevptzOnp6bLS2toipaunSpKa8o
9dGEHV8fsjU2L3s80Wqtaa6v/nJrlpcz5ufnh4eH37jRde7cuRpb4969e4WUX3S6JCY85O9Nrq4+
t6vhcu+JffZP33SHTJCHR7pdbrfb3UdSnY22toNfdV672u2CbY3OqltaeQqDGUWEZgg2bdrkcHT3
PzaIEAyMGjI/Np5/EU3DwOqljfW1lrzDAjMEH3/655raitramoGAwNHd7bDbb3Z12R32nhtd9u4u
BxMctLff6O6+6XDcbG+/UVFe09hwdXXaaiFNNZlMjz3xgDoibMiCSVJJ+IQQAAhWKYAVMbjd7qrK
upmzYmsqG/17qDDgeDIEBEH09PTExMTIZLLW1laKogBg4sSJnlkK5HJ5e3u7VColCCIiIqK1tbW3
t1d4huDJNa/WNzQGSdHVmvLUlBWhoWFHjxzquXkTAO679/6+vl6E6AnhERERkUePF0mC1YRUev/C
Xx49dKClviaANz379++/995729ra2tvbA5IeYP5mEgOeAn3sEsgcLqqrqzUazeTJk2NiYmJiYgBg
0qRJngyBSqXyI0NQUHCssantypUWJkNgrapb98LLy5cvT0xMBIBly5ax0wPTp09n0gMgPkPAdnYC
CJlMKpfLlEolM4swQRAzZ86cGhtbcKIQAFKf1Mnl8qtNDd/sE+TsTBWPProsZsqUCWHBJOmOiAhH
CEVFTpRIJXK5LDhYFRISrJArpBJJcHCwKlgVFhomlyuCQ0Pd7l6FQlH4wynhTy/++R//Wvlb7Vff
HLtYVbf4oYf5ogGGjIyMu+9OyMn577vuugsA/fOfu0asyGQyfXvw8Ma/ftHXR81WSZQSglZPAn22
09nb5+zr6u7u6GjvDFFfz8+70npjQ3Vfvh0BQH5+/i0+YozBBAQ/MwQOh2MgK0CTFEkPo/8VRIQo
yjOaIPTGND8/f/rUuUsW61564e1XX37v9Vc/eOO1LdkbP8ze+OGbWX/alLX1vzb9xfDWxzmGz957
e9sfP9i+dcv2rVtMn3608/ixkgP7D/qrCgCA4JDg4bMSjVv6J4FAiAkCaJp2Op2DgzYIyWQypVIp
l8uZ4AAhRJKk2NVjSZKiaYp2U329PTRFud1k67UWZqjY5eqjKTIkNGxy7LSwCeEk6QbkoinyWi8K
IgK5LuX+/fsXLFjQ3d1dVVUVkKmLPUmC4Q8K+Nh1iwTwGYKe7pZ/mz9Lu3DObXiGwMvZPW8VMetn
KhQKtTpiyYMPfPnF9r99/j83urqcTpfYDEFrSzMCMiI8bPbsWRHqiFmz7lBHqqdNmxoTEzNt2tSo
qKjoSdGKoKDQsNDw8PDI6IkTIyPUEWFhoRPsDnFOesfM6RSNWpts7GjAx/H5+flLH3r46adXPvVU
qvB8nuXwkX90E/ed7f2u1VWfurG19VrL1ZYrV5pqa2tra2utVuuX4XEpl5yX+vqrENUEDOa2ITRD
kJaWpgySsV//o2maAKARIgDQwA8Vsx0B0DTVUFf77f4jAqPgDL947rl04U1lMgQ3uhyHDxRYL9mY
T0NdE+fnalOr3dE73jIEzFQtNE07HI7JkydTFMVM4gYAarVaoVAolUqpVIoQamlpYaYRnDBhQltb
m6gMwZy582kEPSTVdKk0cfmymzcdRw4dZGK8e+75d/XEqCmx04ODQ9xu1968g0gRKgU071fxp49+
09RQF6ibnjlz5pw4caKtrS0g0QBzy84AQ0cHPLuYPwK1bgKTIQjgMwTPPb34TOHX50vzKy4WnTv1
XWlRflFpzcsbNo3GMwS+nZ0AkEokMplUKpMhBAqFIlilunb1St6BowJrycjI+M/n1+7bd3DfgcMH
D3137PvC4wU/nCgsKvzhVNGp08y/p4pLL5ZfKjt7vqT07KlTJcXFpSeLThf+cOp0SZnwH1STyRR1
p7aLCopfuKCx4Yq14gITDfguwXN5EdiWpUuXmkwmJ0WHqJS7r7tMuy2HDh+prKw4d+7sXrM517hl
9+69peWVzPHsxU1whgAz5nhlCIQGBPEL5zU31jTWXW6w1TTW1TTYaupt1Q226vq6mgZbdb2tuqHu
cr2tqqGupqHucmN9bUP95ZIzZaVlF8dPp2cCgp6bPW4XHRwSPOJnyuQoVXDQ+AkI5syZU1xczDy/
JpFIZDIZQRDh4eFTpkyJiopSKBRyuVwikZAkabfb29vbZTIZQoh5qFB4QJCRkfHq759XR0ZJKKdS
qVCrQCoh4hcueOzxFUuWLFVHRkeoI+UKRXdX56Xyi8cKTweFTUKU8xcJCaXf7QtgQAADqfhAleZ5
fhCGTTzgeZxw+K5bqW7q1Km+l+mz2+02m01IjRkZGfctStx78NKh4w1HTzQeK7524sz1ji7XypUr
o6OjfZ976dKlTz75RFRAMKKzX2mwNV+xXb/W1Nlxvbuz7Xpr05mz50Q5u8lk+iDX8PKLLzy3etWa
NRkZ+jTPJ/25VSm6J559JjVFl5j2bOojDz2QuGJ54orld8f/csmDvz52XMTyJRkZGS+mJ8+Yd19F
VV1Tc7Pp/VdhFG7QPQHEs2mrMzIytm83dXbesFqrz58vb2xs8hzGDBMwjIYYGIwfeAUEBMSUKacE
T7g/2sdqh+Dvy3LjqtMvfWjpypXLRJ1i73FXlV/+/H93jJJIfiA2rR0eHt7V1SX2xlesuTV3P2A9
c3xcmXtsEW6mW8lJCDSTWLvcHme/bZeUAC4mgsH8xPBa7VBoQPDTYOlDoq9B/q19jMFgMBjMOOdn
HRBgMBgMBoNh8AoIRMxDgMFgMBgM5qcKDggwGAwGg8HggACDwWAwGAwOCDAYDAaDwQATECCxS5Vh
MBgMBoP5yUAA4AwBBoPBYDAYwAEBBoPBYDAYwAEBBoPBYDAYwAEBBoPBYDAYwAEBBoPBYDAYACAg
pixoiir8/knd1zv/MP2TsZYHg8FgMBjMbaJ/6uL6E3CzbUhA0Po37qVUw8LCbrOIGAwGg8Fg7Ha7
8INJtz08IloikQs8vrOjeWJaKA4IMBgMBoMZ74gNCNQTY692Uq1d4HJSLhdN0kDRQCOaogmEEE1L
aESTNPrVLPnsGEVdY8OszAhPQCCFsBdkoXLl9BBnT9/rSSGcdQQFBQWoaRgMBoPBYITicrmEH0zT
LpUqrPYaUodI5HKpXC4JUspUColKIQ9SyJRBkiCFVCGXySSS9k7X7KmKuqvtfz0UDO4e6GoAdw8O
CDAYDAaDGaf4ERA0XiPlcilN0W6SoEhwUwRFI5ICRBEUApICRCMg6Nmxioq6th35oZ6AQMRbBhY9
0Y/WWGnU6i3iW/ZTwaIntMbKsZZi3GHRM51jrOUQR7/UYy/Bj0xv442R7Vhp1BJejKndR0TgdYZp
l+gLcqVRK/4kLsbegzBeuEja5aadFEFSyE0hhBCikNMNPW7C6SYomgACJIAAwNHrZp8oNENg0RPJ
YEZndxoMhlWdGzTZpQueMeg0/shq1OrbM/07dVTgk8eHnBqdIXNR1KhLNj4Qbi+NzqDK2wZP/rh0
o9EZ4m3b2nSZi8ZQgh+h3rwJlF/7W87IdoxalLlKlXfykfzmIx8ZDAbDKlXeHsgcO7uPCOd1Zrh+
mHYVRInUWtSizHjzvHnvqFbdYsfTVOVtPgqPGMaxJn/U+JEhuHyVCpJLaERQFIFoBAje2fL+Pfcs
RggxSxchIAgg74xVnK1u/fpkuMgMQaUxB8zIlMR8m5tVghAyJQ2JTJn8ATueHQzHtVotEz9WGrUE
kV26I3lgDztAZYXvrCK12v6CLcz+kSNmjnqBnd9gBbN88vDL6bnJGCIHs1Wr1Xofzr4r0RqNQ+4E
ueXkh52hMWoHimG1a1AkPnl8yMmh/xHsxYuV1WSPkjj175MR7egp3bNNa6xkf/FVL+tucVijhvdl
Tnz2T067DGxlaqwcOCNwevNV/nD7+vZfPsT5NbcewKOsATvoLYLLEWxHn4rSGmFuVklJll92HLqH
7Y9i/Jrd9MECtUbweZ3h9cfB/iNYE0kmhEqy5go5dLC5egtXSiBu/NziYQDRiKIBUQghREiIdz54
HwD+8lEuAkQDgQB5VjQkqSFLGwrLEJw2bSN0w8NIdmSq0RkM8bZtbYuZwyqN2py4/kg8vnDd1uuP
GDIXQdSiTINBlWd7qfnsToPBYBjMMRi1xK5Ua3/kHm+et7rKkPm8zhBvW7cVzOjsM4WLk4+9Ym3+
eNq2HOuDPgJa7nrBop93aTPqr3RV54boDZ2+5OGXM2pR5sCtBeuGjlHEmxVMC1ap3nmlkBHSoo/+
bAnTrFWdG5I/jM21Mv7HIycvXhma5C/gkZcyF0UBaCTx8Tt37jQYDIbODdGfTzboNPzy8MrJqX9f
9uKjcNu67K2dr3iarGEk4tE/P7z64WqvRmdg7vxKsuYyN4qbFZvRged57c62iyHePC95Ryxb/5Xm
zV+dg9h+DfOi8dU/Oe0CGl28LW/h/x14PorpNao820slWzQB0xtv+Zz29eG/4uzio59w6wEWZRoM
8bZ1a9Z+3PkKaj5iiDe/V6nT/YavHP/syEF74bY3s9/cvPmrc4NH+mFHXn8U5deLHlTldb/UPHCj
pdEZ4m15C/+0g/FU7usMj57bC7etza54ZZhfBwh2c+PN85J3JOSikiyWVjdXz/8ZJU1vM35kCKqa
3EFyKUIEAcTbxsHQrbi4UHvvbwAIAgAQNTtWUVbVai4ezBAAxJQFxVsn/aFDmXq5mwdkTk/ItSIu
rLkJ6eaBL0MOM6cPCjl4CEKIfQZXKeySzOkJuewDrLkJfJL4qpe9bZhIHPL43M4tBrsJHj2Y09lN
H3oWr364G8XogVMUzlZxysO3nVf/CPnUw3ByE4Y0pr9gn/rngUc/fO1l6XpQzXz1evVna24Cn3pH
FJKvf/LKydInS4zA6Y2rfH778vsvf5OF+zXypQe+6jjKCZwdBwzk5VBi7cjvj+L8ur+xuQkACbnD
i+W83HHqWbwdRxR+iJ6HNMWcDn76C8Yf+H6XOelob0IIHSi+WVThLqpwr/jdO8zn+wuDf+8/495f
6j502o4Q2r7vAvxHFyyugRnbIXKLsCEDzXzYZRZ05CBJJk+DzJB8+x454anX24kGwvLbyFxN3Mhy
isOi1+xKZf3WB0bQWyJhPmcWQbT+OfXjo71Jm3LL91gALPrsuLcGs6BjY3dfdsl6C5L1FgAw5gBL
0EDpja/8QCGq3waufwbYjkkm1g0uP37IL86vNXHl1kpLBeSa43YZLdbyMU68s4T3oWfN/PFwocH4
gKIJCvWPFABA9sYsQkJseO0N5utnH72PAJE0AIBn7IBBWEAwN+utuGyvgU3POFW5tRIAoNKoTd7h
OYM9qAbgNcLUf8ZgMXOzUstzWMdb9pSn+ncp4643yZRbnsw/sDZMnhG2CyYpJX3HnoETLXqh+uEq
iFf/cRpGUZXGtOxSP2QEGFH/ovRQmp02+IhGWnZcStKI+ueAXz+87Z2b9RbkGI055bmbBi5ifPUm
pcRlvzs4PP3u0IIGhtNFiMsBv12STLnlOUajflfqJtbVNjB64y7fp305/ZcPcX7NHCG6fw4rxz87
CkDAy1Kc8vP6o0i/hqSUuIp395SnJielxO3K2RWXIiTOueXrkliGXMeE65lxpJ/z62hjBoWAoiH7
9SwAyH49iwYCACiCWLv+DQBYu/4NkgYacf76CxkyQAgxea0BhqSm+7cl5OamAwCTrRoaTHvnKzm2
c6TmBo5LyO3fm25m/veREOOv1ysbNjTZLFROnpSaR/h0M0tqq9cZ6elDUsS8+hHQNM8JLLUlpKcn
9O/ik8eHnD5TuwLlNKcPisEuewT9j9RY7u7Gbi97r3fBPPUOyeymMx2XtUeIRXz1T99yInM6e0MA
9cZZvpfieBQ6xH/5EOvXPHrw9iMB/U20HYfDdYs/xBNE2ZHTH0X7tTU3AQaGRwd1z3Od4dEP2629
/TpQeOlZ0JABc46IAUcMJ34MGewu6PnXWfL4BbLgAnW8nDxeTn5f7j58kTxwgfz2HLn3jHtPsctS
ZEcI/X3fefaQAZ66+PZRadSmwZcCH+rFjBEWPZEz3zrKVrLotdZNo1jHaJeP+Vlj0WutwsZcMAHA
j6mLdxf0TAgJkklBKkEUIgAASZALCEQjkgaKApqiZaQr8deh2/df+N1Hd3imLsbLH486npeBNLtS
8TV63JNkEvoilj/0v7yVvKM0WzMaudTRLh/zM8ei7+9eeCai8QxN0xRNuWnkJhFN0RRFkSQgFyJJ
oEmapuj+2QkACCDYJ+IMAQaDwWAw45T/Z+/uY5s48zyAf8chTnwQSiC0hb4JgYhphHq++P6oLu02
V/al/5CEU0QjKket2rDKVUD/WMXXqLpJI27tak+cSiX2wpVtsqpyKChrc2xbSpeo20231yYL3ShZ
+wqb7ktpBYVAA2mIX577Y8b2OJkZexznDb4fuVIZz/zmmWeesZ/nNxM/OWQIzv315rm/3JQKpOT3
vYCIiALlf0RciLjY8sCyzfc6fvH+H3b47uHkRkRERIud1d8hGPzjjb/dtGrTfUWb7inaeI9deW26
p2jzvYWb7y0sv9defp/deX/RmpWFv+i/8FhFsb/XnvwdAmYIiIiIFimrGQKxbOWvzly5eG3y+oSI
xCJTUUkSceUPDSRJTRgULrOtXlH05D+ut0WurN61IpkhYIeAiIhokbLaIShcViQBsNnUh9dsBTZJ
glRgs0lA6h1l/atjF7UdAt4yICIiWqSs3jIoWbm6qHiF3e4otBcXFhYvW2YvWGYvKFhmsy2z2Qps
tgJJKpAkm/Ka/HactwyIiIiWgBweKvxyLHbxGqZuxqam4sovEsbiiIs4gFhcikRFNC62bijcuM7+
1Vd/Xff0Sst/djhzJvE5+wWqOZxde+b84vqzii0pfjckCZIEqRGN7lmFCjZi7v6YKNiYKKcbYT8W
wx/FzenxzkN84/3OSXvWzo44uziJliClmsTtKVkV/CM+yqOL11C63LZqZeGqOwpLV9lLV9nX3FG4
ZmXxmpXFq1cW3bGiqMRhP/+XKQCjF29qN8z2lkFVU9osW3Iu829nKdv56XOYN33m/OL6s4otHWE/
2itw4RRkGa4A/uUS5KbcoznrMEdzmgcbUQuIs5BlNIzB6cVDTyK35uN343IT8tLy8nK8JuWZu/o0
N7Od52Dm9aWdHXE2yqrQ4MBvt6ntVm7AiV40zaLdLl1lVZBlNDjQi4VpKrT45TDb4dnPJqNR27dT
YmoKUxEpEsFkVJqKiKkorkcwGRUxIdkQ3bje/qvBL4Ifr0reMrD8w0Rh5de6y1sGEtNezJxnHUbz
nZvH1U096M6Dbn3+9RwyAdnPa55LHKP53Y2WZ6GmE2IgGSc1/NLsU7MkmDY40x+phOGWILnhToQK
TntLgiTB7880xAmjHRCd6r/KWyAEOmvUnSrnTimbNkgq8+GG253aqXcQtYlda5tKav1EORslSG40
KoUMqgX2h42Pd+bgNTly1atPk/KYjPxmltOsnnXrwaSmddu5stTtTrTErC5G/esLQMivEyfXdtvo
BsoxMACYni/9+lf3nKofvxvJ486+3izv1+B8mbVn4/IT5Z0yuRES0xcJCBsEbFBeMUlKTm40jYWH
Cvs7djy7u+21977UThSvO886jOY7NxxYGM1rbjAPuvX5180zAZf7O6YttzSvuQmDOMbzu+svN1RW
hbF9eGQ32trQdkKTHnDC5UJ3N2QZY/tw+C7UOeGsU0dmAy2AE7ILbXaIt9U4OiOVMjQ14EQr6kM4
dRANDuztV99tXIvHQjh1EHID9tVivQ9mv2Tajw5JZwCkjBQ/KFPLJrvQ8bW6Wlrmox8HlMxHGZpk
OE7g+QvoliHLqRyD342e+sSI04UtT0FuQp2M0d1AAGefxCO12BvCa/eiPYSmKsOR2eV+fPM8znZD
bsCJ17C3D2qj0KtPk/IYxdctp0k969eDWXvQa+fK0L51RLlSGxz79/Z/xyyFYHx9Xe7veM47snd6
HMvt9nI/Wr1oa8On61NHZHK+9Ot/Ruap9ufY9jyqyqzVm+X9Gpwvk/ZsVP5kbTBDQEZyyBCMfhVd
Xlxgk2xCEojbJEjxuCSEgEAsJklxFAAFiG1cbz/72cWcMwRp8+YAQNjfUxFI/dBrTWegokc7Mqn0
hYTyRVHTaTZfabB32PdmIkxNZ3Ifwd4upIYpTu8gBkcyDW5C7YkNcp78D+r8jk4lTm2XJ5DrD3fr
xzE6rhyOF2gZgBAQAqF6zYg2jPZadUSirYfyFlR41QGNvx2+F7M4Bg+UU1Oe/AgLoiuxEOV405dN
TVijlFMpf20XAgOma4fRU6HpkdQgUJEY4VWiswZwojJZ4Ez77awBwnA7UR/SbGJQn9aYlBN69Wy1
Hsx5XkrEr8i0qmmYxBWfipNTu630QQhMn8XH6HwZ1H/v8PTMk1o2q/Vmcb+A/vkylJf2QzTHLN8y
KG8ZmNcf5Lc2D3r+5l+3OK+55ThGxzWLed/LW+AZTGTLnagPJToK6V/YL/rQGwSC8FZk9R2Zeb8Z
PxCdQI/lsJ1CLb8IoHY+HzoePbwFAAAgAElEQVSb2Rswrc+5tmD1YEmu7bYzuy5ODvWfl3rL13lf
wPZDlL3ZTW5kOs+6BUbzmmeYDz5f86/rMJvX3Mo03/pxDOd3Nz9eHY2SZogZxrAHyQ/iRD1glzdt
k/IWoD3r9ICuGni6Uve5G2szrV+OlyrSbp02am63D4fUcro1cbQ3gwEgfUwb0tzfDQIoR/1w2vq9
w7n2ddJ7A9q/2jCqT53yGLFeTvN6mGO615ce6+12Gr/btN4AGNT/DoN2lcd6MznvunTbcw5xrH3Q
EOXHujNFrtCdzVeK688bTbEs0ub5Tp9oW3+eddP5znUZzmtuPB/8LOZfT2xiOO+4ybzmgcyzxqcY
xzE6LuPj1eOBgOblS2VHUgs9HgEIbaCQT8BjFgcQASFESFQq//QIEVCXJ05LWvxspkf3VWo2SZ2w
xC4gfL5UfO3KamFSNae3XBMnGV89qMrEux61Wip9BscrRMCTvrwyi/rUK49RfN1ymtSzWT3oMGjP
yavCE0iukrkFz7i+tGFmxLHQbrWVqT00k/NlUv+67cpSvVner8l1YdCejcpv2E5SVZr5s5NubUbf
y7quXP5CCPHOJxP/G4p+HIp9FIp8OBz7cDj2wVDs/aHI+0ORd89G3x6MnhyMvPvJdSHEz375e/zg
Gh45h/vfwJqf8IeJLFOeo+RExklhP3bB9KFCIiLKSQ4/THRy4NvSErsEKY54PGaD8sNEiAO4GZNi
MdggpPjN77qXv/HW0NMHH7D8w0SkCvt7BhNPZ93ekn/W5exhb4CIaMljh8Ci8pYBKw/6zanpP/c2
v6/UExqDC1yS2+211C14BS7yF9FCYYdgCROCr9vxtdQteAUu8hfRQmGHgIiIiGCDMkMyERER3YYk
QEhghoCIiIjADgERERGBHQIiIiICOwREREQEdgiIiIgI7BAQERER2CEgIiIisENAREREYIeAiIiI
wA4BERERgR0CIiIiAjsEREREBHYIiIiICOwQEBEREQAJ684U3+1Y+fCd31wau/j6Wt2Vvvzyy3ku
FhHly+bNm3WXx+PxeS5J9mw2jlWIAGB8fDz7laOR8dLV608OfFtaYpcgxRGPx2wAYnHEEQdwMybF
YrBBSPGb33Uvf+OtoacPPoCJSxjtx8QlXnVEtLi0tbUtdBGIbkfMEBDd4swzBCMjI/NbnAx6enrA
PgFRAjMERERENK/YISAiIiJ2CIiIiEjpEIiFLgQRLawjO7eqWltbdx6Zhz2OHtm5devW1r552BUR
mRISJAAoQMkPl60oLL5v+c2JyR/VLNdd+fr16/NaOCLKnzVr1uguF0IAuHTp0uiRnf+56fXTh19s
bm7ecnrff1x5uLneNdelKnXVP1H8/u9K6x/fkLZcecixurp6rgtAtCRMTU1lv3I8PuVwlJy/EHUU
FUiQBIQQEgAhICAAxIQkBCRAErGN6+1nP7sY/HgVIhO49mdEJnjLgIhSqvcPDR19Rv1HX+vWJG3a
QLN855HR5GIlzbDzyOiomnBIjf9TW+w8cmSnZqPRZG6CyQKiBcYMAdEtLmOGoNRVP+571PPyoUOH
Dh16vziRHuhr3f7Hfx469kpzc3Nz8xPjvkd94+pbG2xbtrzyyivNzc3N475Hj5U1K6N8V31z85Yv
Xv5Xufubp4ZOH27ecvq/Pn/88Q3oa926B68qkZ4Y9+39HzzcUO8qxdUzx+QD5586fvrwi81PFHf4
zrjrXaXMEBBpMUNARPPqmaNDiuPfP6kmA/reO47jexID++0HRjByXh3Ej47+NPHGgRm/YvDgC8fV
HEP1/v3VAPreO/fC0H71C37DM0eHho4+k7hNsP1V9f83bNg018dIROaYISC6xWXMEGgXlrrKvnh5
0Nb8+IbPTx8qTCYIFEoioK/10aN/f1x55KB5+nMAn58+dvXv6l2lmpCfnz529XG9hxKunjmW2jax
ITMERFrMEBDRvOlr1T4JMDp6bvu2agDV+184t8fgxv6mDcq3+OgR78wUwXTV2zYd0Oygr5XPCxAt
SuwQENHIge3JewMnv/+sOjp/5uirSN4zSD33V/3sC+f2JFbetP3B43uUN/pat27duud4MlbyW796
/9D3TyZ3sAevDu2vxuiRndsPjKjb9rUqG2ofUSSieSZh3Zmiux13cC4DolsU5zIgWrrmYy6DG1/j
T7/BDc5lQEREdAsRQoi4UPsAEiABNkiQJEiQICQRg/pIwTTsEBARERE7BERERMRnCIhueSbPECza
W/WLtmBE8yyHZwje+WSidIUdNiCOOGwAYgIiLgBMxhGNCQgUxCe/517BZwiICOCXLhGlyypDUFJS
Ms/FIiIiImYIiIiIaF6xQ0BERETsEBARERE7BERERAR2CIiIiAhKh0Ba6EIQERHRAhEQAswQEBER
EdghICIiIrBDQERERGCHgIiIiMAOAREREYEdAiIiIgI7BERERAR2CIiIiAjsEBARERHYISAiIiKw
Q0BERERgh4CIiIjADgEREREhLx2CsN8tqRqDsw93a0lWjtsfzmb5wgo2Lkx55mi/SiWbNMpZ7jfY
mOMJDDZKkt41Y7SciGgeFKDkh8tWFBbdt/zmxOSPapbrrlRUVGS0fdjvdvbUiwunZFmWXYEtWwIu
uc45Z8XV8rsbLzfN075yVlbVJMtyg+NEL/6pqaos4/I8Mqofk3pz1slzVBhzednvzOMqq2pqcJz4
oMywlcxyv8462XGiw/IJDPuf+um2C8olI2uuFqPlRHQbm5qayn7leHzK4Sg5dyHisBdAAgQEJABC
/Q9RgbgAAJuIblxvP/vZxeDHqxCZwNU/IzIxywxB8N+8FYGBFvVfNZ0h33C7XxmYuf3+5HhHM4rS
DoLc/mQgZcDs9ocTQ+fEAEmzfipK2O+WJO9gV+3M4ZRBfBOpBEcyjHoEbveM8MY1oVfOvEqV0+12
Jw9N93iN6se43vQzFib1kMoLqSc6uaF+OQ1Y3q9xFP32ACDknxnHJENjqfzp8dVg2syEcn6Sewk2
SpLTOzjonXbKjJZbvl5S2zDFQETWzC5DEPzxDvuObs1YpmztWEcvut7udpzY7f35QwFxtluW5Yax
fc7Dd8l1TgQbt/yhTVkoyw1j+9buG5ObqgBUNcmya3T3s8+9NrZXXDgluwI/DtfVOQGnzeXq7u6W
ZVke27dWiaKMrx0nRp+/oIZKFMEwvhG/W+qpD104dVDNcDz1f3JTlTq0bB1R3mlw7N/b/50Mw0Dd
ciZc7u/QzQQYLZ8p7He3V/Qp5XT17z5waZvcVGV4vEb1Y1hvBhkLw3oINq499JhSbQ1j+2r/fb0v
NNBSblxOQxb3axZF97gu93c85x3ZOyOOUYbGavn7O3Z7D4ztTVaF8/Bdct0/aDITzjpZdo12fP2I
shdnnSw3OE78NpEJSAQ3WG79egGAcKDtvz/FQ08yy0C09C2hDIEZT6CzRvm/8pY3fcO9QSDY24XU
MM7pHcTgiHYcU+kLCSXfUNOpbhwOtSc28A5m2mWm+NOF/T0VAeWbTNlpoKInNWL0vKS8U+6syHy0
lsppXXnLSxVepxK/tsujZmWsHm9uZtZDsLcrsRDlLW/6KjOUM1/7zS1M4gxnEyeH8ifjp9p5vuRw
vSj/EEIIzQIioizMrkNQs8PTlfYBGA704EFlWFL5oO7wxBMQacw/toKNzp76kLpqSPPFY8ha/Hyx
Xk7LlE95IYQQAdQms8cLc7xp0r9oDcq5ZFgtv0E7z5dFcH6J6DahdAikXDevedE3XKu53+n0ViRG
joPeXakP00BPxY4aoKbTN1xr8d5mhVOJF/bvmj70Hg6F1f2qd0ytxi9vqR9u19xEDvYO1yfzBRaZ
lDMP/O70m90VTiDj8c6onwzLs5bWEQw21nZlKOc8mfVx5VJ+TTsP+3d5K3YkvrHV0oT9bk39WJPL
9QI+Q0BElqm9gHVnil3hO5uvFNef/8aAMKUZEKeGM77KSo8nNVCu9CWGzyLgSSuFssm0halAmuBq
wNQ+Uhtph1G68bMqfWrt5EJPIBlPcwjmYbTlnH5cRsebsZzpSYfsjle/fnSXG5THpB40W3g8nmTl
GJdTl/X9ZhVM5zSmxzGsf0vlD3iQPN3Ty5hqEJU+nyf53vTkUWIPRsutXi+aTTJWPhEtAUbfy7qu
XP5CCPH2xzc+Gol8FIp8NBL5cCT24Ujsg+HYr4eivx6Kvvtp9K3fRd4ajJz8ZFwI8bNf/h4/uIZH
zuH+N7DmJxLWnSm++29WPrz2m0tjF19fO/1zEgBQUlKiu9yE3+3GmwO5jrZpKQn73bt4somI5sD4
+Hj2K0cj46Wr17/zyUTpCjtsQBxx2ADEBERcAJiMIxoTECiIT37PveKNt4aePvgAblzCn36DG1/P
yUOFfrfkHRz0OrP9wz9aipJ/bOfsqWdvgIhoqZuTDkHLQCLZMZuHzGlx41kmIrqVcC4DIiIiml2H
IE5kUb4aLhER5RczBDR/2traFroIRET/z94dx8ZR3XkA/04C8brBLVsCVzh61wWfYjvaoiXuqVFD
1MU+fL4/1gntsoBOa53Fcb7h5J5FUFJWTdecDOtcU58WqqQJ7DWWqsQXq1ov5ZAPn1cuDVBEcLgV
q/hw2ATJ/IELGAw5cGzP/TEzu7ObmfHMZncT29+PHGTPvHnvN28G73u/Gc+Qvsv6KwN5wpdOp8sY
IK0WJ06cAMcERER2rPi/MiAiIqKVhQMCIiIi4oCAiIiISjggiAXcilAoFIiVqlqtZMidFUqWowUy
kwy5A7HMlY6CiIjKYj1qOq+57tqqb2788sIXj7Vt1C1UVVWlu1ySJAAzMzOZWOCXtc+NHXlcFMX6
sX/+t4+2iX6PecOxQGjW3+SyHmkmtvc/to2NHRFFURRFO1uuSLb7p/xcTaLf4yx6c/nmU6/XW7qI
iIhWufn5eeuFl5bmq6trpt6/WL1hPQRAggQBgKT8w4KEJQkA1kkLt9+y4fQ7Hwy/fj0uXsAn7+Hi
hdJfMvD2plKDHcoP2kl9Nm2QiQXc7v50osvydD8Zcrt9/el0f2FV2syEphp5YSCWySirl08o5CIN
xGKBQCwjh6lsKa/Nzo+N6jds17gf3IGAugdqYfv9k9cPgUAg24RuuyblDZaru6OTIdDpf6P9IiKi
q1hpMgROj38usiP4xMGDBw8eHHeo6YFkyPfuI6mh/aIoimLrXGRHZE70e+D0+EXRMT794JiyatmJ
sKtJFFsd42+pGQI1/RALuEdaEnJmQqwf8+09L6/y+EWxfvqJn4aPffq3qbEjYv3Ys+eaTFpJhtxd
iMqRts5FfvQ8tj3gv/tuf6tj/E2nv8kFV5Mo1k8Pzd4pT5GN6jdYbtwPrY7x6Fl5D1odhyMTjX6P
s4j+ycvQnH5iQMnQGLRrWN5wudPjF0Wx1TE+imZtkkC//w32ixkCIiK7VmSGoGMwJUu0jCiT0eRo
Arlprq8/jfTZUk4WM7GR2uhgh/pp6e2N1o5oZ7AN3QklV+Ht7TX7GEqOTnWn1BKujsFUKlerCaP6
C5eb94OvU27L5apdvkkDro7O2n6fXH9XwheVWzduV7+88XJ95v1fiv0iIqKKKf0lA1dHpy/7geeL
pvKYfi6vYmXvB29vtu4ourKXAAzbNShvuJyIiFa5kgwI8m8/z2SmfM1eAN7e7qku4wvIU5mMunVx
l5ldHS1ThzQpgeToVIuVmf0lvM21/ZodyAtIiTITC3QliqgaWLYfjNjoH/mmh5xal3m7+uWNl+sr
Wf8TEdGVV5JHF/8i5NZ+WjZ0J7KJ5GT+Kl80O0nNrdEsNBALuPu1z0fObpGJBXy5NerigkYtNJDf
RK58rv6G7u7a/v5EQ3disOOcQf0m7er1Q7ZyXzTVPCqvz/Vd8f2jLa/f/0blDZYX7ldulW7/G+zX
D2veAB9dTERkRyUfXSzg5omqm7/yte/yXQZUXnyXARGRXRUZEPwR51/muwyIiIgI4KOLiYiICBwQ
EBEREeSbCi/nHgJeEiZbeMIQEVm3Yu4h4C93IiKi1aEEf2WwNq1bpz+WWst9Um5GfV4qlTx25d4X
IlodVkyGYM1iaqTyVlOfr6Z9IaJVg88hsM387+nXZp+UW2WeYVCZY8fnMRCRdcwQEBERUUVxQEBE
REQcEBAREVFJBgTJkFsWiGUysUD2Bxtbl/E1uzr157+csYzN5vA9wsUo97mhL3cO2zx8lTiviIjK
Zj1qOq+pudZx68YvL3zxWNtG3UJVVVW6yyVJAnDdt/310+N1/zr25N1Op8cvivXT43VDgx3WAnA1
ifXTQ7NNfk+Re2C/fleT6Pc4C8rFAqFZf5OVl/fKN515vfovIJT7ZOa6b7c6xt/a9tzYkcdFUaw/
Hdx7vvXSRi+T9ZiLK3+l5Y6deZ+XinzsFm79vvbYia2O8VH4LZyfFs+ryuwLEa0O8/Pz1gsvLc1X
V9dMvX+xesN6CIAECQIASfmHBQlLEgCskxZuv2XD6Xc+GH79ely8gE/ew8UL5bxkIE+1AgF1whVK
FqwqXAoAmulZwRo92om4dhpnUH92cd5MLhMLuN396USX3ia5igKBQLGzVe9D3Th7bpmYjdrSLW8a
sw6L+2ilzy3Eme1ebfZI+4NZPxifGxWXDAVicHUMyqNbNbBQMhu8sqNFnFdERFebEmQIZmZmzo0N
zd6ZnR2dG5Nn5E6Pv9UxHj3bkhg78rjY6jgcmWj0e5xAMrRj8DsJZfI85utK3LhN9HsAxALukRZl
hVg/5tt7XjSbmSVDvncfSQ3tF0VRFFvnIjsic6LfY1K/0+NXp3zNucmc0+MXRcf49INjSlXZCV0m
FvhlbXaW/8TAR9vE5War2T6ZnRjKthLrDAr37W9ymcSs35ZheeOY9RmXt9nnRnECrnX19fv37xdF
UZyL7BjaJDa54GoS5dn2YIdLnvAfvPaR1MF77R67SmYI5GMX7Y8ePPjipHrmAFDO52Offucf/Z7r
z48fe21bdGy3R1lj/bxihoCIrFstGQKZr7PDBQAuV62yJDk61R3pUD6QvL2J7gb520xspDY6qK6A
tzdaO2J2TTY5mkBu+uXrTyN9NmlSv32ujs7afp9cf1fCF7V6HUSRVrcdaUn0ek1jNmrLuHxp2O1z
kz7JZA6pgfanC8o/K8ccOzTV/ZDXbL9Kd+wuU0N3IpWK+gqWujoGEy0jPrfbN9KSSPXyM52IVpEy
ZAgyycPZa66zE0NvOpVLqNlC+fkEzE4MyeW1hZG3hb5zYwevzU4yxdwczKh+aBc0F9Q7MTTm1Lm+
7mrK1q3Onq1nCJTr0PXTT/z0zXo1Nv2YDdoyLW8UsyGd8nb73CjOvJm92OoY19Tqus1xeGjW33Qu
FJy978gPlJPB1rGrfIZgFM1+j0fn1pbTQ0+8OAnM3LStMCtj8bxihoCIrFt5GYJv3Q51EohMciRd
a/oh5W3OThkBJJ9V55OujpapQ5rpaXJ0qqXDpCZvb/dUl851WaP6lzGVkZtOhrJXe2OB/NvGzffL
OM5ENlCjmI3aMi5vFLOpS8rb7XOzPql1yd9mYnvzu9zV0YlDsVx6wGS/ijx25RULKJFmYgF3F6Kp
VCoVRZfFvymwe4yIiK6Mkj26OBlydyUAAA3dqexNWL7+NABfNNU8Kq9u6E4Mdrg0pQGfz5dIJOSt
spvIa6LLZmW1FWm20K/flV84v4XcJrmFsYA2+60st/To4l/sUmpTeyMWcPdD/l4/Zt22zPbRIGYz
uuVt9rlRnJpqGnw+JBJpbVWZWMB3tjO/ahvHbt8Pa1CpRxe/sNvtKxyH+KKp3m9pTudehDTn8zlb
5xUfXUxE1lXy0cV8l4FtfJdB5fFdBkS0NlX6XQaCJJVpT4iIiOjqpowB+OhiIiIi4oCAiIiI5JsK
Hd+o/uq2m4q7h2DNXgo1uYdgzfZJuVXgHoKKHTueJERkRUXuIZjB+d8r9xAUjb/ULsU+Wbl47Iho
LbusDAERERGVz4rJEBAREdHqwAEBERERcUBAREREHBAQERGtJotLwqIkYAkAJEgSpHWQsA7y16Ig
SJAWlnQ25ICAiIiIOCAgIiIiDgiIiIgIHBAQEREROCAgIiIicEBARERE4ICAiIiIwAEBERERgQMC
IiIiAgcEREREBHlAIAnClQ6DiIiIriRmCIhWnqU17Er3PdGqxQEBEa0YPT09VzoEolVLwM0TVTd/
5WvfvfHTmY8/eO5G3UI1NTUVDouITMgT5XQ6faUDqagTJ06AYwJaY+bm5qwXXrg45/z6LS/84f+c
NRvWCxKARQgAIGERAPDFEr5cwLqlJSx8+Td/ed2v/jP1d0//OT6fwfnf4/M/MkNAREREvGRARERE
HBAQERERLA4IBGMmW/U1QhA0X42YtNBWu4DGPkuhT/apNbdbKl/aOK8qk302OqGIftNuMtyO9uHi
wixpPAaFrZ8/9gznnyQCBLWhUp2Htv3v/oBbFkoCyMTUHwOxjOFG2VJmhYqUDBVUrC4odUNEVBbr
UdN5Tc21jls3fnnhi8faNuoWeuqppx599NFXXnklrPHZZ5+9+uqr4XDYqOrtDyMchieD43dAOo3w
w9hkIaBdYTy83VLom7ar9QPhXZY2KWGcV5WTR2x0gt1+G27H9gOInMFLTyO8DvU/xh33Y1fdZYZc
fDww3V/r5489dQh70HMccQnHwgiHUf1bpLfg4e0lOw9tkSQJN3zv+/5N0+N1Q2O7XQCcHr8oOsan
Hxw7eK/TcEOnxy+KYqtjfBTNfo9xuWK4mlod48eef/7zerHJBSD57OHz67f9ZHC3q0QNyDdRer3e
EtVHtALMz89bL7y0NF9dXfPO9EJ11fp1yt2EyrxdAgAsSFhcgiBJWFr8iz/dcPqdD4Zfvx4XL+CT
93DxgqUMgSRJBw4cKFh44MABSZKsB6pVMCnvmwRMZ1q65U202ymsb1jJFgz36aQNdONp18yhC5ou
jGcSjQIEAe3tEBoxKf+oaUInfuN42gXsHAAGCnsvG8blpD0m+7BzAJEz2LMZANCGyFa9fpDrN9qv
7PLh3CZWsgy6x9Fofy2dP9l+MD2+y0ZlJUdi2P9qbwiN6GsvCHi4XRAEwXoKxttc2x9Kqj8lQyMt
D3nV791uCxkDAGraQK6ncJqvqcfSXN8X7Z4alTMWh9DZkl2uW4/ccCCQl+owj4eIysZShqCqqqqn
p+ezzz6755575CW7d+82Tw9kTcYLZ059jdgLnHkfT4eVWdctzdhVZzjTMiqvX/8kGm/ETXGcPoZw
GGEP7tqO6gewfblZf2E9dXigGs+ksWELTr+E6sP4l4+VqadRPLvk4Adw/C3EJYSrsfM3CDfoxfNP
GGhGz3Hc0YOeD7H9EJLv49N/wMse7BIM4v+eYTy7tOmNcG4X6nYhHFa+tOWNjouuD0/imY/xzOO5
rMn2h5XObxdw4K+URj0nsf1eeJ7Gzz16+9WMF48h04O338GWX+Olp/FANbbflXdcrB9Ho/01On90
4gyjzvj4Gp8i6DmO4z14C7jjfvzs58v0p37/T6KxDlvk/foT3PVjIAjpqKaanuNv4Y77w8ukYOSx
+MzMjOs2x+GhWb86I7/hB3+vTPtd6+rr9+/fL4qiOBfZMbRJnrQrZieGtBkCp8ff6hh/0+lvcsHV
JIr100Ozd/o9TiAZ8r37SGpovyiKotg6F9kRmRP9HsOwZieG3nQ+ed+7e5O3bfrvH8027//6G2NO
f5PLqB654ejZlsTYkcfFVsfhyESj3+M0iocZAlqDrroMAS5JEhSfHpjEiVOI/BryhBNtCAINJr/8
bJafjOMUMLBTnZntBIAT8WIiBYBTuHcPANRtwam01XjiEtqAzXsgHV0mnnvbAABb1NqWjf/SeExk
Z6IC9p4qbv+NDWMAiKufZG1HEQR+o05sL90vhV/JNGzeg8hWs+NSsuNoGqe9/gQAxCUELTat1/+T
cZzaisfl/mlDvLCutqOSJElH2yw2AcDV0TJ1KJYBMrFDUy0d2U/9TOZQlzLv7i/6aQXJ0QQSajVu
X38a6bPJZbfyNtf2+7qmunuzH9zm9fg65bBdrtpiAyWiErD3Vwa7d+/O/rdUjkpqOrp05eMSJM3X
G3uKDW4rlr1WXhhPEJf+Nrcbj2F5C/EoJtFYB0SUGrR5fttOIV6i2yy32LzzoGTH0Yj1/tQ4KmH5
T+wS9v9yOjprR5KZTHKktrNDXZYM+UZaEilZoruh+Np90VSeXgvTc29vNBod7MhbVkw9RFRRNgYE
2STB5dw9gM3wb8XeJ3ML+hpNbwu3WX7zTmwFdmYvyg7n7gYvjTLHU1z8dZpf+Eo8Z3AK+MkepZKi
MwSb9yAexN663CV8pf42BDVxDrdjIJsYMDawU711YBh7T8G/07hd037Q2V8jRcVZAgb9v3kntp7C
k8PK8p0DBZvZvYcAgDIj9/XXNud9xta65GxBJrbXWopgKpORywe6EmrNvd1TXaHlcwKXhpSf1i+q
Hp14iKi8bp6ounPyJvEjh//spwYkFYBHH30UgGRBZKsEaL62Smd0V2mWBzXlI2cMqlLLawsXbBI0
aNdGnPHcj/GI8v3WiGn88dzCbEn9eM5IW9XvI0GlfFCzCzrxm8aTt4kaTzyoLgmqAQeX6TcjZyKa
8kH9rotLkmS6X0FIwXiudf2DZfk4Xrq/krXzJ15wsAz6s1A8L8Jg3ODgapo26v9cLwWleDCvPyVJ
voagrV7f4uLi4uJidrqd6G5o6E5oJ+CarECDz9cAZYoe9RX+/6/O3HMbNHR3+wCoFRZsUjjT12uy
oTuh/VHeRK+ebBlfNLteaVcvnn379u3bt2+5viFaVYw+l3V99OG0JEm/fe3CybcXXktffC198WR6
4WR64eTbC797e+F3by/8V2rh+YmFF07Nv/CHOUmS/v2F/8Fff4K7pvBnv8INP7P9LgNBEKSi0wO0
hrULQNxCsn0taRfwdnUI9LYAACAASURBVKSYSyF8lwHRGnFVv8uAowGybRKNAgbUmwRL+lijFUhz
s+FAsAw3RhARFYWPLqby24w3NPcGrvUcgbY3ji5fnIioMjggICIiIti+h4CIrrilpaU1eyl9ze44
rU2VvodA4G0BRCsKPxSJqGSE7L+bJxzfqP7qtpuYISAiIrqqVCJDcGEG507i8xneQ0BERES8qZCI
iIg4ICAiIiKUe0Aw2dd46WPZ5ce1C4IgNPbpFrjMFrN1X35tw+2lqceI3d0vdzxXD6PjWJnjmztF
bb9XQFHaOE0NtwuCUILXdejUc/nn2wrsB6K1az1qOq+57tqqb2788sIXj7Vt1C1UVVVlt97h9vbJ
Xbs2nTz88qaHdwl97c/d+P/snXGMU8eZwL+3JIAv5VRUb6NAr1J0OfaBFaU+v55UxRBQ966tRLG9
kUW2QbaUBG+0hwLV9WQfK3KzXZH6RTlxKkhQo1DZ0YYgR6v3Ekck4ZQN4TZpyZrQoiU2IeeTKha1
QDYtEZewu5774z3bz/bMs5/Xay+730+Llp0375tvvvlmPPO9eR6f2w4AalDwgkLPHyeE9E7tESPp
2me/W8HuDhFCem2pEXg05LbXc4ssBW+E2CqIPlKnEKvw7GPO/OnTAkzsXA2vHRtoXxPY9szKO450
T06eIoQQ0qBzNldPU0QfceZi130hd9PlzN3f7kA7IMjC4vbt2/Vnzudv22yrPrkyY1uxrEPfTSho
l7SXCWcozOZBoBTys3+3dvn5T/6knv06TN+Cz/8A07fmK0Lg6QGvIIiRdMIrCGJyg7cLACArD4FS
PO29KzxODWe/F9YSxVWZNuWXgtoCQ9WuS3JWyynJsjHUUEsh46KvuIzIypIgaDpWLAdNVjZVehZy
S5JUKaY8vyRJhaLZ9uHD1se0XGMkRpb0+4pGLAgs3MKwD9f+5vZk6MO3s1HOHBaRuhRNbLagqWV7
aoLESDodqaxajZLr1d+K/U3lZ0tuZWh1y3bgyKnP/wv+PMf+aMjN159nH47+CII0wHxFCED09dpS
h6Z2R9dMdY+Oh7XPu7GjMcHHXCjIkpD0ZyZPHSSEEKeyfsclEnrSR5y5vgOg0POPjW30vrs7M3no
W7GhzCOJxEFbqi/y0kOGUMPRew1ruRtjsfIViRpc//GglpmQ3qk9nXumSMitrV9sqdyuSf1SUQRv
ZcPS0w12d6jXlhq4qF3pte3fPfaIdldWloYco1p+51jfgWvdRFvBMO3Dh60Pv9yKSIz3JejeFXLb
wR0ixJnre2rnoanddPIUcSq/yPp8ItM+XPuH3GNcezL14dsZxA6n8/jx44QQMrWns6wVGe3ISxd9
zlzqOydOPmnXrGJL5XaNv2Cytue1r+gjpNeW+qAQIai53LSovxX7u/ny1WDn4c26GzqV9d7EGs2v
rNqBJ4drH6Y/u0PEYn/k1YunP88+XP0RZNGwGCIEAKAkHcp4ODzsTz5Xa+qelZMOpfSp6IkrjqS+
bHBF4x4AcYMrsK/iUzOglEINw9GJEZNC1JEElJanYiQN6YuNLCdM9ASAgoZdoqN4R1d4nyMiauV6
EwHFcJSNBfuYwyhXHZmIlkdiyuYcrmiGapp44nGPqX2Y9je3J8sOXLKZoYKgSLphEwB44iU7qsGk
f2+LTkxoSH8L9mfKV0cmosOF5vDEM1FXUbQlO5jI4WDizxb6I69ePP159rGuP4IsBe5aBnctg46O
DugAgQoCFfJ5geYpzVOYhbvycBcId3cI1TfO44QgPB73AECX/hsAQNwASaVJ4l0bLD3crTxivmXH
8HrixTIV8BqinQz7tBGr9mmOPdWgmPRndBFzHM/D+8AbVAFAHoLKyeN80Tz92fZsRP4824Hnz5b6
o1m92Pq3rf8iyBKita8ddoX3OSIVjwyDKkBX2D8xZHjuqI5M+GsNZenI46UPVyXp6DEZITzx6ISX
/4hxIlN6Lm76INK6nsWH9zqO5u2fNMPTw7QzN7u5feacX4dpZ4eoGTArPz6nEIGm1ZAstzA8ANAc
/c3syZLv6XFESmEl9bnyguu3g7kcFnx/ttIftTt5dqvWn2cf6/ojCGLKfR+tdGa+2f/ZSv+nf+FA
m4pxPVCa95cvEwIKpVQJaH+4ovrVgKL9dkUzUZcrECjd4Ypqy43CLYwSKi4ZVhylK7zMhksMPQ2J
AcWgdaaistXLnLrh6MMvl2PnSjlMK1RLrLY/256m+rDsbDSn3qBlTV+pqUn7Fouox8hcOZWL8FrC
5qi/qf1N5JdnDwQCAOCKWrcDT06d9ikVYbU/cuvF1Z/Tf83tgCB3PrzPZSaf3bhCKX3zw1u/zcyc
zcz+JjP9/sTs+xOzZy7Mnr4wffrC9NvnZ06mZ95KT7/94ReU0l+/8Xv44Z9h02X4dhy+8cKdepaB
LEkwXHsvHrK0UINSZi+6Revt0OT+iO2IIAUaOMvgrfH/W71quQBCHvL52Q4AmM1DHvIA8NWsMDsL
HUCF/Ff/KN2zGM4ykCUhkk5HRPweEkRHfyvNm0hHxKX8+llb7NDE/ojtiCBt5E6NECAIgiDIogcj
BAiCIAiCtJSWTgjyC4BW1hdBEARB7hSWVoRgcHCw3SogCIIgyEKkpXsItAX6xYsXmyLNKslkEnBO
gCAIgtw5tH4PAeMrDBEEQRAEWTosrUcGCIIgCIIwwQkBgiAIgiDtmxAc2/6gzsDAwPZj7VKjTmQi
CDsFYacgHA0GiQwA2ZSkp5R+JPkqAKjBYgopfU+LelQQdgpSKlt2L5HhqiyVCSl+HQtbDqSDZYUW
L3HlIAiCIEhtlsGqp+/62t0r/uaer259+a+ee5iZVqxY0ZTCKKUAcO3atdyx7b964MV3ju7t7+9f
/86e//zse/1+p5bn2PaBz/3fv79umfXn1zYzbtmyxara2ZQ0tGZ08mcHyTbiPNfzbze7yWb3jUux
D8TRyZ8ddP5xcPmP6fk+YjsXAynkXiX6thHyXVvqUvfhtUl1Tci9CgBAdBHnH1PvZbP3bvY9vC6k
ZZgkYVjlDq3NDXYMUnKcbCNkrbL+3xXnNp8IbDmwxtfbkdKKJtuI85ONO672htbZ+XIQBEGQO5Xb
t2/Xnzmfv22zrfp0csa2YpkAAgVKqQAAlAIFCgCzVKAUBACBzv7tmuXnP/mTevbrMH0LPv8DTN9q
/yODLfsvXDjxBABA7tj2Bx88cPG1Z4qxg9FCptGBQtqD24/l9MT68j/IDj9o35FqeRnt2UkpCQNA
19bx8a1l37UeJuPh+/T/Z9NJx4/Dnr93JNPGs+HAL4H3qGmZrnjGMzGUyprLKemzNQpXMzXlIAiC
IIg57YkQrHb6b0Y3BX5++PDhw4dPr9TDA6ud/v7+laev/OSdV5/v7+/v7y8t/O/vWL/++eef7+/v
778Z3fSqvf/795vkHx3Y9j//fEFP/NHN6KbozX6/szxCkFUGX/kdPPQYqb2Gtq8LTb3cuXF4cPD1
wcFzNrLZbbyaPTf48X3Et6bslhdfHtv4E5+4pmPs5f/2FfJnz8Wubz6569IOdU3IDWOxNIS0S1eV
wavriUtXxH5zrO+TTu1Pppwbl2Ij8GhonR0A5P/YKGw+rpfOl4MgCILciSyJCMETJy5ovPaDtziL
eAO53JFCHOBAzW8xGP2v16AUNth24CJc/HS0MpMnTiml8RqHthcIE0qPUnqUZqRk2RN9JulgZK12
HLynZ20kWHHa+1Z/8lf1nQHDl5NWRW2vQFLKxF28+xEEQRCkXtoTITAmrnbar/w83VFY3n/06jur
K/cEjA5sOvHd17QtB/0/Wnn6nCEHI///vnP47mKAoL8YO2h4D4ER+7p7c8PvdRiezVdHCNQ3el45
+8rg64ODrw++cgV+1+HUlunZc7Hr60Lu+9yPfLHnX646rk2yIwTZc/s/WNUXWmfnySluXyBrc33D
Z0obBThy5lJfBEEQpI0s+gjB6IBhJwDkcpe3dRs+pS/ncoVcpV0BD9yvfebnjkUqQwRV+bfs/+nl
ZwaqYgLl1L+HQA3qrw8AAMDVzMQ/9JjGFdSRK1EtnKD9RK+MVJTStXUfqJE05/bnVMe+rV31yNE2
CnA2JRTlFGuBrx4gCIIgXNr1yODigW3FmP5bP3iqNB944ukH9EvPwC8v7N8CALDlqZ9efqaQ+YFt
G157pjRTYOWHJ078EorPDMq3GzZEOvJs4XW+Z5P+rfp8QHt70HsWEkcKn7VXZWmnN3ElYnwFMXIl
4d0pSUTwnk1HntXePPTEnw7osq/K0pEEnPUWXhf0wtNxD1+OnAqKajqtitqTi66t49ErXv31xWo5
c6o1giAIsoTQzjL4q7/+XieeZYAgCIIgC4rWn2WAIAiCIMiSBicECIIgCILghABBEARBkNbvIWj7
I/y2K4AgCIIgdbJo9xDghzGCIAiCLExaGiFAEARBEKR+Fm2EAEEQBEGQhQlOCBAEQRAEwQkBgiAI
giAtnhBo5wdIchYAsrIkaEj1Hf3XJAW00osU1ahIXwKowdYaHwCyslR9moLmFXobsDLMscQmtm+1
/zSXOquvt5x1RUqmLj/Gg5feLObbbgsHnr8t4XEGuZNo6WmHoo84c6n33s3eG/I97A6RXlvqg+7J
8XBThNepQMhddvqf3R0ihPTaUiPwaMWlxY7oI85c7Lov5DbPJ0vBG6HS6Y6NoQaDWZ/PPhY7Yw/5
BDn4YqfPbQcANSh4QaHnjxNCeqf2iJH0Q4+RuRZmoIH2Nalvtf80C559mIg+YkvFLDtsVt5xpHty
8hQhhBCDkXnpzWP+7NYCLPk/z9+W8DhTSVPGkyXFIj/t0O8HL2sZUgwZlFYp2rxakqQ6Vy/8/M2Y
oWsLM0kPc6iaxII84yLLuOw2pJeKNq1XyQ6SJJmu4DUx2s3G6IsmXZaD1SUbIjPlpfL1jKQT3upb
ePXl4OkBryCImiwxucHbpckfAoUWzmDqCo9TWvyr2h+49jerLw+m/vz6mviPVb9lti/bPuZkDEG2
bKnYan/Q/xQj6XSkosq8dF77Fo1eMEiNLsm2m6l9jBEjWdLv45bL0NN6P+XpU5//z3VIKYjNFjSd
gySGPvWPJ+b6VPu5ib+x4dqTXa5Zv7Y4/jCRJRAEkGTIyiAIIEhFNYEhUgVBgEUf32lphAAAskrs
+s6Tu87sUDeE3DAWG4FQyA0AsiQk/ZnJUwcJIcSprN9xiYTcYHeHem2pgYvalV7b/t1jj5jNr/n5
zWfoN8ZidczcRR9x5voOgELPPza20fvu7szkoW/FhjKPhNxjwfUfD2rrXEJ6p/Z07pki2spb7HA6
jx8/TgghU3s6j95LfKKZnllZGnKManZwjvUduNZN+Ct4TcwZe8gngugjxJmLXd8YctvdIWJL9UVe
esiw9NZKVoOdhzfrZnYq672JNd019CTElsrtmtSrVpjYq9z68o3Xa0sdmtodXTPVPToe1j7vxo7G
BB/T7Cx/eJJn/0TiIKe+vPbl6M+tL9d/rPott32Z9uEzFuuLHJjarZVcqO/DHH8AANFH9ICcFgko
NBYnndu+7hAhzlzfUzsPTe2mk6eIU/lF1mey3GPbjW+fioiR9yXo3hVy23nlMvXk+gm3n/L04fsD
u79w/Y2XLvqcudR3Tpx8Uh+jbKncrvEXGlk9c/SxNJ6Y6MP0c974wxXPtSe73CdNxjGr4w8Ldwhy
KTiZALsbbCnYNQ6iriYwhIngzMH1jdD6+M4ijxAAgGevP/m4YQ6WlZMOpTQKeuKKI1maiwX2aVe6
REchyTg/rFpkMPI3D1c07gEQN7gKpQAAqCMJKE17xUga0hcLi4zMUOFCJF0uiqVnV3ifIyJq+b2J
gDKH5ykBpbT0Ho5OjKgA6shEdLigtieeibqKuU30rMakvnyUpEMZD4eH/cnnauU18Qem/Xn1bar+
1vQEy+1rwT6a+GLJNetrlVr2cUUzVNPcE2/8jG1Wvx6ZiJZHjMrmRpXlmuhptZ+y9eFjqb+Y4ImX
2lsNJv17GzQnRx/L4wlTH3M/bwp8OzDHseb0XwBIgyCAIEDRaMWwQREtRRBgpJCiBvUUIdhYqQuX
Nr1l0BUe9ieDSsP3e+K0gsbHpeYQUFj6qEEx6c/oScbPXz6GqingbXzTn2uDhYWGdT3Z9TUjPB73
AECX/hsAQNwAycadoBxL9W1E/ybBbV+GfcywWF+rtM0+FrGqZ3Pq1UC/5hLepz9ClYegcpLbBH0s
jyfN0KcROOVy/LxZ/ukCSoFSKNosPA7UMCZlZUj6gVKgCiQSAACggjdRuJyA+diE20ba9tphV3gf
RArTsq6wf2LIMOVURyb8LXTFOeOJRyeY+yIAwCFqFcnKj9exlCg+NC3eXfOWiUzhAXLJTwEgHTHE
YJSko8cD4OlxRErLT/U5o0ImeuolgBrUIzFm9bVCV3ifI1LxYDCoNuYPrPryqKF/VX35+lvVs4H2
5WCob1Z+PFKqL8cfrNCs9rVecA/TH7jZLerZYL2Y/mCtX9fSakiWq8IDWhi0XnXZ+jTib9X6mPq5
dX/j9C+2HZjjmHk7WjNcvXhKkwYI6NMISmGhzpQb5r6PVjqz3+z/bKX/079woE1CCehluqIZ/W9X
lDmt1ed/xcSAUrxZv5cJN3+x5IoSeOmm6ruiekEBRfvNKqKyBgCuQMClX+DXq3yxYaJMVZXBFY0G
DHL04iqNZlQzENBu4OpZeYtRH3Z9G8BY5ZIUhj+Y2Z9TX5P25evPqC9fjkW/tdy+LJRAqZnKqktN
/IGtPi+dY59KO9SqAMdupv2a5Q8m5Vbrab2fmo8zLP/n9JdGxxklUG1LpdR6teH13wb9rVofpp9T
rr/VEs7Rp6pc7jhmNv5ol2pXNuqiANQVpZkoBaDgojRDXUCh8FOwYSkFXFoBpZQ6G2gu8D6XmXx2
4wql9M0Pb/02M3M2M/ubzPT7E7PvT8yeuTB7+sL06QvTb5+fOZmeeSs9/faHX1BKf/3G7+GHf4ZN
l+HbcfjGC3iWweJEliQYrr03bdGw1OqLLCrUoJTZW+G+2j6+9vg0S5+2lIv9Gho6y+DND2+t/tpy
6ADIQx46AGCWAs1TAPgyDzOzFCgsy3/5T9LX8CyDxY8sCZF0OiK2+nuH2sVSqy+yaNB3R3sT6YhY
FuPOysl01b7ZNurTjnKxX7cejBAgCIIgSw5BaI4cSpsjhwdGCBAEQRBkHiluDJzjz2ICJwQIgiAI
guCEAEEQBEEQnBAgCIIgCAI4IUAQBEEQBBbahKD63PRFdI64fop9u9VoOm2oV1aWqt+JMp6Sx8ww
xxKb6IfVft5c6qy+3nLWFTEeJWIsiJfeLObbbgsHnr8tovEQWYi0+rRDc6rPTV9E54iLPuLMxa77
rJ/K1RitOne83no1RR81GMz6fPax2Bl7yCfIwRc7faxT8sRI+qHHSBMr34AfmtS32s+bBc8+TEQf
saViljtWVt5xpHA6ovEAQF5685g/u7UAS/7P87dFNB7OlVaNb+2ngdMOL09O25YvAwGAAgUBAKj+
D2Yo5CkAQAedafdph/xz0Jsx87V+Dnp5eqlo6+fZ16gya81Ufb54DSE19annHHe++Opzzc3OI+fV
i2/PmufK1xNm8PSAVxBETZaY3ODt0uQPgVJ+St7/s3e2oW1daR5/bpLNxMNkpmmdzMQ722F3aa3E
sI2IKJS6nfmQD6VfJBkMCSkSs2kcKAH3m7SBgIKZVIKULjTQwaXbkYfAFoPRZZyEaQstyap1p/ak
bbBH6rTrZdim7KSJpzVNm1r23Q9XL1e65zm65+rq1f8fhVBZPvc5z3nO8blHL7+K7cSWH7ZOZP3l
EMbP91dS59w4KtWhOD9ycuWWikFJPPd6VNN88YWFeE2Xuce58S0nvZSQOlNAnDdpfqwnRuWv9Gev
K4hTfT3h4nFW/40ufaVm86VIG2hJEI/KuieLx17nknoTw+ZTfF3ZvFZcf3qe1p4Q8B50+c6X84tX
41P2oBPjEXfhsxejR3e/9IuiRtyf2ReaGig+X+gXd5E3cTsSjzvfvN1rPizxkTP9YvMpjkfda+4L
H+mbPb8ynhxYOfRW6TtNsy9PamFheYjyc4yrk6mpF5n+FrHVIRM/n3+uztlxVK1DYX54spMn4i+s
jJtXLvX3Ud5z7wsnEkf6Zt8tnQSUBot5nB3f4bFEwr984unj51fGjRtvJPyZ5/JhSZWK88bnp+bE
KPRbOnRybLifu64wTrZO2PWEi0cyH4Xzha037nFf2L88e+C1y8eKa2nf7PLJ+XNu7p6ZeBTXPTYe
YZ1z6w/bPJtP8XWPSdYx1fWnHfTuCYGJkndcFVUPusRrruizF6DPLCYvlMIIpssiEHd+cXs8LfCU
Mz5ycb9I0RPvymuemR7KzMdiFyr+dBZJfoR1wvXX0/jV4iTlOlTIj9l8+cp1+6tKvfwcTOYMM/Jg
2r01TpAffWYxWX1iVLU3qr2uJE7V9UQcD4/SfJEQTFfGW7eJE53DxKO27nHxtGC94vMgXMe8mb89
RGe9qbCJiP3ZLrzmyn7xLofxkYtRz6e61zw2nw4S0WDxXyIi336azsh+RwGl/nrnZVeGrUNBfmQo
9leVtuVHEdU4vemXi/WHJXaaTCVwaoLcShAk8Sive17E4wbmukydd0t9torNsSGQ+bPVvOZqfvHg
yFC8cpumny1dQOoXV6BOO4x3nIHxmgt95Ey/iKT5tMXj0k9vYzB2eihe88JgVHeXZ1F/OerE7zj/
6nG68dyLsfQ3nzoar/RX3XNvw6vxVb/wiLAe2KcrxumyX8J6UFt/6kU1kUrZjgfMl8mdhiuOx029
2eOR1rl6vTHzS5wH4TomH0e1xPUKe6/t8Of3PHN7x+innGLZ8ArWO+7WI16Fuged84h76LO3XjYS
MYXhNReu35DE1y5pR+Idl1yi2mvO+siZfnFedj4eiddcDWsihOL60uOyOmH6K6lDPn5Bf/l2hOPo
YR2KyEQqw1TVXUNSD+LwuceZ/NTmoV4HmLxJ5oW4HiTXtcepvp5I4xHWPzNf3K6HmYg9l5nK6NWH
m78u680eD7deMfVWr3EmHtt12XVMtv6YP3K/InkF93dZyO1bnxmGcfkPX88trc3l1uaW1t5ZWn9n
af3q4vqV64Ur1wuvf1i49Me1Swtrv39/1TCMVy9+RE98SY9/Qven6b5zsB0CGZvNR77Z+gt6Cj0a
yJ2qKV/zfXztqWlRPG25blfPa9gOQUew2Xzkm62/oGcofnouNLUQ91WdcedT0wu29822MZ52XBfz
2jk4IQAAAAA6FJwQAAAAAKClYEMAAAAAAGwIAAAAAIANAQAAAAAIGwIAAAAAEDYEDVC0ybcxAqsl
TEiz/fFc+1aFmJMPHeVTAfvTrLY64RMawVuvfLPzrNr9ZsfTPLwdFylezV9BO43nvwvzAHqB1toO
iah3PNa+cMK/PPlFuFV2LHverJYwIc32x4vbz6ee+nXJeldPtKhHo/lwuD87ebV/LKyloq/sDots
db74wkOH6zSlhAuvvKRum5dnLj9ymj3uQjyZ1y7GxS1ezV9BO43nvwvzAJpF79oOJV5wAeo+8urH
K5trda+8vAvC4AU+e3kjdeNx4lMnq8++8rCyP77Sr6I4XH5rwt3B6FFN88UXFuKCoRERHKGQpvnM
vvmm94cGzdYnKFNtq6tYR2z5YetE5kHn4D33wvxL7uS4cVSqQ3F+eBzFU7fOva1PIcJ5ylMe1FIH
S1dQWgeIm7/FZ5uP5EsXkwXErANK+W+wPmtkDeL4ufzw6xjYzLT2hEDiBRfgU/aRE+PzduGVF6NH
d7/0i6LO25/ZF5oaKD5f7LOX5IGJR9wOn7db2cnj8aVxWzuK/nhLv46sPBt6fiBZ57tOuTsYXziR
ONI3+27phKDubYcvfKRv9vzKeHJg5dBbpWtmX57UwsIbI1F+WG/91NSLjAe9kr3q+Bk/Op9/Lg/s
OKrWoTA/6uOiVufe1SeLcJ6y40LDY4mEf/nE08fPr4wbN95I+DPP5cNhH++zF7fPzV9f2L88e+C1
y8eKc6dvdvnk/Dm+E+w6oJT/4bGEYn1y/eLi5/LDxg86kN49IXCBqo9c4hdX9MoL0GcWkxdKYQTT
ZSGHO8+3PR5X7ZR99o7868Lr6jNT5fQOxi40pmFVJTM9lJmPxS5UPOYskvwI64SIhB50Dq/86PJx
VKxDhfzwKPvshXF66LOXzFOeg8mcYUYeTKeD6usAN3+JKJiu5Fe3CQNrkLTDIMm/Qn1y/eLi5/Kj
Hj/YJHT8hoBD7LF24RdX9nz3PE43Fh4Rm08HiWiw+C8RkW8/TWc8ap7xoHO0zY/O1qEgP5623w5c
zFMGz9YBip0mU4WbmqAmfPk/l3+l+pT1Sxx/2+oZdCVt2RA49sRzyDzWan5xNc93cGQoXrlN08+W
LqDusxdTp52G88YRHIlMle9M9KhTH3nTGIydFvrs3eRZ5EHnqONHd5x/9Tjd+OZV8KZ9L+tTbZ6K
UV0HuPlbaW0ilap3PFC3HRF8/lXq0/xNLm/2+Ln81InffN8B3lqwOdl7bYc/v+eZ2ztGP+UUy3V0
zapIPNbC5zn3kXM+bw+98tbLRiKmuLvmwvUbknjTJe3Y8mZtproddX+85TcikUg9GTnrZa+9GWtA
Ji7y2QvzI6sTxoMu8crzfnRB3fLtCMfRwzoU43Bc6rXvUX06uULVPGXjr31cOCrCTFe3z8/fSmPO
ki9uRzn/qvXJ9ouNn6lnWR7MnzUwdYGncH+Xhdy+9ZlhGJf/8PXc0tpcbm1uae2dpfV3ltavLq5f
uV64cr3w+oeFS39cu7Sw9vv3Vw3DePXiR/TEl/T4J3R/mu47B9shqCWfChztXnl4NV3tQQetRo8G
cqdaWS4e12fL4wctALZD0AbKn0PyTY/2xpoCDzpwSPHTeaGphbivZWflHtZnW+IHvQdOCAAAAIAO
BScEAAAAAGgphiPcWwAAIABJREFUbfjqYgAAAAA4oZEvJnrwH7b2/0jr/5G25x5tzy5tzy7txorR
zV9MBAAAAAB1Pv7L+n+8+Z31v4+WC5Ln44QAAAAA6FAaPCHw/1PVf+uGhhMCAAAAYHOhekLQ0g2B
Hq1Iuqx2vVYGUCMUg3e8a+liD30+FbB/Nky3Su9ET2jwih72q/E8y/G8+yKaPR/bMN+bPS6g63jw
/q3/emi79b9/+cdtkue39CUDXzjhX5698nb+x2PhR4fHilo8J54Vj7B7yjehd9wTb30H0JUeej0a
zYfD/dnJq/1jYS0VfWV3eLifiPSoFiKL9C6+8NBhB85Ax7jol6ROGs8zB5efJtDs+ei0fQ/no3Bc
emW+b15cvGSQ/9/C97Zv20J060tDf79w7b/Xy//939827r1nq2YYG+vrD/x9B7xkMDpKwu8fV/XH
C+Cf79kdktBHLolTyTvuykOvmh/H3nrzFidQPNbRy0r62jzU99A77FfJE18/RbZWOs5DzxAcoZCm
+cwx8E3vDw2avzlBGaMivZs3LBYa27iz49JgvyqR83XiKM/O6lM47uL8OIvf8/loPteS9OIlZHnm
2ufjFM9Hbn5JQ60dF7X5DnoQwQnBP3fMCQER5TOTXxy/fPLqU/r+sWHKTs7Q2NgwqfvjxfDPl98h
CbzjHEIfOXtdRe+4Cw+9an4UvPW+cMK/fOIFyhgfHM4+Fnp7PHfj/E8nJ3I/HxvOqnno+TiFnng+
pG7x0MuSeqRv9vzKeHJg5dBbpS+EzL48qYWFAyca92PcuExNvajYL108jnydcHlWrU923IX5keWz
ifPRbOZq/1jYR75wIuFfnvzisbHhfr5++Pa5OMV5ZsaFRzwuavMddCguTgj+/Fmh73tbt2iiE4KV
jf57tmiGQRudcUJARMFTo9MWx5e6P966f7btfUW+ec+QeNzt13XnHVf10KvmR4mDyXSQyLf/YMSi
hFX10LNxyjzxArrFQy8lMz2UmY/FLlR+j78oP+7CcVHtl2QclVCuT9m4KOSHWjIfGQR5lrQvidOO
V+MCANEjD2575MFtjzyw7eEHtj38wDb5CUGbPmUwGLswOh11r7y3yMWLtMbz7Z3Hvbk0Pz+eeeg5
T7xXtMlDzxObTweJaLD4LxGRbz9Nu58M1Sj1ixvHFsCOuyA/LG2cj57Vj5i2jQvY1LTtY4eDsdMU
L+2V3Xju24WKx13dmy7G4/woeetFqHroeXhPvPC6XeKhV2UwdnooXvPWhKjubtxV+iUbR1KoE/U4
1cZdRtPnYzEL+VQgNGV5WJRnWfuSOG15rjMuqnDjaJ4j4n0FwMreazv8+T3P3N4x+imnWLYJml1S
dnAXtd+ZSEXCreiPF8M+36lnva4FXOwjl8Qp9687jd+j/NQMQ53OVlosXiiSMf8VpVTqa+fj5Dzx
DoLvcA+9MtZQK20Jxl02Lqr94sax+ifcky0/UqxP5XFnaO58rLrAwWQyYolfmGe2fVn9iOcjPy4C
pOsYO9/NHzRat6DZcH+Xhdy+9ZlhGLNzd7KLhbmltbmltexSIbtUyC4WriwWriwWXr9e+N21wsWF
7y6+t2oYxqsXP6InvqTHP6H703TfOdgOwWakVz30HvcLMCDPoGW4sB1efO+bXTu3b9UMIlonjYjI
oHUiIvp2g+4WaMvGBhXuPvkwbIdg09OrHnoP+wUkIM+gV8GGAGw6YvOlw7iGvxTL+u7Ntr/vy8N+
AQnIM+hVsCEAAAAAADYEAAAAAMCGAAAAAACEDQEAAAAACBsCAAAAAFCLNwQlJVfxS8qK/9f2T2t1
Et5664WNS/LdoE+9aICHkN0RxWw12ERNut3Vj1V90cbpWLc+vUK1zmue77rOuTx3SP47lgbXJeCc
ltoO+4fHEv7l2QP/PhXsJ6LhHy+f2X6m/Z/WUqSpfnEX3noOe5xWe5uQBj33vnCib3ZSNfBO87W3
Kh5fOOFfnvwiLLXY1W2iJtdu6iefeurXh27ceCPRWiGei/r0CtU6r3m+uzpn89wx+W8vkngaXJe6
nUZsh0RkmF9MRGQQEVHBoPUN6hjbYTA9Om1+hYseDVHGshuw+9Q5H7kc3aIpr3xluqo3XYjULy7w
wZPllq0kUC9enXu8fq8c3FbKPei5lL2/jjz3Fm+9jJyla1Vfz2+Ln4mz5uio+Kvmb3F54Nv3anzF
qNZVZdwdNM6349VJkh7VNF98YSFekzqz+UAqn7ed49nq3LxhDhQnqF7+1Tr9UqpPlfqXxSPOm7s8
2+pcsl5xeeYe5/orGRdJMoT12cw6Lz7b/P98KWi2cT4eUf6l9aa0TgIbLT0hMBke82f2Pfer2X/b
89IH8dKGUOhT53zkksb1qBaiiqY89Fs6dHJsuF/Vm87A+8XFPnirH/3IyrOh5weSufnYIP94Eafe
evU4b2Unj8eXxm395e4sWW89Q3byRPyFlfFy18qeeGH8TJzDP++b/erkjdJm0RcunisN93N54Nv3
aHxZ1OrKMu4Jf2ZfaGpAmk8+fvlJgK1++PDDicSRvtl3S3eopWCGxxIJ//KJp4+fXxk3bryR8Gee
y4fDPmGdHwsn/MsnXqCM8cHh7GOht8dzN87/dHIix6dauT6V6t8niUecN/U8C+v8UX694vLMPM72
lxsXfoCZ+mxunfvC/uXZA69dPlbMYd/s8sn5c+xF+HhE+ZeMb1ZtnewSevqEgIgomM7QwpDldEDu
U1dAn1lMGhVN+bxhlFpV8qarwsWvz0yVdfWDsQtlwQn3ON8tD/3okVKkTvor8dbXbd/qiVeLfzA2
ujijm/dDgVTFnse1I2+/8fGVoFRX+sxi8kKpTIJph77epsYv5WAyV/wyvmA6HZTO04PJdJDIt/9g
xIkCWoagPl3Uv4t4FPMsqHOvqNff2nGRIKlPJVTXz2B6dPps+YjPvQiUQzi+nq6Tm5NN8imDNnrT
K3ALjaMFqPO89QyMJ14xft/QYi6vL1EyMzSd0nOLZT0u10578tMRdbUpaFv9czB17hXe9Ner+nTT
Tuw0mQrn1AQ1ukl0TsfVSZfRGRsCqU+d8ZELCY4IvfJEat70Otj84lz8wZHI1EzldbVy/NzjbLfc
+dEd++x51L31Fk98PnU0bnri5fEL4gyODC2dnVkcDQVHhqYnTNs8306L/PFCVOoqODIUP1tuUD/b
aCG2Guk8Vcdxnj0eX08Q1TkRqa1XDF72V1KfTatzk2A6uTiRSjk/Hmh4verEOuk69l7b4c/veeb2
jtFPOcWy4SFCb7qjx6t85BKEXnllb7oEoV+ci99iKo9EIkJvuuVxV956x3Fau1vdX/a6St76TKSS
Xlsu+fjZfJq/nok4akf0uIfjy6BcV9YwIxGzoOu3XtsON16S+hFTe7NXfHptO9J5Woms+NNIxvy3
TqoV6tMekqRfkniS4vwo5llW58x6xeSZfZzpLz8uDOL6ZPKv3E7d+ZWJOFqp2HiE+ZfXm/o62fFw
f5eF3L71mWEYs3N3souFuaW1uaW17FIhu1TILhauLBauLBZev1743bXCxYXvLr63ahjGqxc/oie+
pMc/ofvTdN85jfZe2/GT7//wkd1f3Vz56yu7a/NPREQ7d+4UPg6UyKcCR0USde5xAADoYvRoIHcK
K1uDrK6uOn9yYW11170DF9/7ZtfO7Vs1g4jWqfjewnUiIvp2g+4WaMvGBhXuPvnwD35z6fovX/wZ
3blJ/5Olr292xksGPU35w0m+6VHr3OAeBwCArqb46b/Q1ELchzP8LgIbgqbD2dNhVQcA9CSWtyLj
fX3dBDYEAAAAAMCGAAAAAADYEAAAAACAsCEAAAAAAGFD4CX5VCCqkx6FqRMAAEDX0R0bgub6sPOp
gOiLsazWRPNvvaPGcoul7/SqbgnqLQAAAB1MG2yHLmiuD7t/eMyf2bfvV31HKhepsSb64gsPHa7n
BMu+fOJP+07uvmITuvs+nj3zJtXxBAIAAAA1tMR2+A2t/KXVtkOJL5ysnvVAIFC6n1b1l1t884FU
Klr7ixzBdMWLSET51ARlqq2JdT5Nq0c1LTRFUyGfqfW2nwfUtwAAAAAAbaOlJwT9vC88nwpMDL1V
FMVnT7xws3g/regvt/jmj6w8G3p+IJlz8yWA2ZcntbDSmYTZndkDr7008O6B1268carqMOBW9syf
9zfzkAMAAEAv0pITgjv0t5afEEgYjJ0eivu04vddRjJOvrxP5JufKuuxB2MXvNfRVt5XoNkOJ/K5
Re7XgmkDX04MAACgk2n1ewhuZScrL7HnM+UTAvMeu4g/s++pj62vuN/KTladENQ0VG4nnznzp33l
l/r7b2Ut7augfTw5kRsTvORvCbKIeTE9qu07/ubnn795/j8//PzN82dmre9HAAAAAFzR4ycEQl94
KlD9Wr+7V9yDI5GpmdItux517SMfjJ0eilsCciBsN4xc8mAkYyQPRjKGw/MA87wB7g8AAADtp9Ub
gsHQKJkvDfimR5ORhbiv9Hd3ofSKgaaFKFN8C1/xiN4XXyj9OKoTUT4VMN+8F9VJj5pOrUAqTxRM
ZyhUbiVis2k7Jpg2RqetAdVXdOSWaD/eOAgAAKA70WjvtR0/+f4PH9n91c2Vv76yW/iknTt3tjgs
T8inAkfpQstevNejgdyp00tHc2nYCwEAAHjB6uqq8ycX1lZ33Ttw8b1vdu3cvlUziGidiq8crBMR
0bcbdLdAWzY2qHD3yYd/8JtL13/54s/ozhe0/F9052anvKnQQ8qfO/RNj7byrXzB9HxsMIjdAAAA
gDaybStt20pbtmyhLaQZmmZoGxuasWEYGwat07YN2kba323R7L/YgxuC2HxJxI2/zQAAAIAzenBD
AAAAAABVsCEAAAAAADYEAAAAAMCGAAAAAACEDQEAAAAACBsCAAAAABA2BAAAAAAgbAgAAAAAQNgQ
AAAAAICwIQAAAAAAYUMAAAAAbGoMw1QgYUMAAAAAAGwIAAAAAIANAQAAAAAIGwIAAAAAEDYEAAAA
ACBsCAAAAABA2BAAAAD4f/bONrStK83jz3WmcdTG20lrt012Ov2wLFaiD63Q/VKqbPshM/SbpAyC
mhaJkqkylEDyZZA2g+Ea04wuBLqQwCwppbVDyBaDkVgnaZuBdhKcTRtrkjbII7UN3pkl/pA3b+JN
Jo1ezn64evc5R/fKV5Jf/j8GOrk695znec6LnnPutf4AEBICAAAAABASAgAAAAAQEgIAAAAAUIcT
gmRYURRF1bNElNVVxUDVO2kD16Qq4WQXjekAlbAbvdB17LUnGW6vXx2onzsSRddtbHeZfq20cbUM
kuFlL0pt6kcjyGt9iQLdZAP1/eYnmx/rff6JHx88/K3vCW6h3t5eWxpzBjT33NS5L7PPRgKveCPa
kGPqv3bNz0Tld+lq+HYk4LTFAp5JmmYY8sX82SNau9ppI5bi0++NGP5O0q8i3v72WtYeeyT+OgNa
W51qb/1Z/a1/3zU/f1bTNE2rGYmi6xZpa9xsHFdtne8mcAY099yxW4GIt8UK2taP/d7IkGPqfH83
o9N5uj0eus+jR4/MFy4WHzkcfdfm847eDQopjBhjChExRowYERWYYggXKKzwT9s2Xvn+RvLrn1Lu
Ad39H8o96MIjg2CQ/Lwst3JkUE2Cs7qqKLHUuH9pWl2bbDem88Zny8ikjVRcVVVeNl9tWdV1tbQj
MoxX9Wx5q1S+hWOnsQVRS8clycqtYr9E9piLzzI3bVx/idNfQr8M63U9bMEicRy4/kp2qKJxJepf
LqbqV1W16c5SMG6TYUVxxlKpWMNHouuS8c/pL4txq9Sg6tnaf8jblXhrNJctjwhhcYGdtTvj2lNG
Es07Sf+K7K+eWJpdODjjqoV+lNTcsIRUbsnoZv2yPs6trhu2rXt2rv+gdTp6QkBE2cSxW++c2Xf+
reSOiJemj01SJOIlIl1VJoKZ+bNHNE3T3Intb32nRbzGvsMxNbdv/srJurQ6Gd7+lxFWuji0cGDg
wIJWzeiziZH/+IZefMN0Fn57+ljdzsZIxX83a1g05Hhv//SrxqfJsOKnhNHy0MIB/3HatS/i7Sdv
RNPcc3t//c7Rhf1s/qzmTvw+Gwg4uXbuCWjuub3vU4JdeWN6p//L/Zn5oz87Npp5NeKd5vslskcY
HyJnj9t98uRJTdO0hQMDHzxbF4tGf8WI/OX1l9Cv8fEjjqm9seMvVity1lm0xB5B/4r9Fe1QheNK
0L8iRPVndXXU9YVRv3t67/s3d2mynaVw3DoDpXOq0g6yXIngurAefn8NWoubM1A6M5uJDhob5pGN
I+zMnmbzbmk/OgPuuamXPjmzp99oyzE1t2/msHBWCvq3dmfsDGiae+7YrZ1GK/x594qof0X2J8MD
f3itNEzcie3+8W3yfhSMK8v9yMf7qmPq3r75MV/lXvfc1Ev/Nu7tp9vTx96Jze436Zf1cS5fNzim
2rPu9du6/q811vgJARH5DgYn3qxLzydciZnoYPnjsYRrQpaeJifHqZo2OmMpSs3WJL++McYYK8+n
lgkNGxYNOl3VhtPxSsWD0RnGqlYTkSeeYcYTEN/YmE9qpyc+5iNy7vCUW2nuF8ceMdnMaLmiWKrl
EAj8lfQX1y/D/ES1ohPx9KRkt9Kkf00jH1eW4ilgMDrsijkNO/3joYT8+ZddfgnraTI+zTMYHXbF
Dhm26aPp+EFfi/b7xoIThyq7xongweXOSh6N885gaf+K7E9OpuMnyoHyjWXiHnl7VtcrqwxGg+nJ
pLFpVnWi5GQ6WGktVG65uV+lG9q+bix33bN5/Qet06W/MhiMnghOhBPLqCGUYHUs++u/TVi10x6/
kmHnRDBTqqLp+tYRPDssPQZcLf1byj4ZY4wlyN/09NIuv9oeH99BI2lLhmOumrXbervR4dIjQn2U
GpPEzrNKxpXTlc5kk7MUT7gm9GQm7Wo2eVbautHuOK+Sflx1dO3PDgejwxQr56CD0WB6tPYhZm1G
TJTOVJ+vh5NE5BuLp7nvIVClXHvexvXtdsVqHq1VDBIVl9u57PIllsSHiMjlNAKY1d9s/YhA4G+T
/uKSitWcCSUmXLslM7hJHLj+8mjFTmvUvlRBRCRfuFvsX/P1yMen6bgRkTFDR/Xq8YCs3abWjuq6
+eMBvp2lq1ld9Y9btKDWEp79vt2V4xAiSh5qNmHaP658u12zhybTQb9vt2tiVD5b7BtXRPasG1bt
sXn9B8th6+VN7uwz797ZFLx2TwCziUSo1KYnnin92xPnpqN1+V/ltrrL1auCjxpzSLlJddVUjAkl
KiVKNjNWa2i5DX41AjurNZYaCiWM/3riGb5fUnu48akJpycU8pQ/a7TTTJR4/nL7S+ZX3FMyo954
iT3i/uX4K66HO67k8TQxTCo11W+izAw5vl+Nm7FyTaLrkvjw+8tq3CpxavSJ226zcZUImZyPAjtr
+9ETj4eIP1nM9K8gbrWXQyGjAZmRgvXKej9K6jdMToTKtte6Zcovy+NctG6IsG/ds3P9X2uIvpe5
3Ll9nTH26aUHX2XyX2cKFzO5C+nChXTh/NXCn67m/nQ19/mV/JlU/rNU7vNL/8cY++jUt/T6Xdr5
A/18jJ4+rNDWy5uee/wfXh64d3PhxocDxKOvr497HQCT6KpKJ1p8ng1WPcmwmjmI7gegBRYXF80X
zucWtzy17bOZv2/p26iQUqRisdBDRIUiFalIRD8WlEKBeogpxR9/oT7x8emrbx95ge7fpL9O0/2b
PUTE2uQHAEREpKtKLJWKOfEHQuuO0l+H+cdTMSfOeAFY4eCni0Hbic6UD7+a/QgVWGPUvHKJ974A
WOkgIQAAAAAAEgIAAAAAICEAAAAAACEhAAAAAAAhIQAAAAAAdSshkOiFN0hsrQ2d9eXrzbcBG3Tf
G+iYXnuH4wkd+mWC+b4mwbxYe5TUDjd1Su2QSKYLvlSX3Uad9S6yfL35NrBc3felOuWt6bW3oHfe
4XiuTx1628B8t5UW5kub6se86AwtqB3+cD236bENTGFUJKYopBBTiBgppOSJiowxIoXlu692KNIF
t7wzsKSHbU4fvdy0VLfbog63xK+q/reqqs2qsqI7LvKr3qDlpPYSnXJqrtdetUdej7BlG+LJpRM6
9LzylWuqnq39h7B+yXjgU6rFKJQt39wYt3IltTu/ZLgu2hbbxXyX2WNc1fVwg0XC+FubL2b9Mjkf
kzVm1kl4mJ8XVa+N6ybmqWgdA+2h0ycEIl1w+c5gic66RT1siS44R//bKdbtnraqwy3yK6uro64v
SgLs03vfv9lEf92K7rhX4Be1oPsu8YqnUy7SaxfYI66n3fHk0n4den55Z8CYE1/MRAeNVkc2jrAz
eyTjXDAeRJ45A+65qZc+ObOn34ihY2pu38xhJxFXh7525+cMaJp77titnUa0LbaL+S6zxxvRHFN7
Y8dfTBhNDC0ccH7wrBZ4RRR/a/NF4le/1fmYDCt+qprpP0679kUsz4sW5il/HVtftHJCMJ9zbNxA
ChEjRgoZv0fMiIjyjIqMiKhnJZwQ2ENrethcXXCR/jdXt9s+He7B6LAr5jTq8Y+HEuZ+ws+C7jjX
L6u67y3B0WsX2WMfrcVzaS3t1aEXlx+MDlcE96oCg83GW+N4kOAbC04cqhx9lIQHrerQt9CuLQjj
ULsPXbJJXUnzXWgPUShRDuFg9IQhOW0jXL/I6nxMTqbjrGrmDGMzrc0Ly/O0zesGaGB1JgTUPf1v
23S4a37UNUH+ll/u49tjn665PXTAHnvi2XYdemF530HjyyAZjrlq1m77dN+jw2RIxuqjNLzqdIb4
caj9ZWQz8enifBfh2dGFLW/756N4nFuZpyttHVv7rM6EoFv63/a1W/cQjoiafvFYtofnl1z33dhu
WXCPr1svQBJnS/XwkcXTil/t1aGXlh+MDtOoXj0eaKH+5q2P6nr5eICa6NCXeiWrq/5xmyxoldU/
38WkYm9WvxQTNSNOHH8b5ovF+ejb7YrVTLBmDYvjZn3ds9JfwAa2Xu51Z595986m4DWRxHJjFr4M
BLrgIj11ic66FT1ssS44T/9bqtttTYdbaH99HJqKeVvSHa/zuFHXXKz7nqiozJtkiU65RK9dprPO
1zu3LZ7W/Gq7Dr1s/GTiniUx4JaXjIem8asvK9Khr173xOOVCFpuF/NdPh7inpIZtRfF8W9oxJwx
PL9amI+1XWl8YHleWF73pOvGukH0vczlzu3rjLEzX9+/OJu7mMldnM1dmC1cmC2cTxfOXc2fu5r/
/Jv86T/nTqdyn11aZIx9dOpbev0u7fyBfj5GTx9WaOvl3ucef/LlgXs3F258ONA4nomIqK+vj3sd
rCWM98vWnmj9WvWrFZJhNXMQoVg56KpKJ9AhQMbi4qL5wvnc4pantn166cGWzRuph6hIReohogIj
VmRE9LBI+QIjRhuKD3+pbv749NW3j7xA92/SX6fp/s3V+cgA2E5Wn0iFVt+j5aasVb8sUnr7zj+e
ijnxSzIrBF1VYqlUzGnz74MB0DJICAARGa8Or0XB+rXql0Vq375DOFYI0Zlyl7T2RzEA2A0SAgAA
AAAgIQAAAAAAEgIAAABgfaMQY4SEAAAAAACEhAAAAAAAhIRAznrTcQcAALBu6bTaYQewTS98leu4
t1s3HQAAQLvpkNrh//6tC2qHQj11jn62VM+bp+Mu0/O2qGveHR33Br+qeuECPXuR7ru5ODTooJeK
lQrgpAMAANYXnT4hEOipc/Wz90j0vLk67mI9b4t66t3ScRfqhQv07EW67xLddJEO+pBj6ujCa1rE
2//d1NE//iIxf/gVaz0LAADAdtbyCYFBo566RHecq+dtVce9NT315WNdT12oF87VszcQ6KzzEemL
D0ZnMsEJp6I4J4IZ/JgdAACsO1bMS4Xt1h23R0/drnYlCPXC7dCzl+qLZ2ZTRESp2UxLdQMAAFjN
rIyEwKruuFTHnaPn3Qldcx7W25XphS/Vs28CVzedry+e1VXFT4lSGtLwBoFxjgJNHAAAWNtsvdzr
zj7z7p1NwWsiiWXrCs4iJHrqS/WzpTrlIh13JtLztqRr3iUd96Z64Q169mKddVEcuPriUl3zSkXr
UIgcAAC6jOh7mcud29cZY2e+vn9xNncxk7s4m7swW7gwWzifLpy7mj93Nf/5N/nTf86dTuU+u7TI
GPvo1Lf0+l3aeY2e/5iePqzQ1su9zz3+5MsD924u3PhwoPF7jYiI+vr6uNdBp4GePQAArCcWFxfN
F87nFrc8te3TSw+2bN5IPURFKlIPERUYsSIjoodFyhcYMdpQfPhLdfPHp6++feQFun+L/vs8Pbi1
Mh4ZgGZAzx4AAEBbQUKwOoCePQAAgLaChAAAAAAASAgAAAAAgIQAAAAAAISEAAAAAACEhAAAAAAA
hIQAAAAAAISEAAAAAACEhAAAAABY7yhESAgAAAAAQEgIAAAAAEBICAAAAABASAgAAAAAQEgIAAAA
AEBICAAAAABASAgAAACAtUShqBSYQkUiIkaMEeshRj1k/K+gKIxYvsi5EQkBAAAAAJAQAAAAAAAJ
AQAAAAAICQEAAAAACAkBAAAAAAgJAQAAAACoKwmBriolwuGwqnem0Wy5VVXPtrONcJL3STJsrV3z
5e31y6qdq5dOjAcrrMJ+TIYVRWk2f231y1SLq6QVAFYiG6jvNz/Z/Nim55/48cHD3/qe4Bbq7e21
q72sro66vpg/e0TTNHdi97/e3KVFvHZVLqHfG9E0bcgxNUm/inj729WGO7F9+3uOocYWnAHNUqPm
y9vrl1U7VxS6Gr4dCTjNFe7EeLBCC/ZI/O1IPzoDmnvu2K2AdP7aGmfnd1Mjf6R2rxim/AKgYzx6
9Mh84WLxkcPR9/31vKN3Q49CRMQMYWMiRkREeUaFIimMUbHwz/+48cr3N5Jf/5RyD+ju3yj3oJuP
DHxjjM1O5JKGAAAgAElEQVRES/9IhpUKtem56LqImvImNyXVEwtVVWuaqF4X7PuFLg1WL0h2SFVL
VV1XS59bLS/EYtz47RpXVbUcibo4cO0xqlH1bLnC8i0ce4ytmBo2LiUrt4rtF9mT1VVFiaXG/Us7
zPp4ECGK/5JxIvTLsF7XwxYsEseB669k/HDGs7R/+WRrDvj4o2E587R01ag5W45c3Y0ucykft36J
vyK/AFhPdPqEoN8bWTgwsHPvyMjIyMiUo5zsJ8Pb/zLCrpzUNE3ThhYODBxY0CJe8XUxzh63++TJ
k5qmaQsHBj54VqvdQ92ePtawU6k7sZje+375xEJXlYlgxriuuRPb3/qutX2JaIeUDCt+ShieDS0c
8B+nXfsi3n7L5QV+WY4bv91+b2TIMfW7WSMSQ4739k+/anwqsscb0TT33N5fv3N0YT+bP6u5E7/P
BgJOrj17App7bu/7lGBX3pje6f9yf2b+6M+OjWZejXin+faL7On3RjTNMTW3b750S7XTLY4HESJ/
eeNE6Nf4+BHH1N7Y8RerFTnrLDLbj2J/ReOHP57F/SsMw8AfXsuUD/i2+8e37TIzTzlx5veLM+Ce
m3rpkzN7+g1fHFNz+2YO18Rn5Psd5g4/uPUL/RX5BUD3WeMnBNEZZpAJTpTS/+TkOFW3O85YilKz
Scl1CdnMaPmGWKq5MYPRYVfMaZT3j4cSxolFVp9wJao7fd9YwjVh6zPZ5GQ6zsZ8ZRtmGs4Vllte
GLfafZzp7VBo2Ghr0OkyaY8nnimd/fjGxnzSfvTEx3xEzh2ecitS+0X2iLE2HkTxEfgrGSdcvwzz
E9WKTsTTk5IOaGH8c5GPZ17/8uOQnEzHT5Sr8Y1l4p6W7RT1i28sOHGocqo0ETzoq/uwyTxpXj/X
X5FfAKwzuvnIYDA6HKosHKEEq6O8aIqu80mGnRPBTDnhMDWvfWOVuhPkXzMvE/HjVuOsqXi22x77
yvOxOh46EB/PDpOvORjYEwerWI+DffM0Okz+cJKI9FFqTKbM0sI6AADodEJQ//pzNpMO7fYRkW8s
nvZz9qqi6zJcTmMNyepvmtgSNj6MN55QDkaD6dGa68nJdLDFpYmPb7cr1vDoVOqmxfKtxM0Sbban
RfvTmer7B5W7rY0HkUF8f1sZJ6nYm9WkMzHh2i355mwSB66/POwaz77drtihSkPJQ+WA2jtPfWPx
9KiuNx4PWMRKv4v8AmCdoLDy/9t6udedfebdO5uC1+4JaNwttE4iVGeFJ54RfVTZcYiu86nZDXhC
IU/5hoZKqvXUbx5qKq/fVjRp1ay/dTXVNlC+amN5S3ET1FMJQihRKVLpMzP21LS61J5qjaWGQgnj
v554hm+/1J6aO6rNWh0PEnj+cseJzK+4p2RGvfEt9SPHX3E93PEsj2fTkRIKhQw3hXYK7RH0S20r
rc45Sf0Sf4V+AdBlRN/LXO7cvs4Ym7r4YDqdvzibuzibm57NT8/mp9P5c+n8uXT+86v5/7ycP5V6
dOqrRcbYR6e+pdfv0r/8QD//mJ4+rNDWy73PPf7kywP3bi7c+HCgcf4SEVFfXx/3OgDAErqq0gmz
z8HXL8mwmjmIMAFARIuLi+YL53OLW57aduqrv2/p27hBYURU+H/27j62reu84/jvUCJpJZYdvzXx
W4LWXkxbGFJBRNHESlYUKVD0H0kBDNhwISHoIrdFsgQYFhMbAtDwlopBh2CLgWEugsbOjHTQ4FGY
ky7Jtqyx5bwKdmrIk+q6dpvGgV/VRLVjiffesz9IiZR0L0XSerW/HxCJQ5577nPPZcznHF7eR7lr
C11J0nVPQ45Cnidn6DtfW/jSaycefeEeXbuos0d09RJ3KgRmSCpuEj09iRj3vQmUu5qxeX9PIsbP
/4AZRkIAzJDR39fkb7+BsQqvZpyp610B5JAQAAAAEgIAAEBCAAAAREIAAABEQgAAADQ7CUF/Kh5w
Y7Vy67iX3n4e1pufE6Z23G7cvD6P2eCn79d0FfRfwnhmizemij4D4GYw09UOJWl5Y3t9euPGv6vZ
Nr5uWbl13EtvP6V12Wem3vx0ScXbLre3lHhD/akdtxtXQTxFjndaz+PE/WaL7R1eXvLol6mC/ksY
z1hLsv7M3kst+ep/sV8d2vVfoh4gMBNmqNrhH2ap2qGU/bnxmBuRFZmp+NahL7d9oDLruPvvt2hd
ed94Rkq994902NY1vvVoPNkJWbwt+1TX6KbB8QfF05+KG5PoyRemywfqX5++EkHjny84P1JCMOi4
stGnUm1lRBQ8Dr7HW+T9MyHOSc6vjyLjLKkvNbGfct4PE+KMx+OFL/n1739ckx1CsdZ105PUAJg9
s7FC4CdophJUh77c9lml1psvN87guvJB8TS2J5P1Z3b8+WN7Bp60595M1qd/1N/SEvON53styfoz
O55X2h7f2v1g8/8+2Xduz5q9u/v+rL2x2z/+oHiWN7YnkzWHzjx+LrdJfirpX58+aNwCBR1vKm46
t+QKzifr0xu/+6six7V//ws1h3YkXr4v31FsTESlnsfg4w16//jFGTyeRd8lvvu93L33scTJJyf0
U877oVFSfyq+u+6tbJz13Tuev5ibrwf1739cRcZzxT99I9e8Pr2xef+qh8e233Vq0zxeJAPmkVtg
haBUAXXop6p9YB33gHrwxfnVlS8eT0NHX+6mdU379jUVrSvf0LGvSYptamgtKAlbvA69TzzBitSP
9xE0PgHH25/qrEvnj7xpX7quMzcz9z2ubPjpfEcHOnoPFjkBxcehdEXilP/5reB90jqyh4nnpfT3
w4adz9QlYtnnm/e3pgtufejTf/HjmqjrYG/HgZHmTfsm1A9u2jfJ/4cA5qM5nhBMP/867uXXg5/e
eKauvb9y68fPwPg0bCprTXpqxqFc0z8OgcdVsOu0mrnED8ANm+MJQUAd+qlqX0kd97JMczwVxt/b
l7/+YHTrcurHBwfkf7wbdm7p3V0wJe062LtlshlmT2J7/kMu3Vn3SJFP2knGwfd4/VQSZxEl7zdI
8HGNvzim+Df65R5X0yN1iWfzl5c8W+IbIrteQk0iYP5aeSxa3/+lH15ZsOV0UInl8bOgqVesPr1f
HfopbB9cb770OIvWlS8lHt8q9xN7zO2oNZ39d0NHn3/8xevc57fI7zagPn2xcQ7id7zjlx3GdO53
XB0NuTDGBl/RefQ53uB+fOKcbDwnf7P4dDO2n7LeD+MHuYT+A46ryDgUvtLa2iqpoWOyM5/dZvJ3
CIDSBX0u+7py+RNr7aF3r3X3Ou+ezLx7MtN90uk+6XT3Om/3Om/3Om+ccP7jmPNqz/Cr7w1aa3/6
6i/17c/00K9190ta9mOjlceid922+P4Vn18cuPDiivF/P0iSamtrfZ8HpkkqHtcBvqcGcKsbHBws
vbGTGVyydNWr732xpDZSZawkV7lrC11J0nVPQ45Cnidn6DtfW/jSaycefeEeXbuos0d09dIc/8oA
t6JU3CR6ehIx7n4DADOHhABzzs4PRxbLCi6eBwBMDyMZkRAAAACREAAAAJEQAAAAkRAAAACREAAA
AJWVEBRUV0t1tc1kHfkp0NUmYwoebaVuVeIP3/pTuZ6n74dy+UOIqz+lqb0h3NTGX/q4TY1+xc2Y
8ztubG48nhk4vwAwu0qtdtjVZkbLn20beKrx78dUEZz7Yi1KJrWtRu88rHNvKtlS6lYl1nxf3pjr
/6BK3aQsXW1qluxxJZPaNqBYQvdtVell7ydVQfypuC63yzeE0sdtaixXe712RXLjk6zXxo2qT+Zj
u/F4pvv8AoCvuVftsD+1u7dj9L5xhVX7Auu4+9Vfz7ZpK6gnmF1nyFabT6Xa8ksQBcsPgXXfp+je
6YUz71Rc2V0XmRH6tg/uvWDmGh/zSiqefz4eD9g8q1+7Jbsv918bdspajVa5yfczMjNuMzJxtRkZ
o1RXbvac6s+1TKXy7Sdf5vGNv19xo0SPmkdeGj0HRcZtYpy5mX08P7/v8m0/6fiM06S+Du1OlRzP
SP83OD6Fu2grGJZcDGUdAgBUqrpK1VUKhUIKyVhjrPE8Yz1rPStX1Z6qZcIhM3HD0lYIPti3987H
fBcEAuq4+9dfz5aVP7y8vSWmWEsyWX9m76UH2xuXN7Ynaw7tSLx8Xzpb+n3bwFOxn9yZbIkF132X
JPWnd/3sI923NVnqVPly9/gZ3riZd/PLevhxNS4PnBEGtQ/qv22jdlm9ksy1X/GUku2S1J/S7jqd
e1PJpOq79fzF3PP+urXX+E9MU3F1bsn1k6zXxu8q2a6WpM7skNI6vlUPNuvJPu1Zo9192r9fNYeU
eFnpbEjb9FRMdxbMpEuNf7nak6o5pMfP5V4aPQFB4+Ybp5arfZsO/Y229OnNF7StRk9257Yqb3wk
9WvX/+UXfpZf1o63lWwJjMe3/8b2ssdHMdXX65VXlExq4Cn95M7cULTU69BX9fPv5cak5pAe/9B/
NQUAiqhgheD0OacmWmVkrKy1RpK1srKSXGuslZGMddetqmyFIK+gAHzBzHx8Hfdy669LklrTI5Pe
DTsPdPQe7Mr+MbDu+0gF2BsqOHuwd/zMu/j988tr36X9yk+jYwmpRyP17FWXyD3fvF/pDyuKvl+d
dcoPSZPSdSOT2gbta5JiamgdH2FrWiPjrAMdOlhkgSU4/imLU9JIhBsKPjCnZnyCFem/jPGR1K/d
zbl+xtQEbNKWzpGx6lLnFs1Q+WwAqFRpCUFsk072SRqtwp5ubej466n9K65hk/8Eap7XfW+VtWMe
o6O2b/TJtJqLryfHpM4piyhgnAMExz/dyhifCfr71LCpwv7LGp+2mLb05frp6xjz0s5n1NwmSand
eoZbMAOY80pLCMbXUy+3/Zj667kq8f2pePP+gm16EtvzH/bpzrpHmqRJ6r5PwTUEj9SN/+q3eHfl
tW9SR69/g/EXH9QVjXKDnvHd7wZt6R3Tz8HeSVY4JCW25/+c7tQjRT7hg+PPyp7J7PfoxYat/DjL
G58Jnk1M8hlcpP8yxkeSFMseSL+2J8a+0KSOXqVSLA8AmC9WHovW93/ph1cWbDkdVGLZ2vH11EeK
ngfXcfevv174fENHR7bMep+1tqOhobU1v8VosXnfvY6uGJRefz3daqWCR2v+pY6G/POjfbVqbHvZ
dKXtW/2eL+yksHERvvu1fbZB45/P7bFh5NVW29dhJdvQYTsabGvBUIzWuC83fmutTU/eOP+SX5z5
J1vzvWVDKm98xnZeynkJ6r/c8ckObG6nrWNPzcgQlXJyAcBX0OeyryuXP7HW/ucH197rc97vc9/t
yxztdY/2uodPuL84kfnFicwbx52f9ziv92Te+OCP1tqfvvpLffszPXRad+/Tsh8brTwWveu2xfev
+PziwIUXV/jmDLW1tRVmGyVLxeM68OGks1vcoFRcOjD5KsIta4rHp0vxPlGyEUDFBgcHS2/sZAaX
LF31+odfLKmNGBlPnueGJLmePHmShlzjugrJGm/oW/HbX3rtxKMv3KNrl3T2iK5enBN3KkzFTaKn
JxEzZt5dIjCvpOJK9CgR4ydw/qZwfHK/TW1WT2KKbyEFANNkrqwQTCvj83tLYKZZO9sRAJhvbrkV
guk27jp5Hjxm5QEAc9ktkRAAAIDiSAgAAIBCkviGHQCAW5e1YoUAAACIhAAAAIiEAAAAiIQAAACI
hAAAAIiEAAAAiIQAAACIhAAAAIiEAAAAiIQAAACIhAAAAIiEAAAAiIQAAACIhAAAAIiEAAAAiIQA
AACIhAAAAIiEAAAAiIQAAACIhAAAACibEFjZ2Q4DAADMBmtljFghAAAAIiEAAAAiIQAAACIhAAAA
IiEAAAAiIQAAACIhAADgZmKttZ715MmTjGSkkIyMkZGRNdYNuN0ACQEAACAhAAAAJAQAAEAkBAAA
QCQEAABAJAQAAEAkBAAAQCQEAABAJAQAAEAkBAAAQCQEAABAJAQAAEDZhMDIzHYYAABgtlixQgAA
AERCAAAAREIAAABEQgAAAERCAAAAREIAAABEQgAAAERCAAAAREIAAABEQgAAAERCAAAAREIAAABE
QgAAAERCAAAAREIAAABEQgAAAERCAAAAREIAAABEQgAAAJRNCKyZ7SgAAMCsMLk8gBUCAABAQgAA
AEgIAACASAgAAIBICAAAgEgIAACASAgAALiZuJ5xrZEnSVbWyoZkFVL24RpjZR3PZ0MSAgAAbh7V
VaquUigUUkjGGmON5xnrWetZuar2VC0TDvncgKhKtd+vrg0vWHP70LXrf9V0u2/v0Wh0muMHAADj
DQ8Pl97Y84ZramrleZ+c/+L6cGZoyB0ezgwPZ7KcjDPseI6TyWQy69dULVsU/vTCwIG3a5W5pj98
rMw1EgIAAOaochOCf3nrwrcaVqxfG12/OrpudWT0sX51dP3q6L1rwhvWRmJ3R5ctCnce/uShTQtS
ByOjCYHRymPRlbct/vqKzy8OXHhxhe8+amtrp+jQAABAqQYHB0tv7GQGbfWiV/7n3MDV4eGMsbIT
24RCoWiVFi9csPWbq0KZK0u3L9S1izrTrWsXSQgAAJijyk0IFt+xIhQKl9h+4Mo5EgIAAOaBchOC
JUtXfTrgXvhMw0Pu8LDneHI9edZzPWOt9byQZz3Hs3/65fC6lZGzH//uy+13jCYEXEMAAMAcVcFF
hb85b5fcHgqHq8LhUHRBdU0kVBMJRyPVC6KhaKQqEq6uDoUuDwyvWx05++nlf379Ni4qBABgrqsg
Ifj4vBMOV3mul3GM6yjjGtezjivrGtfKcWU9K+OtWxU5efbS/rcWkhAAADDXVZAQnD2fCVeHMp5x
HOu4kmRdez1jhl3jesZaY4w11vnKqsiJ0+d/dngRCQEAAHNdBQnB6U/daDjkWeO6xnpWVjK6nglZ
a7O/O7AyRs5XVkWOn7rwb+8sHk0IuFMhAAA3D+tZ15N17e6ODhMyJmQGr4c861nZPXuey97MONvS
ccf8LpGEAACAm0fGtY6r5I9Skv42lbqesZGw5xrt2fOclPunZ42k7BcKo6pU+/3wwnB0LV8ZAAAw
t1TwlcGvP8ksCFc9tHnz4aPdko6+0/3A/Zv/8R+ey7b5wRNPW8lYZ92qyEenLqTfX6zha/rsdyPX
EJAQAAAw91SQEPT/3olGqq1M4wONR0ZygmyDHzzxtCQr67nun6yOHD91vuv9O5QhIQAAYG6rICHo
+70TDVeFQpJR4+ZcTiDpsb942jPyjDxX8uy9a8LHT10gIQAAYB6oICHoPetEw1VGkjWe0eYHGo8e
7X7iL3eakLEyrifPk7HOhjUREgIAAOaHChKCk7/NhKurJRljXc94nr7+wGZHxnrW82Q9Wc+GXHfD
WhICAADmiYpWCIbC4ZA1xnrWWutZz7XGc+R48lzP86yxnrFubG30o1MX0+8vJiEAAGCuqyAhiFbb
KwNDso713NzDzTiuNZ5rrBvyXOO6G++pXrYofObc5X89soiEAACAua7chKDnN1e/uv6O9Wuj61dH
162OZB/rV0fvXRO+d014w5rIhrWR2N3RZYvC/9597ht1C1IHI6MJgdHKYwvuum3R/ZQ/BgBgbim3
/LGtXvTfx65c+Oz6H6/ZjJsZdoyxnicjyRiTbRauDi1dGN36zVWhzJWl2xfq6kX99sj/t3e+oW2c
dxz/ybKjZm2m/C1NWytVG4kGqi7DLSmVPKz4hTqKuoS+cgPqhYFEA3HJYJsLZ/qienEmJt1YxrDq
MaSSClpTr6tS0F5IpvbhEshoiL0XKp4d35Z5TdPGspPUsqXbi9Od7qTnTrqzJCvp70Mg9nN3z/N9
fs/vee73PHf3GG5/owgI5n73QEMqhCAIgiBI6/HYL9UDgkwms9XyEARBEARpOJ9++um5f74tBQT4
twwQBEEQBKnDHzdiGS/D1kEJgiAIgiBbhr6AgGW8Xq83FOdkae4TwfmYIkUBFw8R4wW19HrBxUOV
gQoXD3kFGHYzgQwxc0OwTLk964nQXpVtpoZ6vRqrU02LgpqK16FT7gxN19la6PJnA3arV7+rp54m
+3mpK5Z7Sp38sEj9hqYyZBUIxctLJDm+WnrV7CsNQbrvaKU3jXioVHj5OFCHBmWZCms3GsVnh2++
1H7z5k21U7l46PTymfTJjsTys36XVUq3unbP9idMlMemPJ9lGM7jsc4krlr9HlOc+Wynx2XVSK8v
2ZnE+PJP5KJYxnv6wz3B2NhwP0WZPnj9vbmDRytE18bMxXMpMHqxApuHovwNqD4AFw8dO3urWF3H
bP/p9y291UpSr1fjdKphdfkpiqIcS9HUwXB6dLC24nXoFApwLEU315TGdLYWuvxZr93q2O/qoge2
xM9tHpmLUBTVa5keX3jiuN9lrZMfFqkc9+qEzSOonu06Y59gD5SMJOjvtUx/Dj9T3hfI6RrZO5am
D749NtyvUK9231FLbx4s0599ZfjloliXn7JMLx0fE9qXonot01et/k01hM1DOZYSyx6/qy56iWQy
mekbPdJnhzpWCDr7RtIDbtIR8iKBuxtorzcQySRprzcwccDTqZ1eL4SwMRDJQJKWAkguHqKTzmBs
pK9TlOwsnewNMYwU35ViPuXkrxjusYzXSyehmLkiDJSdrwj+GUaYdwi/ivmrzQzK5xIlPfIj1cJi
9kIk4wtL1R0I+zKRsFhLhpUKl8pWrZf6DKaivlAK2lnhWLlMLh7afEhfNikvZleTzlpMp8vO2nmQ
7UDUIxbKsOJPZTaVJWr6FVm/qh7Vdlf4oVEzqPW7cjto9xfxRJLfVm0DgjEb7+dVVOlVr8hfNvWO
MyXBxHGvvnBTE/ZAn7vbPjHVvEm52n1H/X7UJOKxpK+bIIAT1g06+0YG3EJbCc2tWM8o+naI4HMy
d1P4iWKNRtarQyGyLyrdX5G5rNw5pXgdKwRijlOVERl5kcDm6bVMj6+8Gtyz0vWuOCJopNcJIfvL
Qj3EsSg7kxhf6XnzhCKu9djA5hFi9cNvjwz3y+N2AC7+G3rhVWFi02uZHv9yV6/fZQWbh1LG+sVK
s4z39IfPFRMds/2nB5cc/W+ccixFU8mDJ9Mns/2n/9b17tjxO+fOXnVQHpvqzIabEjN3LEVTc74z
wy/bihP+XWKZVaf8HPv++N5XBkvZ2kxL0Y/g5Njo0aVoav7fd56gR4f7qV7L+6f7E5Zev8uqVi81
naT6Uh6bYP2FhY4n6NHh45YEHVuVq8zOJMYvQ9fxmkN6bqqsXC4eCkSgOOGkHEvR1KW9XRr2VD2f
nL9OO6vqVLWDmh7R/slUas4XTo9SlgQ9uZs6wBL0HH/rrS4VvzKp6H9GTY9qu9s8lEhvRTtWtgsZ
tX6nr790DQ8NOlT8Vm87NsfP1VwkmYqm5gAOHu1/4xSlbU+y/bl4KBCxC3J2X+x/bw58YeG+SBz3
6stn52efPeWx2Uyz56+WTVuzMwniSoBaOhHSvaXaMa1rGgp78VxH96CiA8wkBs+ei45fvrlHHOGs
Lr+0UiB4XlGtcGB0oSc2JvjzH2YO+11WAJY59slhcXSYep1O7umiBFPbTA7H4OAgRVHU6vljF3cL
g4Zj6dxHEE6PHp3tp798NTb25r5EbPGw3zXDvL54UnT/3tXzx86vUn5XZbl/ubL39rafa6wQVD7s
qiWcJS8STE3YwyN9fXTPxAW2Wrqxcol0enrEaYjdZrhXdNrskIkEvF6v1xu4FkhrdzB2Mgm+sBix
ugfCPkhOFisgxpG1iXEPpNMDbmAZL50UOztwUxMZ2azGSycBMsbj9J4TQmU6++ig01A+WvUFyNi7
+zqLJry2KLuss28kXcWS2nBTExlnkO6Tlpt84DygcVfSeX6d7Vxph+p6im0uTIA09RD8qop+1XYh
2kKaqQQidf8Y2Vh/qdlv69aOBv1cDV84HfbVWDTJ/oL7nHCX1Mioz7inCstE7ELLuLvtkR/6m+Tc
4jwh1RdOp2OyRbAq+AJFf7bZiyns5LxsdBiQ58UtxkR/VvRHZ3DADWA74BRzE/JJytw/EMlA5lqp
xSrLFalcIXiwFJgWUc4CVCIy4iKBS3iEYnWVPUohpduqlKsD7rPzo3vPpEePLkXfW3RQHpswU/n7
wj5SEJ+dSUirAvKfi4ocS9HUHMylotOlCQlhelQxQyn+Dir/q81QhcR46NjZS1I0UBR5+TlpwiOg
ERdbs7NS3QEAgP1gMGXupfyu5aloatdx6TGdosYa0z61+lX+np1JjK8cFsTVOI/UoDwHhV4AsHmU
Ztjk+XrtrFouqNhBUw83FU0dPDlYlglRj4p/Pbusql+jXUj+LF/IkC+cqdaXiGq/091fOA2/rcxP
ux23xs+LJ732GmloI6xwkOxfVm3lVYRxr46wHwymkqloNBqNRlNzMNfhKPP2+q4QcPHQn7Ky+0Or
rRCQXtaYSUxZ/Z5nXH65nqzwtlyxiWRq5Qek9LLqZGcSn4Pf71KuHMjfT+CmhJcMxNyKBrdejXac
VLq/rG/Iyh2b26G9QmAYd7cvqfG5QRMRny4V59rFpLAvEwlID9a4eKjyKRt7QRZ6sYw3FOfAPZBO
p9Nhn3wKYDsgxW1iPu5uHyTp0vNXOgnEB0zV4eKhQCQjRANcPCSslHR6epyy/MX3T9Wt7T4RdCbp
0uMkOimbl8qEXohknD3iaxyEeqnmb6y+m36HoNPT48xELije29DKT+f5uu2slwbrMaaf0O6L1zLS
PELRLfSh2u8M+Y+a3xLK1bRD4/1806jYX+E+LEMn5dcQxr36wU7OB9MygvOTP+g1gsrJtTrzi+J7
A8oGI+DutstGB2XPE5d9uHi4aod0DwTnaQOrODp2KmQZr6I6zmB6pE9xBhcPhWGkLLGVEO61xV9K
E3Ap2RcMzkciGeGQsr5lD+VkB0tH5Nn7wukBt5TgDAbtkUhS9n9spK9TXoKUi0KjUqimIhKlC0on
sz/OPFQAAASeSURBVIyXhnAYaOFILfUi6iTVV36uMxjumaCLtZeuESc+1Z8aVNiBbGe9OqUj5e4s
u0SXnVV0atlBRT/R9uX1AnAGYzSEa/WrWvSQyy4lid0CfOH0AKjbrTYbEfod1NBfAtcCRL811o6N
9vMKlFpki3+q+lXs75YNV+Ew0DSEG/5uXckAFc4UC1wLlOkXVFbWy6cltPJ0tYzE+071+1GDiYe8
1wKlKsVD0kq+0hHk1gvaI5GkMxgb8UxJjZjunhRqQhiZfD5fMpl0BtMjfTIvdPp8kExmfFJ3cAbT
NAjzyNiBWCCScQZjI32LSgspu5isXHhpuVFbF7OMd7J7a9/9RLQRAgJsI+TeAv22Epbx0vMNeX0Q
qYH74m5X2rp4YQru1HvrYvfAvW6f+xouHip9cvVDfysIuWdAv5VTetmQTpa+LEaajntAc0++exL8
40YIgiAI8kOkbIVAERCc6vzjVstDEARBEKRJqAYEX/95H/GCHTt2NFkigiAIgiArKyu1n7yxvmLd
ua+traPG87/79vruEw9hQIAgCIIgrY7egGDX7kevLORza/lcrgAAaxsAAAW+kC+YACCfNwm/bhT4
Yy8+uMAt2oM7pYBAsTHRr3/xILEMi8Wy+VohCIIgCKKLXC5X+8mFQm779h0rd03b2k3m9nbLNrPZ
bLZsM1s6zB3tZkuHuaPDbNlmbje3bzO3Pbnf/I+vvo6lH4L1O3CrzhsTIQiCIAiyxeTWC2t500ae
38jzPM+/wzDhoaG1dVhbh7V109q6KV8wgQkAYPXuuvxCDAgQBEEQ5P7h+jdw8xa/epdfvcuHh4aE
xHd/P7Rmhrumwl1TYbVQWF7nAeDblbz8QnxkgCAIgiAtioFHBl/9Z4M3mfgCXyjAkSMvHjny4vMv
eLqed0MeNvIFvsAXCryJLxx6vP3KVzf+eskqPTLAgABBEARBWhS9AcHlf90+etj61P62J/ebpX9P
PdLm2N/m2N/29KPmpx81H3rMfOjx9nH2uu+n24c+3iYFBPiVAYIgCIK0KHq/MuDbfxyfuL56h1/P
rwPA+joPAAXhlQEAk6n4Q0d726lX7G3r3+JnhwiCIAhyD4D7ECAIgiAIgvsQIAiCIAiC+xAgCIIg
CGIM+T4E7zCMsA8BMzxUdR8CXCFAEARBkBbFwArBlTl+LQcbeT63AUde8HzxBQsAp37123wbrPH8
holfK/Dfb/CHHjNPzy59cmknfnaIIAiCIK3OJvchKPAFYR+CwgbgPgQIgiAIcq+C+xAgCIIgCLIV
+xD8yP5Q+yPbsze+43O67/1ra7h+gCAIgiD3ILdvwK1FuLVYCgg6HjaZd3Tkbudy3/N6c9vI17oH
ggJed0HNw6T/Et7ANQDQHCMY0mYyoM1QQc3xBFOztDWtIGPWNkILe6kBbQbLMTIoGCrJAPeXNiMj
T9MaqGnjfBN7d24Vbn8D2f/C7f+Z4OGP4YGsqKCZN+kWduIW7iyGXKu174UGqmSg8xsbZZrWLZt0
z23WUNu00ex+66vGaGVtzaJJY0LzPLtZ8ABmgALkc/D9sgn2jgCv4xEFgiAIgiD3H/8HKWDm1xVl
AUsAAAAASUVORK5CYII=

------=_NextPart_000_000E_01CB2F00.8909FDF0
Content-Type: image/png;
	name="bug-emacs-customize-doc-string.png"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
	filename="bug-emacs-customize-doc-string.png"
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==

------=_NextPart_000_000E_01CB2F00.8909FDF0--





Acknowledgement sent to "Drew Adams" <drew.adams@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#6755; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.